import{S as Rq,i as Xq,s as zq,e as s,k as p,w as v,t as o,M as Cq,c as a,d as t,m as h,a as r,x as w,h as n,b as c,G as e,g,y as T,q as M,o as $,B as L,v as qq,L as Se}from"../../chunks/vendor-hf-doc-builder.js";import{T as Ne}from"../../chunks/Tip-hf-doc-builder.js";import{D as I}from"../../chunks/Docstring-hf-doc-builder.js";import{C as We}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Ie}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as De}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{P as Jf}from"../../chunks/PipelineTag-hf-doc-builder.js";function jq(F){let d,k,u,f,b;return f=new We({props:{code:`from transformers import XLMRobertaConfig, XLMRobertaModel

# Initializing a XLM-RoBERTa xlm-roberta-base style configuration
configuration = XLMRobertaConfig()

# Initializing a model (with random weights) from the xlm-roberta-base style configuration
model = XLMRobertaModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> XLMRobertaConfig, XLMRobertaModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a XLM-RoBERTa xlm-roberta-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = XLMRobertaConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the xlm-roberta-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=s("p"),k=o("Examples:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Examples:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function Aq(F){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function Pq(F){let d,k,u,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, XLMRobertaModel
import torch

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = XLMRobertaModel.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaModel.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function Nq(F){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function Oq(F){let d,k,u,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, XLMRobertaForCausalLM, AutoConfig
import torch

tokenizer = AutoTokenizer.from_pretrained("roberta-base")
config = AutoConfig.from_pretrained("roberta-base")
config.is_decoder = True
model = XLMRobertaForCausalLM.from_pretrained("roberta-base", config=config)

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

prediction_logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForCausalLM, AutoConfig
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>config = AutoConfig.from_pretrained(<span class="hljs-string">&quot;roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>config.is_decoder = <span class="hljs-literal">True</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForCausalLM.from_pretrained(<span class="hljs-string">&quot;roberta-base&quot;</span>, config=config)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>prediction_logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function Iq(F){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function Dq(F){let d,k,u,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, XLMRobertaForMaskedLM
import torch

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = XLMRobertaForMaskedLM.from_pretrained("xlm-roberta-base")

inputs = tokenizer("The capital of France is <mask>.", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

# retrieve index of <mask>
mask_token_index = (inputs.input_ids == tokenizer.mask_token_id)[0].nonzero(as_tuple=True)[0]

predicted_token_id = logits[0, mask_token_index].argmax(axis=-1)
tokenizer.decode(predicted_token_id)

labels = tokenizer("The capital of France is Paris.", return_tensors="pt")["input_ids"]
# mask labels of non-<mask> tokens
labels = torch.where(inputs.input_ids == tokenizer.mask_token_id, labels, -100)

outputs = model(**inputs, labels=labels)
round(outputs.loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForMaskedLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForMaskedLM.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is &lt;mask&gt;.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve index of &lt;mask&gt;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_token_index = (inputs.input_ids == tokenizer.mask_token_id)[<span class="hljs-number">0</span>].nonzero(as_tuple=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_id = logits[<span class="hljs-number">0</span>, mask_token_index].argmax(axis=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predicted_token_id)
<span class="hljs-string">&#x27; Paris&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;The capital of France is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># mask labels of non-&lt;mask&gt; tokens</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.where(inputs.input_ids == tokenizer.mask_token_id, labels, -<span class="hljs-number">100</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(outputs.loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.1</span>`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function Sq(F){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function Wq(F){let d,k,u,f,b;return f=new We({props:{code:`import torch
from transformers import AutoTokenizer, XLMRobertaForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")
model = XLMRobertaForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_id = logits.argmax().item()
model.config.id2label[predicted_class_id]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = XLMRobertaForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion", num_labels=num_labels)

labels = torch.tensor([1])
loss = model(**inputs, labels=labels).loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = logits.argmax().item()
<span class="hljs-meta">&gt;&gt;&gt; </span>model.config.id2label[predicted_class_id]
<span class="hljs-string">&#x27;optimism&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.08</span>`}}),{c(){d=s("p"),k=o("Example of single-label classification:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example of single-label classification:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function Bq(F){let d,k,u,f,b;return f=new We({props:{code:`import torch
from transformers import AutoTokenizer, XLMRobertaForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")
model = XLMRobertaForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion", problem_type="multi_label_classification")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.arange(0, logits.shape[-1])[torch.sigmoid(logits).squeeze(dim=0) > 0.5]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = XLMRobertaForSequenceClassification.from_pretrained(
    "cardiffnlp/twitter-roberta-base-emotion", num_labels=num_labels, problem_type="multi_label_classification"
)

labels = torch.sum(
    torch.nn.functional.one_hot(predicted_class_ids[None, :].clone(), num_classes=num_labels), dim=1
).to(torch.float)
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.arange(<span class="hljs-number">0</span>, logits.shape[-<span class="hljs-number">1</span>])[torch.sigmoid(logits).squeeze(dim=<span class="hljs-number">0</span>) &gt; <span class="hljs-number">0.5</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForSequenceClassification.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>, num_labels=num_labels, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.<span class="hljs-built_in">sum</span>(
<span class="hljs-meta">... </span>    torch.nn.functional.one_hot(predicted_class_ids[<span class="hljs-literal">None</span>, :].clone(), num_classes=num_labels), dim=<span class="hljs-number">1</span>
<span class="hljs-meta">... </span>).to(torch.<span class="hljs-built_in">float</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=s("p"),k=o("Example of multi-label classification:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example of multi-label classification:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function Uq(F){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function Hq(F){let d,k,u,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, XLMRobertaForMultipleChoice
import torch

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = XLMRobertaForMultipleChoice.from_pretrained("xlm-roberta-base")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."
labels = torch.tensor(0).unsqueeze(0)  # choice0 is correct (according to Wikipedia ;)), batch size 1

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="pt", padding=True)
outputs = model(**{k: v.unsqueeze(0) for k, v in encoding.items()}, labels=labels)  # batch size is 1

# the linear classifier still needs to be trained
loss = outputs.loss
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForMultipleChoice
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor(<span class="hljs-number">0</span>).unsqueeze(<span class="hljs-number">0</span>)  <span class="hljs-comment"># choice0 is correct (according to Wikipedia ;)), batch size 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**{k: v.unsqueeze(<span class="hljs-number">0</span>) <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()}, labels=labels)  <span class="hljs-comment"># batch size is 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the linear classifier still needs to be trained</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function Qq(F){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function Kq(F){let d,k,u,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, XLMRobertaForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("Jean-Baptiste/roberta-large-ner-english")
model = XLMRobertaForTokenClassification.from_pretrained("Jean-Baptiste/roberta-large-ner-english")

inputs = tokenizer(
    "HuggingFace is a company based in Paris and New York", add_special_tokens=False, return_tensors="pt"
)

with torch.no_grad():
    logits = model(**inputs).logits

predicted_token_class_ids = logits.argmax(-1)

# Note that tokens are classified rather then input words which means that
# there might be more predicted token classes than words.
# Multiple token classes might account for the same word
predicted_tokens_classes = [model.config.id2label[t.item()] for t in predicted_token_class_ids[0]]
predicted_tokens_classes

labels = predicted_token_class_ids
loss = model(**inputs, labels=labels).loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;Jean-Baptiste/roberta-large-ner-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForTokenClassification.from_pretrained(<span class="hljs-string">&quot;Jean-Baptiste/roberta-large-ner-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;HuggingFace is a company based in Paris and New York&quot;</span>, add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_class_ids = logits.argmax(-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Note that tokens are classified rather then input words which means that</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># there might be more predicted token classes than words.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Multiple token classes might account for the same word</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes = [model.config.id2label[t.item()] <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> predicted_token_class_ids[<span class="hljs-number">0</span>]]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes
[<span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;ORG&#x27;</span>, <span class="hljs-string">&#x27;ORG&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = predicted_token_class_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.01</span>`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function Vq(F){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function Jq(F){let d,k,u,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, XLMRobertaForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("deepset/roberta-base-squad2")
model = XLMRobertaForQuestionAnswering.from_pretrained("deepset/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="pt")
with torch.no_grad():
    outputs = model(**inputs)

answer_start_index = outputs.start_logits.argmax()
answer_end_index = outputs.end_logits.argmax()

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]
tokenizer.decode(predict_answer_tokens, skip_special_tokens=True)

# target is "nice puppet"
target_start_index = torch.tensor([14])
target_end_index = torch.tensor([15])

outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
loss = outputs.loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;deepset/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;deepset/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = outputs.start_logits.argmax()
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = outputs.end_logits.argmax()

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predict_answer_tokens, skip_special_tokens=<span class="hljs-literal">True</span>)
<span class="hljs-string">&#x27; puppet&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># target is &quot;nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_start_index = torch.tensor([<span class="hljs-number">14</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>target_end_index = torch.tensor([<span class="hljs-number">15</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.86</span>`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function Gq(F){let d,k,u,f,b,l,m,R,ve,fe,O,re,te,x,we,U,Te,ge,D,Me,le,Q,$e,_e,W,Le,be,B,ue,xe,ne,z,C,ke,S,de,Fe,H,Ee,Re,q,ce,K,me,Xe,V,ye,se,N,pe,J,ze,Z,j,Ce,A,ae,ie;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),u=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),m=s("ul"),R=s("li"),ve=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),re=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),we=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=s("code"),Te=o("model.fit()"),ge=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=s("code"),Me=o("model.fit()"),le=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=s("code"),$e=o("fit()"),_e=o(" and "),W=s("code"),Le=o("predict()"),be=o(`, such as when creating your own layers or models with
the Keras `),B=s("code"),ue=o("Functional"),xe=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ne=p(),z=s("ul"),C=s("li"),ke=o("a single Tensor with "),S=s("code"),de=o("input_ids"),Fe=o(" only and nothing else: "),H=s("code"),Ee=o("model(input_ids)"),Re=p(),q=s("li"),ce=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=s("code"),me=o("model([input_ids, attention_mask])"),Xe=o(" or "),V=s("code"),ye=o("model([input_ids, attention_mask, token_type_ids])"),se=p(),N=s("li"),pe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=s("code"),ze=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Z=p(),j=s("p"),Ce=o(`Note that when creating models and layers with
`),A=s("a"),ae=o("subclassing"),ie=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(y){d=a(y,"P",{});var E=r(d);k=n(E,"TensorFlow models and layers in "),u=a(E,"CODE",{});var Qe=r(u);f=n(Qe,"transformers"),Qe.forEach(t),b=n(E," accept two formats as input:"),E.forEach(t),l=h(y),m=a(y,"UL",{});var oe=r(m);R=a(oe,"LI",{});var Ke=r(R);ve=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(oe),O=a(oe,"LI",{});var Be=r(O);re=n(Be,"having all inputs as a list, tuple or dict in the first positional argument."),Be.forEach(t),oe.forEach(t),te=h(y),x=a(y,"P",{});var X=r(x);we=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=a(X,"CODE",{});var Ve=r(U);Te=n(Ve,"model.fit()"),Ve.forEach(t),ge=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=a(X,"CODE",{});var Ue=r(D);Me=n(Ue,"model.fit()"),Ue.forEach(t),le=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=a(X,"CODE",{});var Ae=r(Q);$e=n(Ae,"fit()"),Ae.forEach(t),_e=n(X," and "),W=a(X,"CODE",{});var He=r(W);Le=n(He,"predict()"),He.forEach(t),be=n(X,`, such as when creating your own layers or models with
the Keras `),B=a(X,"CODE",{});var he=r(B);ue=n(he,"Functional"),he.forEach(t),xe=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),ne=h(y),z=a(y,"UL",{});var P=r(z);C=a(P,"LI",{});var G=r(C);ke=n(G,"a single Tensor with "),S=a(G,"CODE",{});var Pe=r(S);de=n(Pe,"input_ids"),Pe.forEach(t),Fe=n(G," only and nothing else: "),H=a(G,"CODE",{});var Je=r(H);Ee=n(Je,"model(input_ids)"),Je.forEach(t),G.forEach(t),Re=h(P),q=a(P,"LI",{});var Y=r(q);ce=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=a(Y,"CODE",{});var qe=r(K);me=n(qe,"model([input_ids, attention_mask])"),qe.forEach(t),Xe=n(Y," or "),V=a(Y,"CODE",{});var Oe=r(V);ye=n(Oe,"model([input_ids, attention_mask, token_type_ids])"),Oe.forEach(t),Y.forEach(t),se=h(P),N=a(P,"LI",{});var je=r(N);pe=n(je,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=a(je,"CODE",{});var Ge=r(J);ze=n(Ge,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ge.forEach(t),je.forEach(t),P.forEach(t),Z=h(y),j=a(y,"P",{});var ee=r(j);Ce=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var Ye=r(A);ae=n(Ye,"subclassing"),Ye.forEach(t),ie=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(y,E){g(y,d,E),e(d,k),e(d,u),e(u,f),e(d,b),g(y,l,E),g(y,m,E),e(m,R),e(R,ve),e(m,fe),e(m,O),e(O,re),g(y,te,E),g(y,x,E),e(x,we),e(x,U),e(U,Te),e(x,ge),e(x,D),e(D,Me),e(x,le),e(x,Q),e(Q,$e),e(x,_e),e(x,W),e(W,Le),e(x,be),e(x,B),e(B,ue),e(x,xe),g(y,ne,E),g(y,z,E),e(z,C),e(C,ke),e(C,S),e(S,de),e(C,Fe),e(C,H),e(H,Ee),e(z,Re),e(z,q),e(q,ce),e(q,K),e(K,me),e(q,Xe),e(q,V),e(V,ye),e(z,se),e(z,N),e(N,pe),e(N,J),e(J,ze),g(y,Z,E),g(y,j,E),e(j,Ce),e(j,A),e(A,ae),e(j,ie)},d(y){y&&t(d),y&&t(l),y&&t(m),y&&t(te),y&&t(x),y&&t(ne),y&&t(z),y&&t(Z),y&&t(j)}}}function Yq(F){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function Zq(F){let d,k,u,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaModel
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = TFXLMRobertaModel.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaModel.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function e3(F){let d,k,u,f,b,l,m,R,ve,fe,O,re,te,x,we,U,Te,ge,D,Me,le,Q,$e,_e,W,Le,be,B,ue,xe,ne,z,C,ke,S,de,Fe,H,Ee,Re,q,ce,K,me,Xe,V,ye,se,N,pe,J,ze,Z,j,Ce,A,ae,ie;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),u=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),m=s("ul"),R=s("li"),ve=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),re=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),we=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=s("code"),Te=o("model.fit()"),ge=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=s("code"),Me=o("model.fit()"),le=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=s("code"),$e=o("fit()"),_e=o(" and "),W=s("code"),Le=o("predict()"),be=o(`, such as when creating your own layers or models with
the Keras `),B=s("code"),ue=o("Functional"),xe=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ne=p(),z=s("ul"),C=s("li"),ke=o("a single Tensor with "),S=s("code"),de=o("input_ids"),Fe=o(" only and nothing else: "),H=s("code"),Ee=o("model(input_ids)"),Re=p(),q=s("li"),ce=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=s("code"),me=o("model([input_ids, attention_mask])"),Xe=o(" or "),V=s("code"),ye=o("model([input_ids, attention_mask, token_type_ids])"),se=p(),N=s("li"),pe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=s("code"),ze=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Z=p(),j=s("p"),Ce=o(`Note that when creating models and layers with
`),A=s("a"),ae=o("subclassing"),ie=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(y){d=a(y,"P",{});var E=r(d);k=n(E,"TensorFlow models and layers in "),u=a(E,"CODE",{});var Qe=r(u);f=n(Qe,"transformers"),Qe.forEach(t),b=n(E," accept two formats as input:"),E.forEach(t),l=h(y),m=a(y,"UL",{});var oe=r(m);R=a(oe,"LI",{});var Ke=r(R);ve=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(oe),O=a(oe,"LI",{});var Be=r(O);re=n(Be,"having all inputs as a list, tuple or dict in the first positional argument."),Be.forEach(t),oe.forEach(t),te=h(y),x=a(y,"P",{});var X=r(x);we=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=a(X,"CODE",{});var Ve=r(U);Te=n(Ve,"model.fit()"),Ve.forEach(t),ge=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=a(X,"CODE",{});var Ue=r(D);Me=n(Ue,"model.fit()"),Ue.forEach(t),le=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=a(X,"CODE",{});var Ae=r(Q);$e=n(Ae,"fit()"),Ae.forEach(t),_e=n(X," and "),W=a(X,"CODE",{});var He=r(W);Le=n(He,"predict()"),He.forEach(t),be=n(X,`, such as when creating your own layers or models with
the Keras `),B=a(X,"CODE",{});var he=r(B);ue=n(he,"Functional"),he.forEach(t),xe=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),ne=h(y),z=a(y,"UL",{});var P=r(z);C=a(P,"LI",{});var G=r(C);ke=n(G,"a single Tensor with "),S=a(G,"CODE",{});var Pe=r(S);de=n(Pe,"input_ids"),Pe.forEach(t),Fe=n(G," only and nothing else: "),H=a(G,"CODE",{});var Je=r(H);Ee=n(Je,"model(input_ids)"),Je.forEach(t),G.forEach(t),Re=h(P),q=a(P,"LI",{});var Y=r(q);ce=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=a(Y,"CODE",{});var qe=r(K);me=n(qe,"model([input_ids, attention_mask])"),qe.forEach(t),Xe=n(Y," or "),V=a(Y,"CODE",{});var Oe=r(V);ye=n(Oe,"model([input_ids, attention_mask, token_type_ids])"),Oe.forEach(t),Y.forEach(t),se=h(P),N=a(P,"LI",{});var je=r(N);pe=n(je,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=a(je,"CODE",{});var Ge=r(J);ze=n(Ge,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ge.forEach(t),je.forEach(t),P.forEach(t),Z=h(y),j=a(y,"P",{});var ee=r(j);Ce=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var Ye=r(A);ae=n(Ye,"subclassing"),Ye.forEach(t),ie=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(y,E){g(y,d,E),e(d,k),e(d,u),e(u,f),e(d,b),g(y,l,E),g(y,m,E),e(m,R),e(R,ve),e(m,fe),e(m,O),e(O,re),g(y,te,E),g(y,x,E),e(x,we),e(x,U),e(U,Te),e(x,ge),e(x,D),e(D,Me),e(x,le),e(x,Q),e(Q,$e),e(x,_e),e(x,W),e(W,Le),e(x,be),e(x,B),e(B,ue),e(x,xe),g(y,ne,E),g(y,z,E),e(z,C),e(C,ke),e(C,S),e(S,de),e(C,Fe),e(C,H),e(H,Ee),e(z,Re),e(z,q),e(q,ce),e(q,K),e(K,me),e(q,Xe),e(q,V),e(V,ye),e(z,se),e(z,N),e(N,pe),e(N,J),e(J,ze),g(y,Z,E),g(y,j,E),e(j,Ce),e(j,A),e(A,ae),e(j,ie)},d(y){y&&t(d),y&&t(l),y&&t(m),y&&t(te),y&&t(x),y&&t(ne),y&&t(z),y&&t(Z),y&&t(j)}}}function t3(F){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function o3(F){let d,k,u,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForCausalLM
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = TFXLMRobertaForCausalLM.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForCausalLM.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function n3(F){let d,k,u,f,b,l,m,R,ve,fe,O,re,te,x,we,U,Te,ge,D,Me,le,Q,$e,_e,W,Le,be,B,ue,xe,ne,z,C,ke,S,de,Fe,H,Ee,Re,q,ce,K,me,Xe,V,ye,se,N,pe,J,ze,Z,j,Ce,A,ae,ie;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),u=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),m=s("ul"),R=s("li"),ve=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),re=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),we=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=s("code"),Te=o("model.fit()"),ge=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=s("code"),Me=o("model.fit()"),le=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=s("code"),$e=o("fit()"),_e=o(" and "),W=s("code"),Le=o("predict()"),be=o(`, such as when creating your own layers or models with
the Keras `),B=s("code"),ue=o("Functional"),xe=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ne=p(),z=s("ul"),C=s("li"),ke=o("a single Tensor with "),S=s("code"),de=o("input_ids"),Fe=o(" only and nothing else: "),H=s("code"),Ee=o("model(input_ids)"),Re=p(),q=s("li"),ce=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=s("code"),me=o("model([input_ids, attention_mask])"),Xe=o(" or "),V=s("code"),ye=o("model([input_ids, attention_mask, token_type_ids])"),se=p(),N=s("li"),pe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=s("code"),ze=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Z=p(),j=s("p"),Ce=o(`Note that when creating models and layers with
`),A=s("a"),ae=o("subclassing"),ie=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(y){d=a(y,"P",{});var E=r(d);k=n(E,"TensorFlow models and layers in "),u=a(E,"CODE",{});var Qe=r(u);f=n(Qe,"transformers"),Qe.forEach(t),b=n(E," accept two formats as input:"),E.forEach(t),l=h(y),m=a(y,"UL",{});var oe=r(m);R=a(oe,"LI",{});var Ke=r(R);ve=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(oe),O=a(oe,"LI",{});var Be=r(O);re=n(Be,"having all inputs as a list, tuple or dict in the first positional argument."),Be.forEach(t),oe.forEach(t),te=h(y),x=a(y,"P",{});var X=r(x);we=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=a(X,"CODE",{});var Ve=r(U);Te=n(Ve,"model.fit()"),Ve.forEach(t),ge=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=a(X,"CODE",{});var Ue=r(D);Me=n(Ue,"model.fit()"),Ue.forEach(t),le=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=a(X,"CODE",{});var Ae=r(Q);$e=n(Ae,"fit()"),Ae.forEach(t),_e=n(X," and "),W=a(X,"CODE",{});var He=r(W);Le=n(He,"predict()"),He.forEach(t),be=n(X,`, such as when creating your own layers or models with
the Keras `),B=a(X,"CODE",{});var he=r(B);ue=n(he,"Functional"),he.forEach(t),xe=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),ne=h(y),z=a(y,"UL",{});var P=r(z);C=a(P,"LI",{});var G=r(C);ke=n(G,"a single Tensor with "),S=a(G,"CODE",{});var Pe=r(S);de=n(Pe,"input_ids"),Pe.forEach(t),Fe=n(G," only and nothing else: "),H=a(G,"CODE",{});var Je=r(H);Ee=n(Je,"model(input_ids)"),Je.forEach(t),G.forEach(t),Re=h(P),q=a(P,"LI",{});var Y=r(q);ce=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=a(Y,"CODE",{});var qe=r(K);me=n(qe,"model([input_ids, attention_mask])"),qe.forEach(t),Xe=n(Y," or "),V=a(Y,"CODE",{});var Oe=r(V);ye=n(Oe,"model([input_ids, attention_mask, token_type_ids])"),Oe.forEach(t),Y.forEach(t),se=h(P),N=a(P,"LI",{});var je=r(N);pe=n(je,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=a(je,"CODE",{});var Ge=r(J);ze=n(Ge,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ge.forEach(t),je.forEach(t),P.forEach(t),Z=h(y),j=a(y,"P",{});var ee=r(j);Ce=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var Ye=r(A);ae=n(Ye,"subclassing"),Ye.forEach(t),ie=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(y,E){g(y,d,E),e(d,k),e(d,u),e(u,f),e(d,b),g(y,l,E),g(y,m,E),e(m,R),e(R,ve),e(m,fe),e(m,O),e(O,re),g(y,te,E),g(y,x,E),e(x,we),e(x,U),e(U,Te),e(x,ge),e(x,D),e(D,Me),e(x,le),e(x,Q),e(Q,$e),e(x,_e),e(x,W),e(W,Le),e(x,be),e(x,B),e(B,ue),e(x,xe),g(y,ne,E),g(y,z,E),e(z,C),e(C,ke),e(C,S),e(S,de),e(C,Fe),e(C,H),e(H,Ee),e(z,Re),e(z,q),e(q,ce),e(q,K),e(K,me),e(q,Xe),e(q,V),e(V,ye),e(z,se),e(z,N),e(N,pe),e(N,J),e(J,ze),g(y,Z,E),g(y,j,E),e(j,Ce),e(j,A),e(A,ae),e(j,ie)},d(y){y&&t(d),y&&t(l),y&&t(m),y&&t(te),y&&t(x),y&&t(ne),y&&t(z),y&&t(Z),y&&t(j)}}}function s3(F){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function a3(F){let d,k,u,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForMaskedLM
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = TFXLMRobertaForMaskedLM.from_pretrained("xlm-roberta-base")

inputs = tokenizer("The capital of France is <mask>.", return_tensors="tf")
logits = model(**inputs).logits

# retrieve index of <mask>
mask_token_index = tf.where((inputs.input_ids == tokenizer.mask_token_id)[0])
selected_logits = tf.gather_nd(logits[0], indices=mask_token_index)

predicted_token_id = tf.math.argmax(selected_logits, axis=-1)
tokenizer.decode(predicted_token_id)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForMaskedLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForMaskedLM.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is &lt;mask&gt;.&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve index of &lt;mask&gt;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_token_index = tf.where((inputs.input_ids == tokenizer.mask_token_id)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>selected_logits = tf.gather_nd(logits[<span class="hljs-number">0</span>], indices=mask_token_index)

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_id = tf.math.argmax(selected_logits, axis=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predicted_token_id)
<span class="hljs-string">&#x27; Paris&#x27;</span>`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function r3(F){let d,k;return d=new We({props:{code:`labels = tokenizer("The capital of France is Paris.", return_tensors="tf")["input_ids"]
# mask labels of non-<mask> tokens
labels = tf.where(inputs.input_ids == tokenizer.mask_token_id, labels, -100)

outputs = model(**inputs, labels=labels)
round(float(outputs.loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;The capital of France is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># mask labels of non-&lt;mask&gt; tokens</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tf.where(inputs.input_ids == tokenizer.mask_token_id, labels, -<span class="hljs-number">100</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(outputs.loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.1</span>`}}),{c(){v(d.$$.fragment)},l(u){w(d.$$.fragment,u)},m(u,f){T(d,u,f),k=!0},p:Se,i(u){k||(M(d.$$.fragment,u),k=!0)},o(u){$(d.$$.fragment,u),k=!1},d(u){L(d,u)}}}function i3(F){let d,k,u,f,b,l,m,R,ve,fe,O,re,te,x,we,U,Te,ge,D,Me,le,Q,$e,_e,W,Le,be,B,ue,xe,ne,z,C,ke,S,de,Fe,H,Ee,Re,q,ce,K,me,Xe,V,ye,se,N,pe,J,ze,Z,j,Ce,A,ae,ie;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),u=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),m=s("ul"),R=s("li"),ve=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),re=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),we=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=s("code"),Te=o("model.fit()"),ge=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=s("code"),Me=o("model.fit()"),le=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=s("code"),$e=o("fit()"),_e=o(" and "),W=s("code"),Le=o("predict()"),be=o(`, such as when creating your own layers or models with
the Keras `),B=s("code"),ue=o("Functional"),xe=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ne=p(),z=s("ul"),C=s("li"),ke=o("a single Tensor with "),S=s("code"),de=o("input_ids"),Fe=o(" only and nothing else: "),H=s("code"),Ee=o("model(input_ids)"),Re=p(),q=s("li"),ce=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=s("code"),me=o("model([input_ids, attention_mask])"),Xe=o(" or "),V=s("code"),ye=o("model([input_ids, attention_mask, token_type_ids])"),se=p(),N=s("li"),pe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=s("code"),ze=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Z=p(),j=s("p"),Ce=o(`Note that when creating models and layers with
`),A=s("a"),ae=o("subclassing"),ie=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(y){d=a(y,"P",{});var E=r(d);k=n(E,"TensorFlow models and layers in "),u=a(E,"CODE",{});var Qe=r(u);f=n(Qe,"transformers"),Qe.forEach(t),b=n(E," accept two formats as input:"),E.forEach(t),l=h(y),m=a(y,"UL",{});var oe=r(m);R=a(oe,"LI",{});var Ke=r(R);ve=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(oe),O=a(oe,"LI",{});var Be=r(O);re=n(Be,"having all inputs as a list, tuple or dict in the first positional argument."),Be.forEach(t),oe.forEach(t),te=h(y),x=a(y,"P",{});var X=r(x);we=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=a(X,"CODE",{});var Ve=r(U);Te=n(Ve,"model.fit()"),Ve.forEach(t),ge=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=a(X,"CODE",{});var Ue=r(D);Me=n(Ue,"model.fit()"),Ue.forEach(t),le=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=a(X,"CODE",{});var Ae=r(Q);$e=n(Ae,"fit()"),Ae.forEach(t),_e=n(X," and "),W=a(X,"CODE",{});var He=r(W);Le=n(He,"predict()"),He.forEach(t),be=n(X,`, such as when creating your own layers or models with
the Keras `),B=a(X,"CODE",{});var he=r(B);ue=n(he,"Functional"),he.forEach(t),xe=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),ne=h(y),z=a(y,"UL",{});var P=r(z);C=a(P,"LI",{});var G=r(C);ke=n(G,"a single Tensor with "),S=a(G,"CODE",{});var Pe=r(S);de=n(Pe,"input_ids"),Pe.forEach(t),Fe=n(G," only and nothing else: "),H=a(G,"CODE",{});var Je=r(H);Ee=n(Je,"model(input_ids)"),Je.forEach(t),G.forEach(t),Re=h(P),q=a(P,"LI",{});var Y=r(q);ce=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=a(Y,"CODE",{});var qe=r(K);me=n(qe,"model([input_ids, attention_mask])"),qe.forEach(t),Xe=n(Y," or "),V=a(Y,"CODE",{});var Oe=r(V);ye=n(Oe,"model([input_ids, attention_mask, token_type_ids])"),Oe.forEach(t),Y.forEach(t),se=h(P),N=a(P,"LI",{});var je=r(N);pe=n(je,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=a(je,"CODE",{});var Ge=r(J);ze=n(Ge,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ge.forEach(t),je.forEach(t),P.forEach(t),Z=h(y),j=a(y,"P",{});var ee=r(j);Ce=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var Ye=r(A);ae=n(Ye,"subclassing"),Ye.forEach(t),ie=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(y,E){g(y,d,E),e(d,k),e(d,u),e(u,f),e(d,b),g(y,l,E),g(y,m,E),e(m,R),e(R,ve),e(m,fe),e(m,O),e(O,re),g(y,te,E),g(y,x,E),e(x,we),e(x,U),e(U,Te),e(x,ge),e(x,D),e(D,Me),e(x,le),e(x,Q),e(Q,$e),e(x,_e),e(x,W),e(W,Le),e(x,be),e(x,B),e(B,ue),e(x,xe),g(y,ne,E),g(y,z,E),e(z,C),e(C,ke),e(C,S),e(S,de),e(C,Fe),e(C,H),e(H,Ee),e(z,Re),e(z,q),e(q,ce),e(q,K),e(K,me),e(q,Xe),e(q,V),e(V,ye),e(z,se),e(z,N),e(N,pe),e(N,J),e(J,ze),g(y,Z,E),g(y,j,E),e(j,Ce),e(j,A),e(A,ae),e(j,ie)},d(y){y&&t(d),y&&t(l),y&&t(m),y&&t(te),y&&t(x),y&&t(ne),y&&t(z),y&&t(Z),y&&t(j)}}}function l3(F){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function d3(F){let d,k,u,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForSequenceClassification
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")
model = TFXLMRobertaForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")

logits = model(**inputs).logits

predicted_class_id = int(tf.math.argmax(logits, axis=-1)[0])
model.config.id2label[predicted_class_id]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = <span class="hljs-built_in">int</span>(tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>model.config.id2label[predicted_class_id]
<span class="hljs-string">&#x27;optimism&#x27;</span>`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function c3(F){let d,k;return d=new We({props:{code:'# To train a model on `num_labels` classes, you can pass `num_labels=num_labels` to `.from_pretrained(...)`\nnum_labels = len(model.config.id2label)\nmodel = TFXLMRobertaForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion", num_labels=num_labels)\n\nlabels = tf.constant(1)\nloss = model(**inputs, labels=labels).loss\nround(float(loss), 2)',highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tf.constant(<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.08</span>`}}),{c(){v(d.$$.fragment)},l(u){w(d.$$.fragment,u)},m(u,f){T(d,u,f),k=!0},p:Se,i(u){k||(M(d.$$.fragment,u),k=!0)},o(u){$(d.$$.fragment,u),k=!1},d(u){L(d,u)}}}function p3(F){let d,k,u,f,b,l,m,R,ve,fe,O,re,te,x,we,U,Te,ge,D,Me,le,Q,$e,_e,W,Le,be,B,ue,xe,ne,z,C,ke,S,de,Fe,H,Ee,Re,q,ce,K,me,Xe,V,ye,se,N,pe,J,ze,Z,j,Ce,A,ae,ie;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),u=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),m=s("ul"),R=s("li"),ve=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),re=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),we=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=s("code"),Te=o("model.fit()"),ge=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=s("code"),Me=o("model.fit()"),le=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=s("code"),$e=o("fit()"),_e=o(" and "),W=s("code"),Le=o("predict()"),be=o(`, such as when creating your own layers or models with
the Keras `),B=s("code"),ue=o("Functional"),xe=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ne=p(),z=s("ul"),C=s("li"),ke=o("a single Tensor with "),S=s("code"),de=o("input_ids"),Fe=o(" only and nothing else: "),H=s("code"),Ee=o("model(input_ids)"),Re=p(),q=s("li"),ce=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=s("code"),me=o("model([input_ids, attention_mask])"),Xe=o(" or "),V=s("code"),ye=o("model([input_ids, attention_mask, token_type_ids])"),se=p(),N=s("li"),pe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=s("code"),ze=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Z=p(),j=s("p"),Ce=o(`Note that when creating models and layers with
`),A=s("a"),ae=o("subclassing"),ie=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(y){d=a(y,"P",{});var E=r(d);k=n(E,"TensorFlow models and layers in "),u=a(E,"CODE",{});var Qe=r(u);f=n(Qe,"transformers"),Qe.forEach(t),b=n(E," accept two formats as input:"),E.forEach(t),l=h(y),m=a(y,"UL",{});var oe=r(m);R=a(oe,"LI",{});var Ke=r(R);ve=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(oe),O=a(oe,"LI",{});var Be=r(O);re=n(Be,"having all inputs as a list, tuple or dict in the first positional argument."),Be.forEach(t),oe.forEach(t),te=h(y),x=a(y,"P",{});var X=r(x);we=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=a(X,"CODE",{});var Ve=r(U);Te=n(Ve,"model.fit()"),Ve.forEach(t),ge=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=a(X,"CODE",{});var Ue=r(D);Me=n(Ue,"model.fit()"),Ue.forEach(t),le=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=a(X,"CODE",{});var Ae=r(Q);$e=n(Ae,"fit()"),Ae.forEach(t),_e=n(X," and "),W=a(X,"CODE",{});var He=r(W);Le=n(He,"predict()"),He.forEach(t),be=n(X,`, such as when creating your own layers or models with
the Keras `),B=a(X,"CODE",{});var he=r(B);ue=n(he,"Functional"),he.forEach(t),xe=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),ne=h(y),z=a(y,"UL",{});var P=r(z);C=a(P,"LI",{});var G=r(C);ke=n(G,"a single Tensor with "),S=a(G,"CODE",{});var Pe=r(S);de=n(Pe,"input_ids"),Pe.forEach(t),Fe=n(G," only and nothing else: "),H=a(G,"CODE",{});var Je=r(H);Ee=n(Je,"model(input_ids)"),Je.forEach(t),G.forEach(t),Re=h(P),q=a(P,"LI",{});var Y=r(q);ce=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=a(Y,"CODE",{});var qe=r(K);me=n(qe,"model([input_ids, attention_mask])"),qe.forEach(t),Xe=n(Y," or "),V=a(Y,"CODE",{});var Oe=r(V);ye=n(Oe,"model([input_ids, attention_mask, token_type_ids])"),Oe.forEach(t),Y.forEach(t),se=h(P),N=a(P,"LI",{});var je=r(N);pe=n(je,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=a(je,"CODE",{});var Ge=r(J);ze=n(Ge,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ge.forEach(t),je.forEach(t),P.forEach(t),Z=h(y),j=a(y,"P",{});var ee=r(j);Ce=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var Ye=r(A);ae=n(Ye,"subclassing"),Ye.forEach(t),ie=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(y,E){g(y,d,E),e(d,k),e(d,u),e(u,f),e(d,b),g(y,l,E),g(y,m,E),e(m,R),e(R,ve),e(m,fe),e(m,O),e(O,re),g(y,te,E),g(y,x,E),e(x,we),e(x,U),e(U,Te),e(x,ge),e(x,D),e(D,Me),e(x,le),e(x,Q),e(Q,$e),e(x,_e),e(x,W),e(W,Le),e(x,be),e(x,B),e(B,ue),e(x,xe),g(y,ne,E),g(y,z,E),e(z,C),e(C,ke),e(C,S),e(S,de),e(C,Fe),e(C,H),e(H,Ee),e(z,Re),e(z,q),e(q,ce),e(q,K),e(K,me),e(q,Xe),e(q,V),e(V,ye),e(z,se),e(z,N),e(N,pe),e(N,J),e(J,ze),g(y,Z,E),g(y,j,E),e(j,Ce),e(j,A),e(A,ae),e(j,ie)},d(y){y&&t(d),y&&t(l),y&&t(m),y&&t(te),y&&t(x),y&&t(ne),y&&t(z),y&&t(Z),y&&t(j)}}}function h3(F){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function m3(F){let d,k,u,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForMultipleChoice
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = TFXLMRobertaForMultipleChoice.from_pretrained("xlm-roberta-base")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="tf", padding=True)
inputs = {k: tf.expand_dims(v, 0) for k, v in encoding.items()}
outputs = model(inputs)  # batch size is 1

# the linear classifier still needs to be trained
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForMultipleChoice
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;tf&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = {k: tf.expand_dims(v, <span class="hljs-number">0</span>) <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()}
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)  <span class="hljs-comment"># batch size is 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the linear classifier still needs to be trained</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function u3(F){let d,k,u,f,b,l,m,R,ve,fe,O,re,te,x,we,U,Te,ge,D,Me,le,Q,$e,_e,W,Le,be,B,ue,xe,ne,z,C,ke,S,de,Fe,H,Ee,Re,q,ce,K,me,Xe,V,ye,se,N,pe,J,ze,Z,j,Ce,A,ae,ie;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),u=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),m=s("ul"),R=s("li"),ve=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),re=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),we=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=s("code"),Te=o("model.fit()"),ge=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=s("code"),Me=o("model.fit()"),le=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=s("code"),$e=o("fit()"),_e=o(" and "),W=s("code"),Le=o("predict()"),be=o(`, such as when creating your own layers or models with
the Keras `),B=s("code"),ue=o("Functional"),xe=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ne=p(),z=s("ul"),C=s("li"),ke=o("a single Tensor with "),S=s("code"),de=o("input_ids"),Fe=o(" only and nothing else: "),H=s("code"),Ee=o("model(input_ids)"),Re=p(),q=s("li"),ce=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=s("code"),me=o("model([input_ids, attention_mask])"),Xe=o(" or "),V=s("code"),ye=o("model([input_ids, attention_mask, token_type_ids])"),se=p(),N=s("li"),pe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=s("code"),ze=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Z=p(),j=s("p"),Ce=o(`Note that when creating models and layers with
`),A=s("a"),ae=o("subclassing"),ie=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(y){d=a(y,"P",{});var E=r(d);k=n(E,"TensorFlow models and layers in "),u=a(E,"CODE",{});var Qe=r(u);f=n(Qe,"transformers"),Qe.forEach(t),b=n(E," accept two formats as input:"),E.forEach(t),l=h(y),m=a(y,"UL",{});var oe=r(m);R=a(oe,"LI",{});var Ke=r(R);ve=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(oe),O=a(oe,"LI",{});var Be=r(O);re=n(Be,"having all inputs as a list, tuple or dict in the first positional argument."),Be.forEach(t),oe.forEach(t),te=h(y),x=a(y,"P",{});var X=r(x);we=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=a(X,"CODE",{});var Ve=r(U);Te=n(Ve,"model.fit()"),Ve.forEach(t),ge=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=a(X,"CODE",{});var Ue=r(D);Me=n(Ue,"model.fit()"),Ue.forEach(t),le=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=a(X,"CODE",{});var Ae=r(Q);$e=n(Ae,"fit()"),Ae.forEach(t),_e=n(X," and "),W=a(X,"CODE",{});var He=r(W);Le=n(He,"predict()"),He.forEach(t),be=n(X,`, such as when creating your own layers or models with
the Keras `),B=a(X,"CODE",{});var he=r(B);ue=n(he,"Functional"),he.forEach(t),xe=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),ne=h(y),z=a(y,"UL",{});var P=r(z);C=a(P,"LI",{});var G=r(C);ke=n(G,"a single Tensor with "),S=a(G,"CODE",{});var Pe=r(S);de=n(Pe,"input_ids"),Pe.forEach(t),Fe=n(G," only and nothing else: "),H=a(G,"CODE",{});var Je=r(H);Ee=n(Je,"model(input_ids)"),Je.forEach(t),G.forEach(t),Re=h(P),q=a(P,"LI",{});var Y=r(q);ce=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=a(Y,"CODE",{});var qe=r(K);me=n(qe,"model([input_ids, attention_mask])"),qe.forEach(t),Xe=n(Y," or "),V=a(Y,"CODE",{});var Oe=r(V);ye=n(Oe,"model([input_ids, attention_mask, token_type_ids])"),Oe.forEach(t),Y.forEach(t),se=h(P),N=a(P,"LI",{});var je=r(N);pe=n(je,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=a(je,"CODE",{});var Ge=r(J);ze=n(Ge,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ge.forEach(t),je.forEach(t),P.forEach(t),Z=h(y),j=a(y,"P",{});var ee=r(j);Ce=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var Ye=r(A);ae=n(Ye,"subclassing"),Ye.forEach(t),ie=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(y,E){g(y,d,E),e(d,k),e(d,u),e(u,f),e(d,b),g(y,l,E),g(y,m,E),e(m,R),e(R,ve),e(m,fe),e(m,O),e(O,re),g(y,te,E),g(y,x,E),e(x,we),e(x,U),e(U,Te),e(x,ge),e(x,D),e(D,Me),e(x,le),e(x,Q),e(Q,$e),e(x,_e),e(x,W),e(W,Le),e(x,be),e(x,B),e(B,ue),e(x,xe),g(y,ne,E),g(y,z,E),e(z,C),e(C,ke),e(C,S),e(S,de),e(C,Fe),e(C,H),e(H,Ee),e(z,Re),e(z,q),e(q,ce),e(q,K),e(K,me),e(q,Xe),e(q,V),e(V,ye),e(z,se),e(z,N),e(N,pe),e(N,J),e(J,ze),g(y,Z,E),g(y,j,E),e(j,Ce),e(j,A),e(A,ae),e(j,ie)},d(y){y&&t(d),y&&t(l),y&&t(m),y&&t(te),y&&t(x),y&&t(ne),y&&t(z),y&&t(Z),y&&t(j)}}}function f3(F){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function g3(F){let d,k,u,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForTokenClassification
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("ydshieh/roberta-large-ner-english")
model = TFXLMRobertaForTokenClassification.from_pretrained("ydshieh/roberta-large-ner-english")

inputs = tokenizer(
    "HuggingFace is a company based in Paris and New York", add_special_tokens=False, return_tensors="tf"
)

logits = model(**inputs).logits
predicted_token_class_ids = tf.math.argmax(logits, axis=-1)

# Note that tokens are classified rather then input words which means that
# there might be more predicted token classes than words.
# Multiple token classes might account for the same word
predicted_tokens_classes = [model.config.id2label[t] for t in predicted_token_class_ids[0].numpy().tolist()]
predicted_tokens_classes`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ydshieh/roberta-large-ner-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForTokenClassification.from_pretrained(<span class="hljs-string">&quot;ydshieh/roberta-large-ner-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;HuggingFace is a company based in Paris and New York&quot;</span>, add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_class_ids = tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Note that tokens are classified rather then input words which means that</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># there might be more predicted token classes than words.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Multiple token classes might account for the same word</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes = [model.config.id2label[t] <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> predicted_token_class_ids[<span class="hljs-number">0</span>].numpy().tolist()]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes
[<span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;ORG&#x27;</span>, <span class="hljs-string">&#x27;ORG&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>]`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function _3(F){let d,k;return d=new We({props:{code:`labels = predicted_token_class_ids
loss = tf.math.reduce_mean(model(**inputs, labels=labels).loss)
round(float(loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>labels = predicted_token_class_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = tf.math.reduce_mean(model(**inputs, labels=labels).loss)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.01</span>`}}),{c(){v(d.$$.fragment)},l(u){w(d.$$.fragment,u)},m(u,f){T(d,u,f),k=!0},p:Se,i(u){k||(M(d.$$.fragment,u),k=!0)},o(u){$(d.$$.fragment,u),k=!1},d(u){L(d,u)}}}function b3(F){let d,k,u,f,b,l,m,R,ve,fe,O,re,te,x,we,U,Te,ge,D,Me,le,Q,$e,_e,W,Le,be,B,ue,xe,ne,z,C,ke,S,de,Fe,H,Ee,Re,q,ce,K,me,Xe,V,ye,se,N,pe,J,ze,Z,j,Ce,A,ae,ie;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),u=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),m=s("ul"),R=s("li"),ve=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),re=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),we=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=s("code"),Te=o("model.fit()"),ge=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=s("code"),Me=o("model.fit()"),le=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=s("code"),$e=o("fit()"),_e=o(" and "),W=s("code"),Le=o("predict()"),be=o(`, such as when creating your own layers or models with
the Keras `),B=s("code"),ue=o("Functional"),xe=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ne=p(),z=s("ul"),C=s("li"),ke=o("a single Tensor with "),S=s("code"),de=o("input_ids"),Fe=o(" only and nothing else: "),H=s("code"),Ee=o("model(input_ids)"),Re=p(),q=s("li"),ce=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=s("code"),me=o("model([input_ids, attention_mask])"),Xe=o(" or "),V=s("code"),ye=o("model([input_ids, attention_mask, token_type_ids])"),se=p(),N=s("li"),pe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=s("code"),ze=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Z=p(),j=s("p"),Ce=o(`Note that when creating models and layers with
`),A=s("a"),ae=o("subclassing"),ie=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(y){d=a(y,"P",{});var E=r(d);k=n(E,"TensorFlow models and layers in "),u=a(E,"CODE",{});var Qe=r(u);f=n(Qe,"transformers"),Qe.forEach(t),b=n(E," accept two formats as input:"),E.forEach(t),l=h(y),m=a(y,"UL",{});var oe=r(m);R=a(oe,"LI",{});var Ke=r(R);ve=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(oe),O=a(oe,"LI",{});var Be=r(O);re=n(Be,"having all inputs as a list, tuple or dict in the first positional argument."),Be.forEach(t),oe.forEach(t),te=h(y),x=a(y,"P",{});var X=r(x);we=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),U=a(X,"CODE",{});var Ve=r(U);Te=n(Ve,"model.fit()"),Ve.forEach(t),ge=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),D=a(X,"CODE",{});var Ue=r(D);Me=n(Ue,"model.fit()"),Ue.forEach(t),le=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),Q=a(X,"CODE",{});var Ae=r(Q);$e=n(Ae,"fit()"),Ae.forEach(t),_e=n(X," and "),W=a(X,"CODE",{});var He=r(W);Le=n(He,"predict()"),He.forEach(t),be=n(X,`, such as when creating your own layers or models with
the Keras `),B=a(X,"CODE",{});var he=r(B);ue=n(he,"Functional"),he.forEach(t),xe=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),ne=h(y),z=a(y,"UL",{});var P=r(z);C=a(P,"LI",{});var G=r(C);ke=n(G,"a single Tensor with "),S=a(G,"CODE",{});var Pe=r(S);de=n(Pe,"input_ids"),Pe.forEach(t),Fe=n(G," only and nothing else: "),H=a(G,"CODE",{});var Je=r(H);Ee=n(Je,"model(input_ids)"),Je.forEach(t),G.forEach(t),Re=h(P),q=a(P,"LI",{});var Y=r(q);ce=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=a(Y,"CODE",{});var qe=r(K);me=n(qe,"model([input_ids, attention_mask])"),qe.forEach(t),Xe=n(Y," or "),V=a(Y,"CODE",{});var Oe=r(V);ye=n(Oe,"model([input_ids, attention_mask, token_type_ids])"),Oe.forEach(t),Y.forEach(t),se=h(P),N=a(P,"LI",{});var je=r(N);pe=n(je,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),J=a(je,"CODE",{});var Ge=r(J);ze=n(Ge,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ge.forEach(t),je.forEach(t),P.forEach(t),Z=h(y),j=a(y,"P",{});var ee=r(j);Ce=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var Ye=r(A);ae=n(Ye,"subclassing"),Ye.forEach(t),ie=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(y,E){g(y,d,E),e(d,k),e(d,u),e(u,f),e(d,b),g(y,l,E),g(y,m,E),e(m,R),e(R,ve),e(m,fe),e(m,O),e(O,re),g(y,te,E),g(y,x,E),e(x,we),e(x,U),e(U,Te),e(x,ge),e(x,D),e(D,Me),e(x,le),e(x,Q),e(Q,$e),e(x,_e),e(x,W),e(W,Le),e(x,be),e(x,B),e(B,ue),e(x,xe),g(y,ne,E),g(y,z,E),e(z,C),e(C,ke),e(C,S),e(S,de),e(C,Fe),e(C,H),e(H,Ee),e(z,Re),e(z,q),e(q,ce),e(q,K),e(K,me),e(q,Xe),e(q,V),e(V,ye),e(z,se),e(z,N),e(N,pe),e(N,J),e(J,ze),g(y,Z,E),g(y,j,E),e(j,Ce),e(j,A),e(A,ae),e(j,ie)},d(y){y&&t(d),y&&t(l),y&&t(m),y&&t(te),y&&t(x),y&&t(ne),y&&t(z),y&&t(Z),y&&t(j)}}}function k3(F){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function y3(F){let d,k,u,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForQuestionAnswering
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("ydshieh/roberta-base-squad2")
model = TFXLMRobertaForQuestionAnswering.from_pretrained("ydshieh/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="tf")
outputs = model(**inputs)

answer_start_index = int(tf.math.argmax(outputs.start_logits, axis=-1)[0])
answer_end_index = int(tf.math.argmax(outputs.end_logits, axis=-1)[0])

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]
tokenizer.decode(predict_answer_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ydshieh/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;ydshieh/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = <span class="hljs-built_in">int</span>(tf.math.argmax(outputs.start_logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = <span class="hljs-built_in">int</span>(tf.math.argmax(outputs.end_logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predict_answer_tokens)
<span class="hljs-string">&#x27; puppet&#x27;</span>`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function v3(F){let d,k;return d=new We({props:{code:`# target is "nice puppet"
target_start_index = tf.constant([14])
target_end_index = tf.constant([15])

outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
loss = tf.math.reduce_mean(outputs.loss)
round(float(loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># target is &quot;nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_start_index = tf.constant([<span class="hljs-number">14</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>target_end_index = tf.constant([<span class="hljs-number">15</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = tf.math.reduce_mean(outputs.loss)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.86</span>`}}),{c(){v(d.$$.fragment)},l(u){w(d.$$.fragment,u)},m(u,f){T(d,u,f),k=!0},p:Se,i(u){k||(M(d.$$.fragment,u),k=!0)},o(u){$(d.$$.fragment,u),k=!1},d(u){L(d,u)}}}function w3(F){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function T3(F){let d,k,u,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaModel

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaModel.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaModel.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function M3(F){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function $3(F){let d,k,u,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForCausalLM

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForCausalLM.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="np")
outputs = model(**inputs)

# retrieve logts for next token
next_token_logits = outputs.logits[:, -1]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForCausalLM.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve logts for next token</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>next_token_logits = outputs.logits[:, -<span class="hljs-number">1</span>]`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function L3(F){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function x3(F){let d,k,u,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForMaskedLM

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForMaskedLM.from_pretrained("xlm-roberta-base")

inputs = tokenizer("The capital of France is [MASK].", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForMaskedLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForMaskedLM.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is [MASK].&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function F3(F){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function E3(F){let d,k,u,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForSequenceClassification.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function R3(F){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function X3(F){let d,k,u,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForMultipleChoice

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForMultipleChoice.from_pretrained("xlm-roberta-base")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="jax", padding=True)
outputs = model(**{k: v[None, :] for k, v in encoding.items()})

logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForMultipleChoice

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;jax&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**{k: v[<span class="hljs-literal">None</span>, :] <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()})

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function z3(F){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function C3(F){let d,k,u,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForTokenClassification.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForTokenClassification.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function q3(F){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function j3(F){let d,k,u,f,b;return f=new We({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForQuestionAnswering.from_pretrained("xlm-roberta-base")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="jax")

outputs = model(**inputs)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Se,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function A3(F){let d,k,u,f,b,l,m,R,ve,fe,O,re,te,x,we,U,Te,ge,D,Me,le,Q,$e,_e,W,Le,be,B,ue,xe,ne,z,C,ke,S,de,Fe,H,Ee,Re,q,ce,K,me,Xe,V,ye,se,N,pe,J,ze,Z,j,Ce,A,ae,ie,y,E,Qe,oe,Ke,Be,X,Ve,Ue,Ae,He,he,P,G,Pe,Je,Y,qe,Oe,je,Ge,ee,Ye,Cb,ir,qb,jb,Ab,Mo,$c,Pb,Nb,lr,Ob,Ib,dr,Db,Sb,Wb,$o,Lc,Bb,Ub,cr,Hb,Qb,pr,Kb,Vb,Jb,xc,hr,Gb,Yb,Gf,mr,Yf,Dt,Lo,Fc,Zb,ek,ur,tk,ok,fr,nk,sk,ak,xo,Ec,rk,ik,gr,lk,dk,_r,ck,pk,hk,Zn,Rc,mk,uk,br,fk,gk,_k,Xc,kr,bk,kk,Zf,yr,eg,es,Fo,zc,yk,vk,vr,wk,Tk,wr,Mk,$k,Lk,Cc,Tr,xk,Fk,tg,Mr,og,St,Eo,qc,Ek,Rk,$r,Xk,zk,Lr,Ck,qk,jk,Ro,jc,Ak,Pk,xr,Nk,Ok,Fr,Ik,Dk,Sk,Xo,Ac,Wk,Bk,Er,Uk,Hk,Rr,Qk,Kk,Vk,Pc,Xr,Jk,Gk,ng,zr,sg,Wt,zo,Nc,Yk,Zk,Cr,ey,ty,qr,oy,ny,sy,Co,Oc,ay,ry,jr,iy,ly,Ar,dy,cy,py,ts,Ic,hy,my,Pr,uy,fy,gy,Dc,Nr,_y,by,ag,Sc,bh,ky,rg,os,qo,Wc,yy,vy,Or,wy,Ty,Ir,My,$y,Ly,jo,Bc,xy,Fy,Dr,Ey,Ry,Sr,Xy,zy,ig,Uc,Cy,lg,Hc,Wr,qy,Br,jy,Ay,dg,on,ns,kh,Ur,Py,yh,Ny,cg,Nt,Hr,Oy,uo,Iy,Qc,Dy,Sy,Kc,Wy,By,Qr,Uy,Hy,Qy,nn,Ky,Vc,Vy,Jy,Jc,Gy,Yy,Zy,ss,pg,sn,as,vh,Kr,ev,wh,tv,hg,et,Vr,ov,fo,nv,Gc,sv,av,Yc,rv,iv,Jr,lv,dv,cv,Gr,pv,Zc,hv,mv,uv,Ao,Yr,fv,Th,gv,_v,Zr,ep,bv,Mh,kv,yv,tp,vv,$h,wv,Tv,rs,ei,Mv,ti,$v,Lh,Lv,xv,Fv,is,oi,Ev,xh,Rv,Xv,op,ni,mg,an,ls,Fh,si,zv,Eh,Cv,ug,_t,ai,qv,Ot,jv,Rh,Av,Pv,np,Nv,Ov,sp,Iv,Dv,ri,Sv,Wv,Bv,ii,Uv,ap,Hv,Qv,Kv,Po,li,Vv,Xh,Jv,Gv,di,rp,Yv,zh,Zv,ew,ip,tw,Ch,ow,nw,ds,ci,sw,qh,aw,fg,rn,cs,jh,pi,rw,Ah,iw,gg,Ze,hi,lw,Ph,dw,cw,mi,pw,lp,hw,mw,uw,ui,fw,fi,gw,_w,bw,gi,kw,Nh,yw,vw,ww,lt,Tw,Oh,Mw,$w,Ih,Lw,xw,Dh,Fw,Ew,Sh,Rw,Xw,Wh,zw,Cw,Bh,qw,jw,Aw,ps,Pw,Uh,Nw,Ow,_i,Iw,Dw,Bt,bi,Sw,ln,Ww,dp,Bw,Uw,Hh,Hw,Qw,Kw,hs,Vw,ms,_g,dn,us,Qh,ki,Jw,Kh,Gw,bg,bt,yi,Yw,vi,Zw,Vh,eT,tT,oT,wi,nT,cp,sT,aT,rT,Ti,iT,Mi,lT,dT,cT,Ut,$i,pT,cn,hT,pp,mT,uT,Jh,fT,gT,_T,fs,bT,gs,kg,pn,_s,Gh,Li,kT,Yh,yT,yg,kt,xi,vT,Fi,wT,Zh,TT,MT,$T,Ei,LT,hp,xT,FT,ET,Ri,RT,Xi,XT,zT,CT,Ht,zi,qT,hn,jT,mp,AT,PT,em,NT,OT,IT,bs,DT,ks,vg,mn,ys,tm,Ci,ST,om,WT,wg,yt,qi,BT,nm,UT,HT,ji,QT,up,KT,VT,JT,Ai,GT,Pi,YT,ZT,eM,Mt,Ni,tM,un,oM,fp,nM,sM,sm,aM,rM,iM,vs,lM,ws,dM,Ts,Tg,fn,Ms,am,Oi,cM,rm,pM,Mg,vt,Ii,hM,im,mM,uM,Di,fM,gp,gM,_M,bM,Si,kM,Wi,yM,vM,wM,Qt,Bi,TM,gn,MM,_p,$M,LM,lm,xM,FM,EM,$s,RM,Ls,$g,_n,xs,dm,Ui,XM,cm,zM,Lg,wt,Hi,CM,pm,qM,jM,Qi,AM,bp,PM,NM,OM,Ki,IM,Vi,DM,SM,WM,Kt,Ji,BM,bn,UM,kp,HM,QM,hm,KM,VM,JM,Fs,GM,Es,xg,kn,Rs,mm,Gi,YM,um,ZM,Fg,Tt,Yi,e1,yn,t1,fm,o1,n1,gm,s1,a1,r1,Zi,i1,yp,l1,d1,c1,el,p1,tl,h1,m1,u1,Vt,ol,f1,vn,g1,vp,_1,b1,_m,k1,y1,v1,Xs,w1,zs,Eg,wn,Cs,bm,nl,T1,km,M1,Rg,dt,sl,$1,ym,L1,x1,al,F1,wp,E1,R1,X1,rl,z1,il,C1,q1,j1,qs,A1,Jt,ll,P1,Tn,N1,Tp,O1,I1,vm,D1,S1,W1,js,B1,As,Xg,Mn,Ps,wm,dl,U1,Tm,H1,zg,ct,cl,Q1,pl,K1,Mm,V1,J1,G1,hl,Y1,Mp,Z1,e$,t$,ml,o$,ul,n$,s$,a$,Ns,r$,Gt,fl,i$,$n,l$,$p,d$,c$,$m,p$,h$,m$,Os,u$,Is,Cg,Ln,Ds,Lm,gl,f$,xm,g$,qg,pt,_l,_$,bl,b$,Fm,k$,y$,v$,kl,w$,Lp,T$,M$,$$,yl,L$,vl,x$,F$,E$,Ss,R$,$t,wl,X$,xn,z$,xp,C$,q$,Em,j$,A$,P$,Ws,N$,Bs,O$,Us,jg,Fn,Hs,Rm,Tl,I$,Xm,D$,Ag,ht,Ml,S$,zm,W$,B$,$l,U$,Fp,H$,Q$,K$,Ll,V$,xl,J$,G$,Y$,Qs,Z$,Lt,Fl,e2,En,t2,Ep,o2,n2,Cm,s2,a2,r2,Ks,i2,Vs,l2,Js,Pg,Rn,Gs,qm,El,d2,jm,c2,Ng,mt,Rl,p2,Am,h2,m2,Xl,u2,Rp,f2,g2,_2,zl,b2,Cl,k2,y2,v2,Ys,w2,Yt,ql,T2,Xn,M2,Xp,$2,L2,Pm,x2,F2,E2,Zs,R2,ea,Og,zn,ta,Nm,jl,X2,Om,z2,Ig,ut,Al,C2,Im,q2,j2,Pl,A2,zp,P2,N2,O2,Nl,I2,Ol,D2,S2,W2,oa,B2,xt,Il,U2,Cn,H2,Cp,Q2,K2,Dm,V2,J2,G2,na,Y2,sa,Z2,aa,Dg,qn,ra,Sm,Dl,eL,Wm,tL,Sg,ft,Sl,oL,jn,nL,Bm,sL,aL,Um,rL,iL,lL,Wl,dL,qp,cL,pL,hL,Bl,mL,Ul,uL,fL,gL,ia,_L,Ft,Hl,bL,An,kL,jp,yL,vL,Hm,wL,TL,ML,la,$L,da,LL,ca,Wg,Pn,pa,Qm,Ql,xL,Km,FL,Bg,tt,Kl,EL,Vm,RL,XL,Vl,zL,Ap,CL,qL,jL,Jl,AL,Gl,PL,NL,OL,Jm,IL,DL,go,Gm,Yl,SL,WL,Ym,Zl,BL,UL,Zm,ed,HL,QL,eu,td,KL,VL,Zt,od,JL,Nn,GL,tu,YL,ZL,ou,ex,tx,ox,ha,nx,ma,Ug,On,ua,nu,nd,sx,su,ax,Hg,ot,sd,rx,au,ix,lx,ad,dx,Pp,cx,px,hx,rd,mx,id,ux,fx,gx,ru,_x,bx,_o,iu,ld,kx,yx,lu,dd,vx,wx,du,cd,Tx,Mx,cu,pd,$x,Lx,eo,hd,xx,In,Fx,pu,Ex,Rx,hu,Xx,zx,Cx,fa,qx,ga,Qg,Dn,_a,mu,md,jx,uu,Ax,Kg,nt,ud,Px,fd,Nx,fu,Ox,Ix,Dx,gd,Sx,Np,Wx,Bx,Ux,_d,Hx,bd,Qx,Kx,Vx,gu,Jx,Gx,bo,_u,kd,Yx,Zx,bu,yd,eF,tF,ku,vd,oF,nF,yu,wd,sF,aF,to,Td,rF,Sn,iF,vu,lF,dF,wu,cF,pF,hF,ba,mF,ka,Vg,Wn,ya,Tu,Md,uF,Mu,fF,Jg,st,$d,gF,$u,_F,bF,Ld,kF,Op,yF,vF,wF,xd,TF,Fd,MF,$F,LF,Lu,xF,FF,ko,xu,Ed,EF,RF,Fu,Rd,XF,zF,Eu,Xd,CF,qF,Ru,zd,jF,AF,oo,Cd,PF,Bn,NF,Xu,OF,IF,zu,DF,SF,WF,va,BF,wa,Gg,Un,Ta,Cu,qd,UF,qu,HF,Yg,at,jd,QF,ju,KF,VF,Ad,JF,Ip,GF,YF,ZF,Pd,e0,Nd,t0,o0,n0,Au,s0,a0,yo,Pu,Od,r0,i0,Nu,Id,l0,d0,Ou,Dd,c0,p0,Iu,Sd,h0,m0,no,Wd,u0,Hn,f0,Du,g0,_0,Su,b0,k0,y0,Ma,v0,$a,Zg,Qn,La,Wu,Bd,w0,Bu,T0,e_,rt,Ud,M0,Uu,$0,L0,Hd,x0,Dp,F0,E0,R0,Qd,X0,Kd,z0,C0,q0,Hu,j0,A0,vo,Qu,Vd,P0,N0,Ku,Jd,O0,I0,Vu,Gd,D0,S0,Ju,Yd,W0,B0,so,Zd,U0,Kn,H0,Gu,Q0,K0,Yu,V0,J0,G0,xa,Y0,Fa,t_,Vn,Ea,Zu,ec,Z0,ef,eE,o_,it,tc,tE,Jn,oE,tf,nE,sE,of,aE,rE,iE,oc,lE,Sp,dE,cE,pE,nc,hE,sc,mE,uE,fE,nf,gE,_E,wo,sf,ac,bE,kE,af,rc,yE,vE,rf,ic,wE,TE,lf,lc,ME,$E,ao,dc,LE,Gn,xE,df,FE,EE,cf,RE,XE,zE,Ra,CE,Xa,n_;return l=new Ie({}),x=new Ie({}),E=new Ie({}),Ae=new Jf({props:{pipeline:"text-classification"}}),mr=new Jf({props:{pipeline:"token-classification"}}),yr=new Jf({props:{pipeline:"text-generation"}}),Mr=new Jf({props:{pipeline:"fill-mask"}}),zr=new Jf({props:{pipeline:"question-answering"}}),Ur=new Ie({}),Hr=new I({props:{name:"class transformers.XLMRobertaConfig",anchor:"transformers.XLMRobertaConfig",parameters:[{name:"vocab_size",val:" = 30522"},{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout_prob",val:" = 0.1"},{name:"attention_probs_dropout_prob",val:" = 0.1"},{name:"max_position_embeddings",val:" = 512"},{name:"type_vocab_size",val:" = 2"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"pad_token_id",val:" = 1"},{name:"bos_token_id",val:" = 0"},{name:"eos_token_id",val:" = 2"},{name:"position_embedding_type",val:" = 'absolute'"},{name:"use_cache",val:" = True"},{name:"classifier_dropout",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 30522) &#x2014;
Vocabulary size of the XLM-RoBERTa model. Defines the number of different tokens that can be represented by
the <code>inputs_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaModel">XLMRobertaModel</a> or <a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaModel">TFXLMRobertaModel</a>.`,name:"vocab_size"},{anchor:"transformers.XLMRobertaConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.XLMRobertaConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.XLMRobertaConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.XLMRobertaConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.XLMRobertaConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>Callable</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.XLMRobertaConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.XLMRobertaConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.XLMRobertaConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.XLMRobertaConfig.type_vocab_size",description:`<strong>type_vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The vocabulary size of the <code>token_type_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaModel">XLMRobertaModel</a> or
<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaModel">TFXLMRobertaModel</a>.`,name:"type_vocab_size"},{anchor:"transformers.XLMRobertaConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.XLMRobertaConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.XLMRobertaConfig.position_embedding_type",description:`<strong>position_embedding_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;absolute&quot;</code>) &#x2014;
Type of position embedding. Choose one of <code>&quot;absolute&quot;</code>, <code>&quot;relative_key&quot;</code>, <code>&quot;relative_key_query&quot;</code>. For
positional embeddings use <code>&quot;absolute&quot;</code>. For more information on <code>&quot;relative_key&quot;</code>, please refer to
<a href="https://arxiv.org/abs/1803.02155" rel="nofollow">Self-Attention with Relative Position Representations (Shaw et al.)</a>.
For more information on <code>&quot;relative_key_query&quot;</code>, please refer to <em>Method 4</em> in <a href="https://arxiv.org/abs/2009.13658" rel="nofollow">Improve Transformer Models
with Better Relative Position Embeddings (Huang et al.)</a>.`,name:"position_embedding_type"},{anchor:"transformers.XLMRobertaConfig.is_decoder",description:`<strong>is_decoder</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether the model is used as a decoder or not. If <code>False</code>, the model is used as an encoder.`,name:"is_decoder"},{anchor:"transformers.XLMRobertaConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models). Only
relevant if <code>config.is_decoder=True</code>.`,name:"use_cache"},{anchor:"transformers.XLMRobertaConfig.classifier_dropout",description:`<strong>classifier_dropout</strong> (<code>float</code>, <em>optional</em>) &#x2014;
The dropout ratio for the classification head.`,name:"classifier_dropout"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/configuration_xlm_roberta.py#L45"}}),ss=new De({props:{anchor:"transformers.XLMRobertaConfig.example",$$slots:{default:[jq]},$$scope:{ctx:F}}}),Kr=new Ie({}),Vr=new I({props:{name:"class transformers.XLMRobertaTokenizer",anchor:"transformers.XLMRobertaTokenizer",parameters:[{name:"vocab_file",val:""},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.XLMRobertaTokenizer.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the beginning of
sequence. The token used is the <code>cls_token</code>.</p>

					</div>`,name:"bos_token"},{anchor:"transformers.XLMRobertaTokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.XLMRobertaTokenizer.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.XLMRobertaTokenizer.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.XLMRobertaTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.XLMRobertaTokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.XLMRobertaTokenizer.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask&gt;&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.XLMRobertaTokenizer.additional_special_tokens",description:`<strong>additional_special_tokens</strong> (<code>List[str]</code>, <em>optional</em>, defaults to <code>[&quot;&lt;s&gt;NOTUSED&quot;, &quot;&lt;/s&gt;NOTUSED&quot;]</code>) &#x2014;
Additional special tokens used by the tokenizer.`,name:"additional_special_tokens"},{anchor:"transformers.XLMRobertaTokenizer.sp_model_kwargs",description:`<strong>sp_model_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Will be passed to the <code>SentencePieceProcessor.__init__()</code> method. The <a href="https://github.com/google/sentencepiece/tree/master/python" rel="nofollow">Python wrapper for
SentencePiece</a> can be used, among other things,
to set:</p>
<ul>
<li>
<p><code>enable_sampling</code>: Enable subword regularization.</p>
</li>
<li>
<p><code>nbest_size</code>: Sampling parameters for unigram. Invalid for BPE-Dropout.</p>
<ul>
<li><code>nbest_size = {0,1}</code>: No sampling is performed.</li>
<li><code>nbest_size &gt; 1</code>: samples from the nbest_size results.</li>
<li><code>nbest_size &lt; 0</code>: assuming that nbest_size is infinite and samples from the all hypothesis (lattice)
using forward-filtering-and-backward-sampling algorithm.</li>
</ul>
</li>
<li>
<p><code>alpha</code>: Smoothing parameter for unigram sampling, and dropout probability of merge operations for
BPE-dropout.</p>
</li>
</ul>`,name:"sp_model_kwargs"},{anchor:"transformers.XLMRobertaTokenizer.sp_model",description:`<strong>sp_model</strong> (<code>SentencePieceProcessor</code>) &#x2014;
The <em>SentencePiece</em> processor that is used for every conversion (string, tokens and IDs).`,name:"sp_model"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/tokenization_xlm_roberta.py#L63"}}),Yr=new I({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.XLMRobertaTokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.XLMRobertaTokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/tokenization_xlm_roberta.py#L202",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ei=new I({props:{name:"get_special_tokens_mask",anchor:"transformers.XLMRobertaTokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizer.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.XLMRobertaTokenizer.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.XLMRobertaTokenizer.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/tokenization_xlm_roberta.py#L228",returnDescription:`
<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),oi=new I({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.XLMRobertaTokenizer.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizer.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.XLMRobertaTokenizer.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/tokenization_xlm_roberta.py#L256",returnDescription:`
<p>List of zeros.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ni=new I({props:{name:"save_vocabulary",anchor:"transformers.XLMRobertaTokenizer.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/tokenization_xlm_roberta.py#L313"}}),si=new Ie({}),ai=new I({props:{name:"class transformers.XLMRobertaTokenizerFast",anchor:"transformers.XLMRobertaTokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.XLMRobertaTokenizerFast.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the beginning of
sequence. The token used is the <code>cls_token</code>.</p>

					</div>`,name:"bos_token"},{anchor:"transformers.XLMRobertaTokenizerFast.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.XLMRobertaTokenizerFast.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.XLMRobertaTokenizerFast.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.XLMRobertaTokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.XLMRobertaTokenizerFast.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.XLMRobertaTokenizerFast.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask&gt;&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.XLMRobertaTokenizerFast.additional_special_tokens",description:`<strong>additional_special_tokens</strong> (<code>List[str]</code>, <em>optional</em>, defaults to <code>[&quot;&lt;s&gt;NOTUSED&quot;, &quot;&lt;/s&gt;NOTUSED&quot;]</code>) &#x2014;
Additional special tokens used by the tokenizer.`,name:"additional_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/tokenization_xlm_roberta_fast.py#L82"}}),li=new I({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.XLMRobertaTokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizerFast.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.XLMRobertaTokenizerFast.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/tokenization_xlm_roberta_fast.py#L171",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ci=new I({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.XLMRobertaTokenizerFast.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizerFast.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.XLMRobertaTokenizerFast.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/tokenization_xlm_roberta_fast.py#L197",returnDescription:`
<p>List of zeros.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),pi=new Ie({}),hi=new I({props:{name:"class transformers.XLMRobertaModel",anchor:"transformers.XLMRobertaModel",parameters:[{name:"config",val:""},{name:"add_pooling_layer",val:" = True"}],parametersDescription:[{anchor:"transformers.XLMRobertaModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L699"}}),bi=new I({props:{name:"forward",anchor:"transformers.XLMRobertaModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaModel.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaModel.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.XLMRobertaModel.forward.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.XLMRobertaModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.XLMRobertaModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L744",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) after further processing
through the layers used for the auxiliary pretraining task. E.g. for BERT-family of models, this returns
the classification token after processing through a linear layer and a tanh activation function. The linear
layer weights are trained from the next sentence prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),hs=new Ne({props:{$$slots:{default:[Aq]},$$scope:{ctx:F}}}),ms=new De({props:{anchor:"transformers.XLMRobertaModel.forward.example",$$slots:{default:[Pq]},$$scope:{ctx:F}}}),ki=new Ie({}),yi=new I({props:{name:"class transformers.XLMRobertaForCausalLM",anchor:"transformers.XLMRobertaForCausalLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L886"}}),$i=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForCausalLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"past_key_values",val:": typing.Tuple[typing.Tuple[torch.FloatTensor]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForCausalLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForCausalLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForCausalLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForCausalLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForCausalLM.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.XLMRobertaForCausalLM.forward.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.XLMRobertaForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the left-to-right language modeling loss (next word prediction). Indices should be in
<code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are
ignored (masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"},{anchor:"transformers.XLMRobertaForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.XLMRobertaForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L912",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key,
value states of the self-attention and the cross-attention layers if model is used in encoder-decoder
setting. Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),fs=new Ne({props:{$$slots:{default:[Nq]},$$scope:{ctx:F}}}),gs=new De({props:{anchor:"transformers.XLMRobertaForCausalLM.forward.example",$$slots:{default:[Oq]},$$scope:{ctx:F}}}),Li=new Ie({}),xi=new I({props:{name:"class transformers.XLMRobertaForMaskedLM",anchor:"transformers.XLMRobertaForMaskedLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1042"}}),zi=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForMaskedLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForMaskedLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, any]</code>, optional, defaults to <em>{}</em>) &#x2014;
Used to hide legacy arguments that have been deprecated.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1071",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Masked language modeling (MLM) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),bs=new Ne({props:{$$slots:{default:[Iq]},$$scope:{ctx:F}}}),ks=new De({props:{anchor:"transformers.XLMRobertaForMaskedLM.forward.example",$$slots:{default:[Dq]},$$scope:{ctx:F}}}),Ci=new Ie({}),qi=new I({props:{name:"class transformers.XLMRobertaForSequenceClassification",anchor:"transformers.XLMRobertaForSequenceClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1178"}}),Ni=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1192",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),vs=new Ne({props:{$$slots:{default:[Sq]},$$scope:{ctx:F}}}),ws=new De({props:{anchor:"transformers.XLMRobertaForSequenceClassification.forward.example",$$slots:{default:[Wq]},$$scope:{ctx:F}}}),Ts=new De({props:{anchor:"transformers.XLMRobertaForSequenceClassification.forward.example-2",$$slots:{default:[Bq]},$$scope:{ctx:F}}}),Oi=new Ie({}),Ii=new I({props:{name:"class transformers.XLMRobertaForMultipleChoice",anchor:"transformers.XLMRobertaForMultipleChoice",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1278"}}),Bi=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForMultipleChoice.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForMultipleChoice.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the multiple choice classification loss. Indices should be in <code>[0, ..., num_choices-1]</code> where <code>num_choices</code> is the size of the second dimension of the input tensors. (See
<code>input_ids</code> above)`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1291",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.MultipleChoiceModelOutput"
>transformers.modeling_outputs.MultipleChoiceModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <em>(1,)</em>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.MultipleChoiceModelOutput"
>transformers.modeling_outputs.MultipleChoiceModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),$s=new Ne({props:{$$slots:{default:[Uq]},$$scope:{ctx:F}}}),Ls=new De({props:{anchor:"transformers.XLMRobertaForMultipleChoice.forward.example",$$slots:{default:[Hq]},$$scope:{ctx:F}}}),Ui=new Ie({}),Hi=new I({props:{name:"class transformers.XLMRobertaForTokenClassification",anchor:"transformers.XLMRobertaForTokenClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1373"}}),Ji=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the token classification loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1391",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Fs=new Ne({props:{$$slots:{default:[Qq]},$$scope:{ctx:F}}}),Es=new De({props:{anchor:"transformers.XLMRobertaForTokenClassification.forward.example",$$slots:{default:[Kq]},$$scope:{ctx:F}}}),Gi=new Ie({}),Yi=new I({props:{name:"class transformers.XLMRobertaForQuestionAnswering",anchor:"transformers.XLMRobertaForQuestionAnswering",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1483"}}),ol=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"start_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"end_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.start_positions",description:`<strong>start_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.end_positions",description:`<strong>end_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1497",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Xs=new Ne({props:{$$slots:{default:[Vq]},$$scope:{ctx:F}}}),zs=new De({props:{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.example",$$slots:{default:[Jq]},$$scope:{ctx:F}}}),nl=new Ie({}),sl=new I({props:{name:"class transformers.TFXLMRobertaModel",anchor:"transformers.TFXLMRobertaModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L916"}}),qs=new Ne({props:{$$slots:{default:[Gq]},$$scope:{ctx:F}}}),ll=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaModel.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_hidden_states",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaModel.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaModel.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaModel.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaModel.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaModel.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaModel.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaModel.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaModel.call.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.TFXLMRobertaModel.call.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.TFXLMRobertaModel.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.n_layers</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFXLMRobertaModel.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>). Set to <code>False</code> during training, <code>True</code> during generation`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L921",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
<p>This output is usually <em>not</em> a good summary of the semantic content of the input, you\u2019re often better with
averaging or pooling the sequence of hidden-states for the whole input sequence.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions</a> or <code>tuple(tf.Tensor)</code></p>
`}}),js=new Ne({props:{$$slots:{default:[Yq]},$$scope:{ctx:F}}}),As=new De({props:{anchor:"transformers.TFXLMRobertaModel.call.example",$$slots:{default:[Zq]},$$scope:{ctx:F}}}),dl=new Ie({}),cl=new I({props:{name:"class transformers.TFXLMRobertaForCausalLM",anchor:"transformers.TFXLMRobertaForCausalLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1150"}}),Ns=new Ne({props:{$$slots:{default:[e3]},$$scope:{ctx:F}}}),fl=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForCausalLM.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_hidden_states",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForCausalLM.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.n_layers</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>). Set to <code>False</code> during training, <code>True</code> during generation`,name:"use_cache"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> or <code>np.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the cross entropy classification loss. Indices should be in <code>[0, ..., config.vocab_size - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1183",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions"
>transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions"
>transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Os=new Ne({props:{$$slots:{default:[t3]},$$scope:{ctx:F}}}),Is=new De({props:{anchor:"transformers.TFXLMRobertaForCausalLM.call.example",$$slots:{default:[o3]},$$scope:{ctx:F}}}),gl=new Ie({}),_l=new I({props:{name:"class transformers.TFXLMRobertaForMaskedLM",anchor:"transformers.TFXLMRobertaForMaskedLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1061"}}),Ss=new Ne({props:{$$slots:{default:[n3]},$$scope:{ctx:F}}}),wl=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForMaskedLM.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForMaskedLM.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1078",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFMaskedLMOutput"
>transformers.modeling_tf_outputs.TFMaskedLMOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Masked language modeling (MLM) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFMaskedLMOutput"
>transformers.modeling_tf_outputs.TFMaskedLMOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Ws=new Ne({props:{$$slots:{default:[s3]},$$scope:{ctx:F}}}),Bs=new De({props:{anchor:"transformers.TFXLMRobertaForMaskedLM.call.example",$$slots:{default:[a3]},$$scope:{ctx:F}}}),Us=new De({props:{anchor:"transformers.TFXLMRobertaForMaskedLM.call.example-2",$$slots:{default:[r3]},$$scope:{ctx:F}}}),Tl=new Ie({}),Ml=new I({props:{name:"class transformers.TFXLMRobertaForSequenceClassification",anchor:"transformers.TFXLMRobertaForSequenceClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1323"}}),Qs=new Ne({props:{$$slots:{default:[i3]},$$scope:{ctx:F}}}),Fl=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForSequenceClassification.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1334",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Ks=new Ne({props:{$$slots:{default:[l3]},$$scope:{ctx:F}}}),Vs=new De({props:{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.example",$$slots:{default:[d3]},$$scope:{ctx:F}}}),Js=new De({props:{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.example-2",$$slots:{default:[c3]},$$scope:{ctx:F}}}),El=new Ie({}),Rl=new I({props:{name:"class transformers.TFXLMRobertaForMultipleChoice",anchor:"transformers.TFXLMRobertaForMultipleChoice",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1407"}}),Ys=new Ne({props:{$$slots:{default:[p3]},$$scope:{ctx:F}}}),ql=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForMultipleChoice.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the multiple choice classification loss. Indices should be in <code>[0, ..., num_choices]</code>
where <code>num_choices</code> is the size of the second dimension of the input tensors. (See <code>input_ids</code> above)`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1431",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput"
>transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <em>(batch_size, )</em>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput"
>transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Zs=new Ne({props:{$$slots:{default:[h3]},$$scope:{ctx:F}}}),ea=new De({props:{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.example",$$slots:{default:[m3]},$$scope:{ctx:F}}}),jl=new Ie({}),Al=new I({props:{name:"class transformers.TFXLMRobertaForTokenClassification",anchor:"transformers.TFXLMRobertaForTokenClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1530"}}),oa=new Ne({props:{$$slots:{default:[u3]},$$scope:{ctx:F}}}),Il=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForTokenClassification.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForTokenClassification.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the token classification loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1548",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFTokenClassifierOutput"
>transformers.modeling_tf_outputs.TFTokenClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of unmasked labels, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFTokenClassifierOutput"
>transformers.modeling_tf_outputs.TFTokenClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),na=new Ne({props:{$$slots:{default:[f3]},$$scope:{ctx:F}}}),sa=new De({props:{anchor:"transformers.TFXLMRobertaForTokenClassification.call.example",$$slots:{default:[g3]},$$scope:{ctx:F}}}),aa=new De({props:{anchor:"transformers.TFXLMRobertaForTokenClassification.call.example-2",$$slots:{default:[_3]},$$scope:{ctx:F}}}),Dl=new Ie({}),Sl=new I({props:{name:"class transformers.TFXLMRobertaForQuestionAnswering",anchor:"transformers.TFXLMRobertaForQuestionAnswering",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1621"}}),ia=new Ne({props:{$$slots:{default:[b3]},$$scope:{ctx:F}}}),Hl=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForQuestionAnswering.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"start_positions",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"end_positions",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.start_positions",description:`<strong>start_positions</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.end_positions",description:`<strong>end_positions</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1634",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput"
>transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>start_positions</code> and <code>end_positions</code> are provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput"
>transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),la=new Ne({props:{$$slots:{default:[k3]},$$scope:{ctx:F}}}),da=new De({props:{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.example",$$slots:{default:[y3]},$$scope:{ctx:F}}}),ca=new De({props:{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.example-2",$$slots:{default:[v3]},$$scope:{ctx:F}}}),Ql=new Ie({}),Kl=new I({props:{name:"class transformers.FlaxXLMRobertaModel",anchor:"transformers.FlaxXLMRobertaModel",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1004"}}),od=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaModel.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaModel.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaModel.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaModel.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaModel.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaModel.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaModel.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L830",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ha=new Ne({props:{$$slots:{default:[w3]},$$scope:{ctx:F}}}),ma=new De({props:{anchor:"transformers.FlaxXLMRobertaModel.__call__.example",$$slots:{default:[T3]},$$scope:{ctx:F}}}),nd=new Ie({}),sd=new I({props:{name:"class transformers.FlaxXLMRobertaForCausalLM",anchor:"transformers.FlaxXLMRobertaForCausalLM",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1470"}}),hd=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L830",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key, value
states of the self-attention and the cross-attention layers if model is used in encoder-decoder setting.
Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),fa=new Ne({props:{$$slots:{default:[M3]},$$scope:{ctx:F}}}),ga=new De({props:{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.example",$$slots:{default:[$3]},$$scope:{ctx:F}}}),md=new Ie({}),ud=new I({props:{name:"class transformers.FlaxXLMRobertaForMaskedLM",anchor:"transformers.FlaxXLMRobertaForMaskedLM",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1071"}}),Td=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L830",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ba=new Ne({props:{$$slots:{default:[L3]},$$scope:{ctx:F}}}),ka=new De({props:{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.example",$$slots:{default:[x3]},$$scope:{ctx:F}}}),Md=new Ie({}),$d=new I({props:{name:"class transformers.FlaxXLMRobertaForSequenceClassification",anchor:"transformers.FlaxXLMRobertaForSequenceClassification",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1144"}}),Cd=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L830",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),va=new Ne({props:{$$slots:{default:[F3]},$$scope:{ctx:F}}}),wa=new De({props:{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.example",$$slots:{default:[E3]},$$scope:{ctx:F}}}),qd=new Ie({}),jd=new I({props:{name:"class transformers.FlaxXLMRobertaForMultipleChoice",anchor:"transformers.FlaxXLMRobertaForMultipleChoice",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1225"}}),Wd=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L830",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput"
>transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput"
>transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ma=new Ne({props:{$$slots:{default:[R3]},$$scope:{ctx:F}}}),$a=new De({props:{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.example",$$slots:{default:[X3]},$$scope:{ctx:F}}}),Bd=new Ie({}),Ud=new I({props:{name:"class transformers.FlaxXLMRobertaForTokenClassification",anchor:"transformers.FlaxXLMRobertaForTokenClassification",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1307"}}),Zd=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L830",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxTokenClassifierOutput"
>transformers.modeling_flax_outputs.FlaxTokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxTokenClassifierOutput"
>transformers.modeling_flax_outputs.FlaxTokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),xa=new Ne({props:{$$slots:{default:[z3]},$$scope:{ctx:F}}}),Fa=new De({props:{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.example",$$slots:{default:[C3]},$$scope:{ctx:F}}}),ec=new Ie({}),tc=new I({props:{name:"class transformers.FlaxXLMRobertaForQuestionAnswering",anchor:"transformers.FlaxXLMRobertaForQuestionAnswering",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1384"}}),dc=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L830",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput"
>transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>start_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput"
>transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ra=new Ne({props:{$$slots:{default:[q3]},$$scope:{ctx:F}}}),Xa=new De({props:{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.example",$$slots:{default:[j3]},$$scope:{ctx:F}}}),{c(){d=s("meta"),k=p(),u=s("h1"),f=s("a"),b=s("span"),v(l.$$.fragment),m=p(),R=s("span"),ve=o("XLM-RoBERTa"),fe=p(),O=s("h2"),re=s("a"),te=s("span"),v(x.$$.fragment),we=p(),U=s("span"),Te=o("Overview"),ge=p(),D=s("p"),Me=o("The XLM-RoBERTa model was proposed in "),le=s("a"),Q=o("Unsupervised Cross-lingual Representation Learning at Scale"),$e=o(` by Alexis Conneau, Kartikay Khandelwal, Naman Goyal, Vishrav Chaudhary, Guillaume
Wenzek, Francisco Guzm\xE1n, Edouard Grave, Myle Ott, Luke Zettlemoyer and Veselin Stoyanov. It is based on Facebook\u2019s
RoBERTa model released in 2019. It is a large multi-lingual language model, trained on 2.5TB of filtered CommonCrawl
data.`),_e=p(),W=s("p"),Le=o("The abstract from the paper is the following:"),be=p(),B=s("p"),ue=s("em"),xe=o(`This paper shows that pretraining multilingual language models at scale leads to significant performance gains for a
wide range of cross-lingual transfer tasks. We train a Transformer-based masked language model on one hundred
languages, using more than two terabytes of filtered CommonCrawl data. Our model, dubbed XLM-R, significantly
outperforms multilingual BERT (mBERT) on a variety of cross-lingual benchmarks, including +13.8% average accuracy on
XNLI, +12.3% average F1 score on MLQA, and +2.1% average F1 score on NER. XLM-R performs particularly well on
low-resource languages, improving 11.8% in XNLI accuracy for Swahili and 9.2% for Urdu over the previous XLM model. We
also present a detailed empirical evaluation of the key factors that are required to achieve these gains, including the
trade-offs between (1) positive transfer and capacity dilution and (2) the performance of high and low resource
languages at scale. Finally, we show, for the first time, the possibility of multilingual modeling without sacrificing
per-language performance; XLM-Ris very competitive with strong monolingual models on the GLUE and XNLI benchmarks. We
will make XLM-R code, data, and models publicly available.`),ne=p(),z=s("p"),C=o("Tips:"),ke=p(),S=s("ul"),de=s("li"),Fe=o(`XLM-RoBERTa is a multilingual model trained on 100 different languages. Unlike some XLM multilingual models, it does
not require `),H=s("code"),Ee=o("lang"),Re=o(` tensors to understand which language is used, and should be able to determine the correct
language from the input ids.`),q=p(),ce=s("li"),K=o("This implementation is the same as RoBERTa. Refer to the "),me=s("a"),Xe=o("documentation of RoBERTa"),V=o(` for usage examples
as well as the information relative to the inputs and outputs.`),ye=p(),se=s("p"),N=o("This model was contributed by "),pe=s("a"),J=o("stefan-it"),ze=o(". The original code can be found "),Z=s("a"),j=o("here"),Ce=o("."),A=p(),ae=s("h2"),ie=s("a"),y=s("span"),v(E.$$.fragment),Qe=p(),oe=s("span"),Ke=o("Resources"),Be=p(),X=s("p"),Ve=o("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with XLM-RoBERTa. If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Ue=p(),v(Ae.$$.fragment),He=p(),he=s("ul"),P=s("li"),G=o("A blog post on how to "),Pe=s("a"),Je=o("finetune XLM RoBERTa for multiclass classification with Habana Gaudi on AWS"),Y=p(),qe=s("li"),Oe=s("a"),je=o("XLMRobertaForSequenceClassification"),Ge=o(" is supported by this "),ee=s("a"),Ye=o("example script"),Cb=o(" and "),ir=s("a"),qb=o("notebook"),jb=o("."),Ab=p(),Mo=s("li"),$c=s("a"),Pb=o("TFXLMRobertaForSequenceClassification"),Nb=o(" is supported by this "),lr=s("a"),Ob=o("example script"),Ib=o(" and "),dr=s("a"),Db=o("notebook"),Sb=o("."),Wb=p(),$o=s("li"),Lc=s("a"),Bb=o("FlaxXLMRobertaForSequenceClassification"),Ub=o(" is supported by this "),cr=s("a"),Hb=o("example script"),Qb=o(" and "),pr=s("a"),Kb=o("notebook"),Vb=o("."),Jb=p(),xc=s("li"),hr=s("a"),Gb=o("Text classification"),Yb=o(" chapter of the \u{1F917} Hugging Face Task Guides."),Gf=p(),v(mr.$$.fragment),Yf=p(),Dt=s("ul"),Lo=s("li"),Fc=s("a"),Zb=o("XLMRobertaForTokenClassification"),ek=o(" is supported by this "),ur=s("a"),tk=o("example script"),ok=o(" and "),fr=s("a"),nk=o("notebook"),sk=o("."),ak=p(),xo=s("li"),Ec=s("a"),rk=o("TFXLMRobertaForTokenClassification"),ik=o(" is supported by this "),gr=s("a"),lk=o("example script"),dk=o(" and "),_r=s("a"),ck=o("notebook"),pk=o("."),hk=p(),Zn=s("li"),Rc=s("a"),mk=o("FlaxXLMRobertaForTokenClassification"),uk=o(" is supported by this "),br=s("a"),fk=o("example script"),gk=o("."),_k=p(),Xc=s("li"),kr=s("a"),bk=o("Token classification"),kk=o(" chapter of the \u{1F917} Hugging Face Course."),Zf=p(),v(yr.$$.fragment),eg=p(),es=s("ul"),Fo=s("li"),zc=s("a"),yk=o("XLMRobertaForCausalLM"),vk=o(" is supported by this "),vr=s("a"),wk=o("example script"),Tk=o(" and "),wr=s("a"),Mk=o("notebook"),$k=o("."),Lk=p(),Cc=s("li"),Tr=s("a"),xk=o("Causal language modeling"),Fk=o(" chapter of the \u{1F917} Hugging Face Task Guides."),tg=p(),v(Mr.$$.fragment),og=p(),St=s("ul"),Eo=s("li"),qc=s("a"),Ek=o("XLMRobertaForMaskedLM"),Rk=o(" is supported by this "),$r=s("a"),Xk=o("example script"),zk=o(" and "),Lr=s("a"),Ck=o("notebook"),qk=o("."),jk=p(),Ro=s("li"),jc=s("a"),Ak=o("TFXLMRobertaForMaskedLM"),Pk=o(" is supported by this "),xr=s("a"),Nk=o("example script"),Ok=o(" and "),Fr=s("a"),Ik=o("notebook"),Dk=o("."),Sk=p(),Xo=s("li"),Ac=s("a"),Wk=o("FlaxXLMRobertaForMaskedLM"),Bk=o(" is supported by this "),Er=s("a"),Uk=o("example script"),Hk=o(" and "),Rr=s("a"),Qk=o("notebook"),Kk=o("."),Vk=p(),Pc=s("li"),Xr=s("a"),Jk=o("Masked language modeling"),Gk=o(" chapter of the \u{1F917} Hugging Face Course."),ng=p(),v(zr.$$.fragment),sg=p(),Wt=s("ul"),zo=s("li"),Nc=s("a"),Yk=o("XLMRobertaForQuestionAnswering"),Zk=o(" is supported by this "),Cr=s("a"),ey=o("example script"),ty=o(" and "),qr=s("a"),oy=o("notebook"),ny=o("."),sy=p(),Co=s("li"),Oc=s("a"),ay=o("TFXLMRobertaForQuestionAnswering"),ry=o(" is supported by this "),jr=s("a"),iy=o("example script"),ly=o(" and "),Ar=s("a"),dy=o("notebook"),cy=o("."),py=p(),ts=s("li"),Ic=s("a"),hy=o("FlaxXLMRobertaForQuestionAnswering"),my=o(" is supported by this "),Pr=s("a"),uy=o("example script"),fy=o("."),gy=p(),Dc=s("li"),Nr=s("a"),_y=o("Question answering"),by=o(" chapter of the \u{1F917} Hugging Face Course."),ag=p(),Sc=s("p"),bh=s("strong"),ky=o("Multiple choice"),rg=p(),os=s("ul"),qo=s("li"),Wc=s("a"),yy=o("XLMRobertaForMultipleChoice"),vy=o(" is supported by this "),Or=s("a"),wy=o("example script"),Ty=o(" and "),Ir=s("a"),My=o("notebook"),$y=o("."),Ly=p(),jo=s("li"),Bc=s("a"),xy=o("TFXLMRobertaForMultipleChoice"),Fy=o(" is supported by this "),Dr=s("a"),Ey=o("example script"),Ry=o(" and "),Sr=s("a"),Xy=o("notebook"),zy=o("."),ig=p(),Uc=s("p"),Cy=o("\u{1F680} Deploy"),lg=p(),Hc=s("ul"),Wr=s("li"),qy=o("A blog post on how to "),Br=s("a"),jy=o("Deploy Serveless XLM RoBERTa on AWS Lambda"),Ay=o("."),dg=p(),on=s("h2"),ns=s("a"),kh=s("span"),v(Ur.$$.fragment),Py=p(),yh=s("span"),Ny=o("XLMRobertaConfig"),cg=p(),Nt=s("div"),v(Hr.$$.fragment),Oy=p(),uo=s("p"),Iy=o("This is the configuration class to store the configuration of a "),Qc=s("a"),Dy=o("XLMRobertaModel"),Sy=o(" or a "),Kc=s("a"),Wy=o("TFXLMRobertaModel"),By=o(`. It
is used to instantiate a XLM-RoBERTa model according to the specified arguments, defining the model architecture.
Instantiating a configuration with the defaults will yield a similar configuration to that of the XLMRoBERTa
`),Qr=s("a"),Uy=o("xlm-roberta-base"),Hy=o(" architecture."),Qy=p(),nn=s("p"),Ky=o("Configuration objects inherit from "),Vc=s("a"),Vy=o("PretrainedConfig"),Jy=o(` and can be used to control the model outputs. Read the
documentation from `),Jc=s("a"),Gy=o("PretrainedConfig"),Yy=o(" for more information."),Zy=p(),v(ss.$$.fragment),pg=p(),sn=s("h2"),as=s("a"),vh=s("span"),v(Kr.$$.fragment),ev=p(),wh=s("span"),tv=o("XLMRobertaTokenizer"),hg=p(),et=s("div"),v(Vr.$$.fragment),ov=p(),fo=s("p"),nv=o("Adapted from "),Gc=s("a"),sv=o("RobertaTokenizer"),av=o(" and "),Yc=s("a"),rv=o("XLNetTokenizer"),iv=o(`. Based on
`),Jr=s("a"),lv=o("SentencePiece"),dv=o("."),cv=p(),Gr=s("p"),pv=o("This tokenizer inherits from "),Zc=s("a"),hv=o("PreTrainedTokenizer"),mv=o(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),uv=p(),Ao=s("div"),v(Yr.$$.fragment),fv=p(),Th=s("p"),gv=o(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An XLM-RoBERTa sequence has the following format:`),_v=p(),Zr=s("ul"),ep=s("li"),bv=o("single sequence: "),Mh=s("code"),kv=o("<s> X </s>"),yv=p(),tp=s("li"),vv=o("pair of sequences: "),$h=s("code"),wv=o("<s> A </s></s> B </s>"),Tv=p(),rs=s("div"),v(ei.$$.fragment),Mv=p(),ti=s("p"),$v=o(`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Lh=s("code"),Lv=o("prepare_for_model"),xv=o(" method."),Fv=p(),is=s("div"),v(oi.$$.fragment),Ev=p(),xh=s("p"),Rv=o(`Create a mask from the two sequences passed to be used in a sequence-pair classification task. XLM-RoBERTa does
not make use of token type ids, therefore a list of zeros is returned.`),Xv=p(),op=s("div"),v(ni.$$.fragment),mg=p(),an=s("h2"),ls=s("a"),Fh=s("span"),v(si.$$.fragment),zv=p(),Eh=s("span"),Cv=o("XLMRobertaTokenizerFast"),ug=p(),_t=s("div"),v(ai.$$.fragment),qv=p(),Ot=s("p"),jv=o("Construct a \u201Cfast\u201D XLM-RoBERTa tokenizer (backed by HuggingFace\u2019s "),Rh=s("em"),Av=o("tokenizers"),Pv=o(` library). Adapted from
`),np=s("a"),Nv=o("RobertaTokenizer"),Ov=o(" and "),sp=s("a"),Iv=o("XLNetTokenizer"),Dv=o(`. Based on
`),ri=s("a"),Sv=o("BPE"),Wv=o("."),Bv=p(),ii=s("p"),Uv=o("This tokenizer inherits from "),ap=s("a"),Hv=o("PreTrainedTokenizerFast"),Qv=o(` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),Kv=p(),Po=s("div"),v(li.$$.fragment),Vv=p(),Xh=s("p"),Jv=o(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An XLM-RoBERTa sequence has the following format:`),Gv=p(),di=s("ul"),rp=s("li"),Yv=o("single sequence: "),zh=s("code"),Zv=o("<s> X </s>"),ew=p(),ip=s("li"),tw=o("pair of sequences: "),Ch=s("code"),ow=o("<s> A </s></s> B </s>"),nw=p(),ds=s("div"),v(ci.$$.fragment),sw=p(),qh=s("p"),aw=o(`Create a mask from the two sequences passed to be used in a sequence-pair classification task. XLM-RoBERTa does
not make use of token type ids, therefore a list of zeros is returned.`),fg=p(),rn=s("h2"),cs=s("a"),jh=s("span"),v(pi.$$.fragment),rw=p(),Ah=s("span"),iw=o("XLMRobertaModel"),gg=p(),Ze=s("div"),v(hi.$$.fragment),lw=p(),Ph=s("p"),dw=o("The bare XLM-RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),cw=p(),mi=s("p"),pw=o("This model inherits from "),lp=s("a"),hw=o("PreTrainedModel"),mw=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),uw=p(),ui=s("p"),fw=o("This model is also a PyTorch "),fi=s("a"),gw=o("torch.nn.Module"),_w=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),bw=p(),gi=s("p"),kw=o(`The model can behave as an encoder (with only self-attention) as well as a decoder, in which case a layer of
cross-attention is added between the self-attention layers, following the architecture described in `),Nh=s("em"),yw=o(`Attention is
all you need`),vw=o(`_ by Ashish Vaswani, Noam Shazeer, Niki Parmar, Jakob Uszkoreit, Llion Jones, Aidan N. Gomez, Lukasz
Kaiser and Illia Polosukhin.`),ww=p(),lt=s("p"),Tw=o("To behave as an decoder the model needs to be initialized with the "),Oh=s("code"),Mw=o("is_decoder"),$w=o(` argument of the configuration set
to `),Ih=s("code"),Lw=o("True"),xw=o(". To be used in a Seq2Seq model, the model needs to initialized with both "),Dh=s("code"),Fw=o("is_decoder"),Ew=o(` argument and
`),Sh=s("code"),Rw=o("add_cross_attention"),Xw=o(" set to "),Wh=s("code"),zw=o("True"),Cw=o("; an "),Bh=s("code"),qw=o("encoder_hidden_states"),jw=o(" is then expected as an input to the forward pass."),Aw=p(),ps=s("p"),Pw=o(".. _"),Uh=s("em"),Nw=o("Attention is all you need"),Ow=o(": "),_i=s("a"),Iw=o("https://arxiv.org/abs/1706.03762"),Dw=p(),Bt=s("div"),v(bi.$$.fragment),Sw=p(),ln=s("p"),Ww=o("The "),dp=s("a"),Bw=o("XLMRobertaModel"),Uw=o(" forward method, overrides the "),Hh=s("code"),Hw=o("__call__"),Qw=o(" special method."),Kw=p(),v(hs.$$.fragment),Vw=p(),v(ms.$$.fragment),_g=p(),dn=s("h2"),us=s("a"),Qh=s("span"),v(ki.$$.fragment),Jw=p(),Kh=s("span"),Gw=o("XLMRobertaForCausalLM"),bg=p(),bt=s("div"),v(yi.$$.fragment),Yw=p(),vi=s("p"),Zw=o("XLM-RoBERTa Model with a "),Vh=s("code"),eT=o("language modeling"),tT=o(" head on top for CLM fine-tuning."),oT=p(),wi=s("p"),nT=o("This model inherits from "),cp=s("a"),sT=o("PreTrainedModel"),aT=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),rT=p(),Ti=s("p"),iT=o("This model is also a PyTorch "),Mi=s("a"),lT=o("torch.nn.Module"),dT=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),cT=p(),Ut=s("div"),v($i.$$.fragment),pT=p(),cn=s("p"),hT=o("The "),pp=s("a"),mT=o("XLMRobertaForCausalLM"),uT=o(" forward method, overrides the "),Jh=s("code"),fT=o("__call__"),gT=o(" special method."),_T=p(),v(fs.$$.fragment),bT=p(),v(gs.$$.fragment),kg=p(),pn=s("h2"),_s=s("a"),Gh=s("span"),v(Li.$$.fragment),kT=p(),Yh=s("span"),yT=o("XLMRobertaForMaskedLM"),yg=p(),kt=s("div"),v(xi.$$.fragment),vT=p(),Fi=s("p"),wT=o("XLM-RoBERTa Model with a "),Zh=s("code"),TT=o("language modeling"),MT=o(" head on top."),$T=p(),Ei=s("p"),LT=o("This model inherits from "),hp=s("a"),xT=o("PreTrainedModel"),FT=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ET=p(),Ri=s("p"),RT=o("This model is also a PyTorch "),Xi=s("a"),XT=o("torch.nn.Module"),zT=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),CT=p(),Ht=s("div"),v(zi.$$.fragment),qT=p(),hn=s("p"),jT=o("The "),mp=s("a"),AT=o("XLMRobertaForMaskedLM"),PT=o(" forward method, overrides the "),em=s("code"),NT=o("__call__"),OT=o(" special method."),IT=p(),v(bs.$$.fragment),DT=p(),v(ks.$$.fragment),vg=p(),mn=s("h2"),ys=s("a"),tm=s("span"),v(Ci.$$.fragment),ST=p(),om=s("span"),WT=o("XLMRobertaForSequenceClassification"),wg=p(),yt=s("div"),v(qi.$$.fragment),BT=p(),nm=s("p"),UT=o(`XLM-RoBERTa Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),HT=p(),ji=s("p"),QT=o("This model inherits from "),up=s("a"),KT=o("PreTrainedModel"),VT=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),JT=p(),Ai=s("p"),GT=o("This model is also a PyTorch "),Pi=s("a"),YT=o("torch.nn.Module"),ZT=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),eM=p(),Mt=s("div"),v(Ni.$$.fragment),tM=p(),un=s("p"),oM=o("The "),fp=s("a"),nM=o("XLMRobertaForSequenceClassification"),sM=o(" forward method, overrides the "),sm=s("code"),aM=o("__call__"),rM=o(" special method."),iM=p(),v(vs.$$.fragment),lM=p(),v(ws.$$.fragment),dM=p(),v(Ts.$$.fragment),Tg=p(),fn=s("h2"),Ms=s("a"),am=s("span"),v(Oi.$$.fragment),cM=p(),rm=s("span"),pM=o("XLMRobertaForMultipleChoice"),Mg=p(),vt=s("div"),v(Ii.$$.fragment),hM=p(),im=s("p"),mM=o(`XLM-RoBERTa Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),uM=p(),Di=s("p"),fM=o("This model inherits from "),gp=s("a"),gM=o("PreTrainedModel"),_M=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),bM=p(),Si=s("p"),kM=o("This model is also a PyTorch "),Wi=s("a"),yM=o("torch.nn.Module"),vM=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),wM=p(),Qt=s("div"),v(Bi.$$.fragment),TM=p(),gn=s("p"),MM=o("The "),_p=s("a"),$M=o("XLMRobertaForMultipleChoice"),LM=o(" forward method, overrides the "),lm=s("code"),xM=o("__call__"),FM=o(" special method."),EM=p(),v($s.$$.fragment),RM=p(),v(Ls.$$.fragment),$g=p(),_n=s("h2"),xs=s("a"),dm=s("span"),v(Ui.$$.fragment),XM=p(),cm=s("span"),zM=o("XLMRobertaForTokenClassification"),Lg=p(),wt=s("div"),v(Hi.$$.fragment),CM=p(),pm=s("p"),qM=o(`XLM-RoBERTa Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),jM=p(),Qi=s("p"),AM=o("This model inherits from "),bp=s("a"),PM=o("PreTrainedModel"),NM=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),OM=p(),Ki=s("p"),IM=o("This model is also a PyTorch "),Vi=s("a"),DM=o("torch.nn.Module"),SM=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),WM=p(),Kt=s("div"),v(Ji.$$.fragment),BM=p(),bn=s("p"),UM=o("The "),kp=s("a"),HM=o("XLMRobertaForTokenClassification"),QM=o(" forward method, overrides the "),hm=s("code"),KM=o("__call__"),VM=o(" special method."),JM=p(),v(Fs.$$.fragment),GM=p(),v(Es.$$.fragment),xg=p(),kn=s("h2"),Rs=s("a"),mm=s("span"),v(Gi.$$.fragment),YM=p(),um=s("span"),ZM=o("XLMRobertaForQuestionAnswering"),Fg=p(),Tt=s("div"),v(Yi.$$.fragment),e1=p(),yn=s("p"),t1=o(`XLM-RoBERTa Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),fm=s("code"),o1=o("span start logits"),n1=o(" and "),gm=s("code"),s1=o("span end logits"),a1=o(")."),r1=p(),Zi=s("p"),i1=o("This model inherits from "),yp=s("a"),l1=o("PreTrainedModel"),d1=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),c1=p(),el=s("p"),p1=o("This model is also a PyTorch "),tl=s("a"),h1=o("torch.nn.Module"),m1=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),u1=p(),Vt=s("div"),v(ol.$$.fragment),f1=p(),vn=s("p"),g1=o("The "),vp=s("a"),_1=o("XLMRobertaForQuestionAnswering"),b1=o(" forward method, overrides the "),_m=s("code"),k1=o("__call__"),y1=o(" special method."),v1=p(),v(Xs.$$.fragment),w1=p(),v(zs.$$.fragment),Eg=p(),wn=s("h2"),Cs=s("a"),bm=s("span"),v(nl.$$.fragment),T1=p(),km=s("span"),M1=o("TFXLMRobertaModel"),Rg=p(),dt=s("div"),v(sl.$$.fragment),$1=p(),ym=s("p"),L1=o("The bare XLM RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),x1=p(),al=s("p"),F1=o("This model inherits from "),wp=s("a"),E1=o("TFPreTrainedModel"),R1=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),X1=p(),rl=s("p"),z1=o("This model is also a "),il=s("a"),C1=o("tf.keras.Model"),q1=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),j1=p(),v(qs.$$.fragment),A1=p(),Jt=s("div"),v(ll.$$.fragment),P1=p(),Tn=s("p"),N1=o("The "),Tp=s("a"),O1=o("TFXLMRobertaModel"),I1=o(" forward method, overrides the "),vm=s("code"),D1=o("__call__"),S1=o(" special method."),W1=p(),v(js.$$.fragment),B1=p(),v(As.$$.fragment),Xg=p(),Mn=s("h2"),Ps=s("a"),wm=s("span"),v(dl.$$.fragment),U1=p(),Tm=s("span"),H1=o("TFXLMRobertaForCausalLM"),zg=p(),ct=s("div"),v(cl.$$.fragment),Q1=p(),pl=s("p"),K1=o("XLM-RoBERTa Model with a "),Mm=s("code"),V1=o("language modeling"),J1=o(" head on top for CLM fine-tuning."),G1=p(),hl=s("p"),Y1=o("This model inherits from "),Mp=s("a"),Z1=o("TFPreTrainedModel"),e$=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),t$=p(),ml=s("p"),o$=o("This model is also a "),ul=s("a"),n$=o("tf.keras.Model"),s$=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),a$=p(),v(Ns.$$.fragment),r$=p(),Gt=s("div"),v(fl.$$.fragment),i$=p(),$n=s("p"),l$=o("The "),$p=s("a"),d$=o("TFXLMRobertaForCausalLM"),c$=o(" forward method, overrides the "),$m=s("code"),p$=o("__call__"),h$=o(" special method."),m$=p(),v(Os.$$.fragment),u$=p(),v(Is.$$.fragment),Cg=p(),Ln=s("h2"),Ds=s("a"),Lm=s("span"),v(gl.$$.fragment),f$=p(),xm=s("span"),g$=o("TFXLMRobertaForMaskedLM"),qg=p(),pt=s("div"),v(_l.$$.fragment),_$=p(),bl=s("p"),b$=o("XLM RoBERTa Model with a "),Fm=s("code"),k$=o("language modeling"),y$=o(" head on top."),v$=p(),kl=s("p"),w$=o("This model inherits from "),Lp=s("a"),T$=o("TFPreTrainedModel"),M$=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),$$=p(),yl=s("p"),L$=o("This model is also a "),vl=s("a"),x$=o("tf.keras.Model"),F$=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),E$=p(),v(Ss.$$.fragment),R$=p(),$t=s("div"),v(wl.$$.fragment),X$=p(),xn=s("p"),z$=o("The "),xp=s("a"),C$=o("TFXLMRobertaForMaskedLM"),q$=o(" forward method, overrides the "),Em=s("code"),j$=o("__call__"),A$=o(" special method."),P$=p(),v(Ws.$$.fragment),N$=p(),v(Bs.$$.fragment),O$=p(),v(Us.$$.fragment),jg=p(),Fn=s("h2"),Hs=s("a"),Rm=s("span"),v(Tl.$$.fragment),I$=p(),Xm=s("span"),D$=o("TFXLMRobertaForSequenceClassification"),Ag=p(),ht=s("div"),v(Ml.$$.fragment),S$=p(),zm=s("p"),W$=o(`XLM RoBERTa Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),B$=p(),$l=s("p"),U$=o("This model inherits from "),Fp=s("a"),H$=o("TFPreTrainedModel"),Q$=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),K$=p(),Ll=s("p"),V$=o("This model is also a "),xl=s("a"),J$=o("tf.keras.Model"),G$=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Y$=p(),v(Qs.$$.fragment),Z$=p(),Lt=s("div"),v(Fl.$$.fragment),e2=p(),En=s("p"),t2=o("The "),Ep=s("a"),o2=o("TFXLMRobertaForSequenceClassification"),n2=o(" forward method, overrides the "),Cm=s("code"),s2=o("__call__"),a2=o(" special method."),r2=p(),v(Ks.$$.fragment),i2=p(),v(Vs.$$.fragment),l2=p(),v(Js.$$.fragment),Pg=p(),Rn=s("h2"),Gs=s("a"),qm=s("span"),v(El.$$.fragment),d2=p(),jm=s("span"),c2=o("TFXLMRobertaForMultipleChoice"),Ng=p(),mt=s("div"),v(Rl.$$.fragment),p2=p(),Am=s("p"),h2=o(`XLM Roberta Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),m2=p(),Xl=s("p"),u2=o("This model inherits from "),Rp=s("a"),f2=o("TFPreTrainedModel"),g2=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),_2=p(),zl=s("p"),b2=o("This model is also a "),Cl=s("a"),k2=o("tf.keras.Model"),y2=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),v2=p(),v(Ys.$$.fragment),w2=p(),Yt=s("div"),v(ql.$$.fragment),T2=p(),Xn=s("p"),M2=o("The "),Xp=s("a"),$2=o("TFXLMRobertaForMultipleChoice"),L2=o(" forward method, overrides the "),Pm=s("code"),x2=o("__call__"),F2=o(" special method."),E2=p(),v(Zs.$$.fragment),R2=p(),v(ea.$$.fragment),Og=p(),zn=s("h2"),ta=s("a"),Nm=s("span"),v(jl.$$.fragment),X2=p(),Om=s("span"),z2=o("TFXLMRobertaForTokenClassification"),Ig=p(),ut=s("div"),v(Al.$$.fragment),C2=p(),Im=s("p"),q2=o(`XLM RoBERTa Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),j2=p(),Pl=s("p"),A2=o("This model inherits from "),zp=s("a"),P2=o("TFPreTrainedModel"),N2=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),O2=p(),Nl=s("p"),I2=o("This model is also a "),Ol=s("a"),D2=o("tf.keras.Model"),S2=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),W2=p(),v(oa.$$.fragment),B2=p(),xt=s("div"),v(Il.$$.fragment),U2=p(),Cn=s("p"),H2=o("The "),Cp=s("a"),Q2=o("TFXLMRobertaForTokenClassification"),K2=o(" forward method, overrides the "),Dm=s("code"),V2=o("__call__"),J2=o(" special method."),G2=p(),v(na.$$.fragment),Y2=p(),v(sa.$$.fragment),Z2=p(),v(aa.$$.fragment),Dg=p(),qn=s("h2"),ra=s("a"),Sm=s("span"),v(Dl.$$.fragment),eL=p(),Wm=s("span"),tL=o("TFXLMRobertaForQuestionAnswering"),Sg=p(),ft=s("div"),v(Sl.$$.fragment),oL=p(),jn=s("p"),nL=o(`XLM RoBERTa Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),Bm=s("code"),sL=o("span start logits"),aL=o(" and "),Um=s("code"),rL=o("span end logits"),iL=o(")."),lL=p(),Wl=s("p"),dL=o("This model inherits from "),qp=s("a"),cL=o("TFPreTrainedModel"),pL=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),hL=p(),Bl=s("p"),mL=o("This model is also a "),Ul=s("a"),uL=o("tf.keras.Model"),fL=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),gL=p(),v(ia.$$.fragment),_L=p(),Ft=s("div"),v(Hl.$$.fragment),bL=p(),An=s("p"),kL=o("The "),jp=s("a"),yL=o("TFXLMRobertaForQuestionAnswering"),vL=o(" forward method, overrides the "),Hm=s("code"),wL=o("__call__"),TL=o(" special method."),ML=p(),v(la.$$.fragment),$L=p(),v(da.$$.fragment),LL=p(),v(ca.$$.fragment),Wg=p(),Pn=s("h2"),pa=s("a"),Qm=s("span"),v(Ql.$$.fragment),xL=p(),Km=s("span"),FL=o("FlaxXLMRobertaModel"),Bg=p(),tt=s("div"),v(Kl.$$.fragment),EL=p(),Vm=s("p"),RL=o("The bare XLM RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),XL=p(),Vl=s("p"),zL=o("This model inherits from "),Ap=s("a"),CL=o("FlaxPreTrainedModel"),qL=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),jL=p(),Jl=s("p"),AL=o("This model is also a Flax Linen "),Gl=s("a"),PL=o("flax.linen.Module"),NL=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),OL=p(),Jm=s("p"),IL=o("Finally, this model supports inherent JAX features such as:"),DL=p(),go=s("ul"),Gm=s("li"),Yl=s("a"),SL=o("Just-In-Time (JIT) compilation"),WL=p(),Ym=s("li"),Zl=s("a"),BL=o("Automatic Differentiation"),UL=p(),Zm=s("li"),ed=s("a"),HL=o("Vectorization"),QL=p(),eu=s("li"),td=s("a"),KL=o("Parallelization"),VL=p(),Zt=s("div"),v(od.$$.fragment),JL=p(),Nn=s("p"),GL=o("The "),tu=s("code"),YL=o("FlaxXLMRobertaPreTrainedModel"),ZL=o(" forward method, overrides the "),ou=s("code"),ex=o("__call__"),tx=o(" special method."),ox=p(),v(ha.$$.fragment),nx=p(),v(ma.$$.fragment),Ug=p(),On=s("h2"),ua=s("a"),nu=s("span"),v(nd.$$.fragment),sx=p(),su=s("span"),ax=o("FlaxXLMRobertaForCausalLM"),Hg=p(),ot=s("div"),v(sd.$$.fragment),rx=p(),au=s("p"),ix=o(`XLM Roberta Model with a language modeling head on top (a linear layer on top of the hidden-states output) e.g for
autoregressive tasks.`),lx=p(),ad=s("p"),dx=o("This model inherits from "),Pp=s("a"),cx=o("FlaxPreTrainedModel"),px=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),hx=p(),rd=s("p"),mx=o("This model is also a Flax Linen "),id=s("a"),ux=o("flax.linen.Module"),fx=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),gx=p(),ru=s("p"),_x=o("Finally, this model supports inherent JAX features such as:"),bx=p(),_o=s("ul"),iu=s("li"),ld=s("a"),kx=o("Just-In-Time (JIT) compilation"),yx=p(),lu=s("li"),dd=s("a"),vx=o("Automatic Differentiation"),wx=p(),du=s("li"),cd=s("a"),Tx=o("Vectorization"),Mx=p(),cu=s("li"),pd=s("a"),$x=o("Parallelization"),Lx=p(),eo=s("div"),v(hd.$$.fragment),xx=p(),In=s("p"),Fx=o("The "),pu=s("code"),Ex=o("FlaxXLMRobertaPreTrainedModel"),Rx=o(" forward method, overrides the "),hu=s("code"),Xx=o("__call__"),zx=o(" special method."),Cx=p(),v(fa.$$.fragment),qx=p(),v(ga.$$.fragment),Qg=p(),Dn=s("h2"),_a=s("a"),mu=s("span"),v(md.$$.fragment),jx=p(),uu=s("span"),Ax=o("FlaxXLMRobertaForMaskedLM"),Kg=p(),nt=s("div"),v(ud.$$.fragment),Px=p(),fd=s("p"),Nx=o("XLM RoBERTa Model with a "),fu=s("code"),Ox=o("language modeling"),Ix=o(" head on top."),Dx=p(),gd=s("p"),Sx=o("This model inherits from "),Np=s("a"),Wx=o("FlaxPreTrainedModel"),Bx=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Ux=p(),_d=s("p"),Hx=o("This model is also a Flax Linen "),bd=s("a"),Qx=o("flax.linen.Module"),Kx=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Vx=p(),gu=s("p"),Jx=o("Finally, this model supports inherent JAX features such as:"),Gx=p(),bo=s("ul"),_u=s("li"),kd=s("a"),Yx=o("Just-In-Time (JIT) compilation"),Zx=p(),bu=s("li"),yd=s("a"),eF=o("Automatic Differentiation"),tF=p(),ku=s("li"),vd=s("a"),oF=o("Vectorization"),nF=p(),yu=s("li"),wd=s("a"),sF=o("Parallelization"),aF=p(),to=s("div"),v(Td.$$.fragment),rF=p(),Sn=s("p"),iF=o("The "),vu=s("code"),lF=o("FlaxXLMRobertaPreTrainedModel"),dF=o(" forward method, overrides the "),wu=s("code"),cF=o("__call__"),pF=o(" special method."),hF=p(),v(ba.$$.fragment),mF=p(),v(ka.$$.fragment),Vg=p(),Wn=s("h2"),ya=s("a"),Tu=s("span"),v(Md.$$.fragment),uF=p(),Mu=s("span"),fF=o("FlaxXLMRobertaForSequenceClassification"),Jg=p(),st=s("div"),v($d.$$.fragment),gF=p(),$u=s("p"),_F=o(`XLM Roberta Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),bF=p(),Ld=s("p"),kF=o("This model inherits from "),Op=s("a"),yF=o("FlaxPreTrainedModel"),vF=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),wF=p(),xd=s("p"),TF=o("This model is also a Flax Linen "),Fd=s("a"),MF=o("flax.linen.Module"),$F=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),LF=p(),Lu=s("p"),xF=o("Finally, this model supports inherent JAX features such as:"),FF=p(),ko=s("ul"),xu=s("li"),Ed=s("a"),EF=o("Just-In-Time (JIT) compilation"),RF=p(),Fu=s("li"),Rd=s("a"),XF=o("Automatic Differentiation"),zF=p(),Eu=s("li"),Xd=s("a"),CF=o("Vectorization"),qF=p(),Ru=s("li"),zd=s("a"),jF=o("Parallelization"),AF=p(),oo=s("div"),v(Cd.$$.fragment),PF=p(),Bn=s("p"),NF=o("The "),Xu=s("code"),OF=o("FlaxXLMRobertaPreTrainedModel"),IF=o(" forward method, overrides the "),zu=s("code"),DF=o("__call__"),SF=o(" special method."),WF=p(),v(va.$$.fragment),BF=p(),v(wa.$$.fragment),Gg=p(),Un=s("h2"),Ta=s("a"),Cu=s("span"),v(qd.$$.fragment),UF=p(),qu=s("span"),HF=o("FlaxXLMRobertaForMultipleChoice"),Yg=p(),at=s("div"),v(jd.$$.fragment),QF=p(),ju=s("p"),KF=o(`XLM Roberta Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),VF=p(),Ad=s("p"),JF=o("This model inherits from "),Ip=s("a"),GF=o("FlaxPreTrainedModel"),YF=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),ZF=p(),Pd=s("p"),e0=o("This model is also a Flax Linen "),Nd=s("a"),t0=o("flax.linen.Module"),o0=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),n0=p(),Au=s("p"),s0=o("Finally, this model supports inherent JAX features such as:"),a0=p(),yo=s("ul"),Pu=s("li"),Od=s("a"),r0=o("Just-In-Time (JIT) compilation"),i0=p(),Nu=s("li"),Id=s("a"),l0=o("Automatic Differentiation"),d0=p(),Ou=s("li"),Dd=s("a"),c0=o("Vectorization"),p0=p(),Iu=s("li"),Sd=s("a"),h0=o("Parallelization"),m0=p(),no=s("div"),v(Wd.$$.fragment),u0=p(),Hn=s("p"),f0=o("The "),Du=s("code"),g0=o("FlaxXLMRobertaPreTrainedModel"),_0=o(" forward method, overrides the "),Su=s("code"),b0=o("__call__"),k0=o(" special method."),y0=p(),v(Ma.$$.fragment),v0=p(),v($a.$$.fragment),Zg=p(),Qn=s("h2"),La=s("a"),Wu=s("span"),v(Bd.$$.fragment),w0=p(),Bu=s("span"),T0=o("FlaxXLMRobertaForTokenClassification"),e_=p(),rt=s("div"),v(Ud.$$.fragment),M0=p(),Uu=s("p"),$0=o(`XLM Roberta Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),L0=p(),Hd=s("p"),x0=o("This model inherits from "),Dp=s("a"),F0=o("FlaxPreTrainedModel"),E0=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),R0=p(),Qd=s("p"),X0=o("This model is also a Flax Linen "),Kd=s("a"),z0=o("flax.linen.Module"),C0=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),q0=p(),Hu=s("p"),j0=o("Finally, this model supports inherent JAX features such as:"),A0=p(),vo=s("ul"),Qu=s("li"),Vd=s("a"),P0=o("Just-In-Time (JIT) compilation"),N0=p(),Ku=s("li"),Jd=s("a"),O0=o("Automatic Differentiation"),I0=p(),Vu=s("li"),Gd=s("a"),D0=o("Vectorization"),S0=p(),Ju=s("li"),Yd=s("a"),W0=o("Parallelization"),B0=p(),so=s("div"),v(Zd.$$.fragment),U0=p(),Kn=s("p"),H0=o("The "),Gu=s("code"),Q0=o("FlaxXLMRobertaPreTrainedModel"),K0=o(" forward method, overrides the "),Yu=s("code"),V0=o("__call__"),J0=o(" special method."),G0=p(),v(xa.$$.fragment),Y0=p(),v(Fa.$$.fragment),t_=p(),Vn=s("h2"),Ea=s("a"),Zu=s("span"),v(ec.$$.fragment),Z0=p(),ef=s("span"),eE=o("FlaxXLMRobertaForQuestionAnswering"),o_=p(),it=s("div"),v(tc.$$.fragment),tE=p(),Jn=s("p"),oE=o(`XLM Roberta Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),tf=s("code"),nE=o("span start logits"),sE=o(" and "),of=s("code"),aE=o("span end logits"),rE=o(")."),iE=p(),oc=s("p"),lE=o("This model inherits from "),Sp=s("a"),dE=o("FlaxPreTrainedModel"),cE=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),pE=p(),nc=s("p"),hE=o("This model is also a Flax Linen "),sc=s("a"),mE=o("flax.linen.Module"),uE=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),fE=p(),nf=s("p"),gE=o("Finally, this model supports inherent JAX features such as:"),_E=p(),wo=s("ul"),sf=s("li"),ac=s("a"),bE=o("Just-In-Time (JIT) compilation"),kE=p(),af=s("li"),rc=s("a"),yE=o("Automatic Differentiation"),vE=p(),rf=s("li"),ic=s("a"),wE=o("Vectorization"),TE=p(),lf=s("li"),lc=s("a"),ME=o("Parallelization"),$E=p(),ao=s("div"),v(dc.$$.fragment),LE=p(),Gn=s("p"),xE=o("The "),df=s("code"),FE=o("FlaxXLMRobertaPreTrainedModel"),EE=o(" forward method, overrides the "),cf=s("code"),RE=o("__call__"),XE=o(" special method."),zE=p(),v(Ra.$$.fragment),CE=p(),v(Xa.$$.fragment),this.h()},l(i){const _=Cq('[data-svelte="svelte-1phssyn"]',document.head);d=a(_,"META",{name:!0,content:!0}),_.forEach(t),k=h(i),u=a(i,"H1",{class:!0});var cc=r(u);f=a(cc,"A",{id:!0,class:!0,href:!0});var pf=r(f);b=a(pf,"SPAN",{});var hf=r(b);w(l.$$.fragment,hf),hf.forEach(t),pf.forEach(t),m=h(cc),R=a(cc,"SPAN",{});var mf=r(R);ve=n(mf,"XLM-RoBERTa"),mf.forEach(t),cc.forEach(t),fe=h(i),O=a(i,"H2",{class:!0});var pc=r(O);re=a(pc,"A",{id:!0,class:!0,href:!0});var uf=r(re);te=a(uf,"SPAN",{});var ff=r(te);w(x.$$.fragment,ff),ff.forEach(t),uf.forEach(t),we=h(pc),U=a(pc,"SPAN",{});var gf=r(U);Te=n(gf,"Overview"),gf.forEach(t),pc.forEach(t),ge=h(i),D=a(i,"P",{});var hc=r(D);Me=n(hc,"The XLM-RoBERTa model was proposed in "),le=a(hc,"A",{href:!0,rel:!0});var _f=r(le);Q=n(_f,"Unsupervised Cross-lingual Representation Learning at Scale"),_f.forEach(t),$e=n(hc,` by Alexis Conneau, Kartikay Khandelwal, Naman Goyal, Vishrav Chaudhary, Guillaume
Wenzek, Francisco Guzm\xE1n, Edouard Grave, Myle Ott, Luke Zettlemoyer and Veselin Stoyanov. It is based on Facebook\u2019s
RoBERTa model released in 2019. It is a large multi-lingual language model, trained on 2.5TB of filtered CommonCrawl
data.`),hc.forEach(t),_e=h(i),W=a(i,"P",{});var bf=r(W);Le=n(bf,"The abstract from the paper is the following:"),bf.forEach(t),be=h(i),B=a(i,"P",{});var kf=r(B);ue=a(kf,"EM",{});var yf=r(ue);xe=n(yf,`This paper shows that pretraining multilingual language models at scale leads to significant performance gains for a
wide range of cross-lingual transfer tasks. We train a Transformer-based masked language model on one hundred
languages, using more than two terabytes of filtered CommonCrawl data. Our model, dubbed XLM-R, significantly
outperforms multilingual BERT (mBERT) on a variety of cross-lingual benchmarks, including +13.8% average accuracy on
XNLI, +12.3% average F1 score on MLQA, and +2.1% average F1 score on NER. XLM-R performs particularly well on
low-resource languages, improving 11.8% in XNLI accuracy for Swahili and 9.2% for Urdu over the previous XLM model. We
also present a detailed empirical evaluation of the key factors that are required to achieve these gains, including the
trade-offs between (1) positive transfer and capacity dilution and (2) the performance of high and low resource
languages at scale. Finally, we show, for the first time, the possibility of multilingual modeling without sacrificing
per-language performance; XLM-Ris very competitive with strong monolingual models on the GLUE and XNLI benchmarks. We
will make XLM-R code, data, and models publicly available.`),yf.forEach(t),kf.forEach(t),ne=h(i),z=a(i,"P",{});var vf=r(z);C=n(vf,"Tips:"),vf.forEach(t),ke=h(i),S=a(i,"UL",{});var mc=r(S);de=a(mc,"LI",{});var uc=r(de);Fe=n(uc,`XLM-RoBERTa is a multilingual model trained on 100 different languages. Unlike some XLM multilingual models, it does
not require `),H=a(uc,"CODE",{});var wf=r(H);Ee=n(wf,"lang"),wf.forEach(t),Re=n(uc,` tensors to understand which language is used, and should be able to determine the correct
language from the input ids.`),uc.forEach(t),q=h(mc),ce=a(mc,"LI",{});var fc=r(ce);K=n(fc,"This implementation is the same as RoBERTa. Refer to the "),me=a(fc,"A",{href:!0});var Tf=r(me);Xe=n(Tf,"documentation of RoBERTa"),Tf.forEach(t),V=n(fc,` for usage examples
as well as the information relative to the inputs and outputs.`),fc.forEach(t),mc.forEach(t),ye=h(i),se=a(i,"P",{});var Yn=r(se);N=n(Yn,"This model was contributed by "),pe=a(Yn,"A",{href:!0,rel:!0});var Mf=r(pe);J=n(Mf,"stefan-it"),Mf.forEach(t),ze=n(Yn,". The original code can be found "),Z=a(Yn,"A",{href:!0,rel:!0});var $f=r(Z);j=n($f,"here"),$f.forEach(t),Ce=n(Yn,"."),Yn.forEach(t),A=h(i),ae=a(i,"H2",{class:!0});var gc=r(ae);ie=a(gc,"A",{id:!0,class:!0,href:!0});var Lf=r(ie);y=a(Lf,"SPAN",{});var xf=r(y);w(E.$$.fragment,xf),xf.forEach(t),Lf.forEach(t),Qe=h(gc),oe=a(gc,"SPAN",{});var Ff=r(oe);Ke=n(Ff,"Resources"),Ff.forEach(t),gc.forEach(t),Be=h(i),X=a(i,"P",{});var Ef=r(X);Ve=n(Ef,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with XLM-RoBERTa. If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Ef.forEach(t),Ue=h(i),w(Ae.$$.fragment,i),He=h(i),he=a(i,"UL",{});var It=r(he);P=a(It,"LI",{});var Wp=r(P);G=n(Wp,"A blog post on how to "),Pe=a(Wp,"A",{href:!0,rel:!0});var Rf=r(Pe);Je=n(Rf,"finetune XLM RoBERTa for multiclass classification with Habana Gaudi on AWS"),Rf.forEach(t),Wp.forEach(t),Y=h(It),qe=a(It,"LI",{});var No=r(qe);Oe=a(No,"A",{href:!0});var Xf=r(Oe);je=n(Xf,"XLMRobertaForSequenceClassification"),Xf.forEach(t),Ge=n(No," is supported by this "),ee=a(No,"A",{href:!0,rel:!0});var zf=r(ee);Ye=n(zf,"example script"),zf.forEach(t),Cb=n(No," and "),ir=a(No,"A",{href:!0,rel:!0});var Cf=r(ir);qb=n(Cf,"notebook"),Cf.forEach(t),jb=n(No,"."),No.forEach(t),Ab=h(It),Mo=a(It,"LI",{});var Oo=r(Mo);$c=a(Oo,"A",{href:!0});var qf=r($c);Pb=n(qf,"TFXLMRobertaForSequenceClassification"),qf.forEach(t),Nb=n(Oo," is supported by this "),lr=a(Oo,"A",{href:!0,rel:!0});var jf=r(lr);Ob=n(jf,"example script"),jf.forEach(t),Ib=n(Oo," and "),dr=a(Oo,"A",{href:!0,rel:!0});var Af=r(dr);Db=n(Af,"notebook"),Af.forEach(t),Sb=n(Oo,"."),Oo.forEach(t),Wb=h(It),$o=a(It,"LI",{});var Io=r($o);Lc=a(Io,"A",{href:!0});var Pf=r(Lc);Bb=n(Pf,"FlaxXLMRobertaForSequenceClassification"),Pf.forEach(t),Ub=n(Io," is supported by this "),cr=a(Io,"A",{href:!0,rel:!0});var Nf=r(cr);Hb=n(Nf,"example script"),Nf.forEach(t),Qb=n(Io," and "),pr=a(Io,"A",{href:!0,rel:!0});var Of=r(pr);Kb=n(Of,"notebook"),Of.forEach(t),Vb=n(Io,"."),Io.forEach(t),Jb=h(It),xc=a(It,"LI",{});var Bp=r(xc);hr=a(Bp,"A",{href:!0,rel:!0});var If=r(hr);Gb=n(If,"Text classification"),If.forEach(t),Yb=n(Bp," chapter of the \u{1F917} Hugging Face Task Guides."),Bp.forEach(t),It.forEach(t),Gf=h(i),w(mr.$$.fragment,i),Yf=h(i),Dt=a(i,"UL",{});var To=r(Dt);Lo=a(To,"LI",{});var Do=r(Lo);Fc=a(Do,"A",{href:!0});var Df=r(Fc);Zb=n(Df,"XLMRobertaForTokenClassification"),Df.forEach(t),ek=n(Do," is supported by this "),ur=a(Do,"A",{href:!0,rel:!0});var Sf=r(ur);tk=n(Sf,"example script"),Sf.forEach(t),ok=n(Do," and "),fr=a(Do,"A",{href:!0,rel:!0});var Wf=r(fr);nk=n(Wf,"notebook"),Wf.forEach(t),sk=n(Do,"."),Do.forEach(t),ak=h(To),xo=a(To,"LI",{});var So=r(xo);Ec=a(So,"A",{href:!0});var Bf=r(Ec);rk=n(Bf,"TFXLMRobertaForTokenClassification"),Bf.forEach(t),ik=n(So," is supported by this "),gr=a(So,"A",{href:!0,rel:!0});var Uf=r(gr);lk=n(Uf,"example script"),Uf.forEach(t),dk=n(So," and "),_r=a(So,"A",{href:!0,rel:!0});var Hf=r(_r);ck=n(Hf,"notebook"),Hf.forEach(t),pk=n(So,"."),So.forEach(t),hk=h(To),Zn=a(To,"LI",{});var za=r(Zn);Rc=a(za,"A",{href:!0});var Qf=r(Rc);mk=n(Qf,"FlaxXLMRobertaForTokenClassification"),Qf.forEach(t),uk=n(za," is supported by this "),br=a(za,"A",{href:!0,rel:!0});var SE=r(br);fk=n(SE,"example script"),SE.forEach(t),gk=n(za,"."),za.forEach(t),_k=h(To),Xc=a(To,"LI",{});var qE=r(Xc);kr=a(qE,"A",{href:!0,rel:!0});var WE=r(kr);bk=n(WE,"Token classification"),WE.forEach(t),kk=n(qE," chapter of the \u{1F917} Hugging Face Course."),qE.forEach(t),To.forEach(t),Zf=h(i),w(yr.$$.fragment,i),eg=h(i),es=a(i,"UL",{});var s_=r(es);Fo=a(s_,"LI",{});var _c=r(Fo);zc=a(_c,"A",{href:!0});var BE=r(zc);yk=n(BE,"XLMRobertaForCausalLM"),BE.forEach(t),vk=n(_c," is supported by this "),vr=a(_c,"A",{href:!0,rel:!0});var UE=r(vr);wk=n(UE,"example script"),UE.forEach(t),Tk=n(_c," and "),wr=a(_c,"A",{href:!0,rel:!0});var HE=r(wr);Mk=n(HE,"notebook"),HE.forEach(t),$k=n(_c,"."),_c.forEach(t),Lk=h(s_),Cc=a(s_,"LI",{});var jE=r(Cc);Tr=a(jE,"A",{href:!0,rel:!0});var QE=r(Tr);xk=n(QE,"Causal language modeling"),QE.forEach(t),Fk=n(jE," chapter of the \u{1F917} Hugging Face Task Guides."),jE.forEach(t),s_.forEach(t),tg=h(i),w(Mr.$$.fragment,i),og=h(i),St=a(i,"UL",{});var Ca=r(St);Eo=a(Ca,"LI",{});var bc=r(Eo);qc=a(bc,"A",{href:!0});var KE=r(qc);Ek=n(KE,"XLMRobertaForMaskedLM"),KE.forEach(t),Rk=n(bc," is supported by this "),$r=a(bc,"A",{href:!0,rel:!0});var VE=r($r);Xk=n(VE,"example script"),VE.forEach(t),zk=n(bc," and "),Lr=a(bc,"A",{href:!0,rel:!0});var JE=r(Lr);Ck=n(JE,"notebook"),JE.forEach(t),qk=n(bc,"."),bc.forEach(t),jk=h(Ca),Ro=a(Ca,"LI",{});var kc=r(Ro);jc=a(kc,"A",{href:!0});var GE=r(jc);Ak=n(GE,"TFXLMRobertaForMaskedLM"),GE.forEach(t),Pk=n(kc," is supported by this "),xr=a(kc,"A",{href:!0,rel:!0});var YE=r(xr);Nk=n(YE,"example script"),YE.forEach(t),Ok=n(kc," and "),Fr=a(kc,"A",{href:!0,rel:!0});var ZE=r(Fr);Ik=n(ZE,"notebook"),ZE.forEach(t),Dk=n(kc,"."),kc.forEach(t),Sk=h(Ca),Xo=a(Ca,"LI",{});var yc=r(Xo);Ac=a(yc,"A",{href:!0});var eR=r(Ac);Wk=n(eR,"FlaxXLMRobertaForMaskedLM"),eR.forEach(t),Bk=n(yc," is supported by this "),Er=a(yc,"A",{href:!0,rel:!0});var tR=r(Er);Uk=n(tR,"example script"),tR.forEach(t),Hk=n(yc," and "),Rr=a(yc,"A",{href:!0,rel:!0});var oR=r(Rr);Qk=n(oR,"notebook"),oR.forEach(t),Kk=n(yc,"."),yc.forEach(t),Vk=h(Ca),Pc=a(Ca,"LI",{});var AE=r(Pc);Xr=a(AE,"A",{href:!0,rel:!0});var nR=r(Xr);Jk=n(nR,"Masked language modeling"),nR.forEach(t),Gk=n(AE," chapter of the \u{1F917} Hugging Face Course."),AE.forEach(t),Ca.forEach(t),ng=h(i),w(zr.$$.fragment,i),sg=h(i),Wt=a(i,"UL",{});var qa=r(Wt);zo=a(qa,"LI",{});var vc=r(zo);Nc=a(vc,"A",{href:!0});var sR=r(Nc);Yk=n(sR,"XLMRobertaForQuestionAnswering"),sR.forEach(t),Zk=n(vc," is supported by this "),Cr=a(vc,"A",{href:!0,rel:!0});var aR=r(Cr);ey=n(aR,"example script"),aR.forEach(t),ty=n(vc," and "),qr=a(vc,"A",{href:!0,rel:!0});var rR=r(qr);oy=n(rR,"notebook"),rR.forEach(t),ny=n(vc,"."),vc.forEach(t),sy=h(qa),Co=a(qa,"LI",{});var wc=r(Co);Oc=a(wc,"A",{href:!0});var iR=r(Oc);ay=n(iR,"TFXLMRobertaForQuestionAnswering"),iR.forEach(t),ry=n(wc," is supported by this "),jr=a(wc,"A",{href:!0,rel:!0});var lR=r(jr);iy=n(lR,"example script"),lR.forEach(t),ly=n(wc," and "),Ar=a(wc,"A",{href:!0,rel:!0});var dR=r(Ar);dy=n(dR,"notebook"),dR.forEach(t),cy=n(wc,"."),wc.forEach(t),py=h(qa),ts=a(qa,"LI",{});var Kf=r(ts);Ic=a(Kf,"A",{href:!0});var cR=r(Ic);hy=n(cR,"FlaxXLMRobertaForQuestionAnswering"),cR.forEach(t),my=n(Kf," is supported by this "),Pr=a(Kf,"A",{href:!0,rel:!0});var pR=r(Pr);uy=n(pR,"example script"),pR.forEach(t),fy=n(Kf,"."),Kf.forEach(t),gy=h(qa),Dc=a(qa,"LI",{});var PE=r(Dc);Nr=a(PE,"A",{href:!0,rel:!0});var hR=r(Nr);_y=n(hR,"Question answering"),hR.forEach(t),by=n(PE," chapter of the \u{1F917} Hugging Face Course."),PE.forEach(t),qa.forEach(t),ag=h(i),Sc=a(i,"P",{});var mR=r(Sc);bh=a(mR,"STRONG",{});var uR=r(bh);ky=n(uR,"Multiple choice"),uR.forEach(t),mR.forEach(t),rg=h(i),os=a(i,"UL",{});var a_=r(os);qo=a(a_,"LI",{});var Tc=r(qo);Wc=a(Tc,"A",{href:!0});var fR=r(Wc);yy=n(fR,"XLMRobertaForMultipleChoice"),fR.forEach(t),vy=n(Tc," is supported by this "),Or=a(Tc,"A",{href:!0,rel:!0});var gR=r(Or);wy=n(gR,"example script"),gR.forEach(t),Ty=n(Tc," and "),Ir=a(Tc,"A",{href:!0,rel:!0});var _R=r(Ir);My=n(_R,"notebook"),_R.forEach(t),$y=n(Tc,"."),Tc.forEach(t),Ly=h(a_),jo=a(a_,"LI",{});var Mc=r(jo);Bc=a(Mc,"A",{href:!0});var bR=r(Bc);xy=n(bR,"TFXLMRobertaForMultipleChoice"),bR.forEach(t),Fy=n(Mc," is supported by this "),Dr=a(Mc,"A",{href:!0,rel:!0});var kR=r(Dr);Ey=n(kR,"example script"),kR.forEach(t),Ry=n(Mc," and "),Sr=a(Mc,"A",{href:!0,rel:!0});var yR=r(Sr);Xy=n(yR,"notebook"),yR.forEach(t),zy=n(Mc,"."),Mc.forEach(t),a_.forEach(t),ig=h(i),Uc=a(i,"P",{});var vR=r(Uc);Cy=n(vR,"\u{1F680} Deploy"),vR.forEach(t),lg=h(i),Hc=a(i,"UL",{});var wR=r(Hc);Wr=a(wR,"LI",{});var r_=r(Wr);qy=n(r_,"A blog post on how to "),Br=a(r_,"A",{href:!0,rel:!0});var TR=r(Br);jy=n(TR,"Deploy Serveless XLM RoBERTa on AWS Lambda"),TR.forEach(t),Ay=n(r_,"."),r_.forEach(t),wR.forEach(t),dg=h(i),on=a(i,"H2",{class:!0});var i_=r(on);ns=a(i_,"A",{id:!0,class:!0,href:!0});var MR=r(ns);kh=a(MR,"SPAN",{});var $R=r(kh);w(Ur.$$.fragment,$R),$R.forEach(t),MR.forEach(t),Py=h(i_),yh=a(i_,"SPAN",{});var LR=r(yh);Ny=n(LR,"XLMRobertaConfig"),LR.forEach(t),i_.forEach(t),cg=h(i),Nt=a(i,"DIV",{class:!0});var ja=r(Nt);w(Hr.$$.fragment,ja),Oy=h(ja),uo=a(ja,"P",{});var Aa=r(uo);Iy=n(Aa,"This is the configuration class to store the configuration of a "),Qc=a(Aa,"A",{href:!0});var xR=r(Qc);Dy=n(xR,"XLMRobertaModel"),xR.forEach(t),Sy=n(Aa," or a "),Kc=a(Aa,"A",{href:!0});var FR=r(Kc);Wy=n(FR,"TFXLMRobertaModel"),FR.forEach(t),By=n(Aa,`. It
is used to instantiate a XLM-RoBERTa model according to the specified arguments, defining the model architecture.
Instantiating a configuration with the defaults will yield a similar configuration to that of the XLMRoBERTa
`),Qr=a(Aa,"A",{href:!0,rel:!0});var ER=r(Qr);Uy=n(ER,"xlm-roberta-base"),ER.forEach(t),Hy=n(Aa," architecture."),Aa.forEach(t),Qy=h(ja),nn=a(ja,"P",{});var Up=r(nn);Ky=n(Up,"Configuration objects inherit from "),Vc=a(Up,"A",{href:!0});var RR=r(Vc);Vy=n(RR,"PretrainedConfig"),RR.forEach(t),Jy=n(Up,` and can be used to control the model outputs. Read the
documentation from `),Jc=a(Up,"A",{href:!0});var XR=r(Jc);Gy=n(XR,"PretrainedConfig"),XR.forEach(t),Yy=n(Up," for more information."),Up.forEach(t),Zy=h(ja),w(ss.$$.fragment,ja),ja.forEach(t),pg=h(i),sn=a(i,"H2",{class:!0});var l_=r(sn);as=a(l_,"A",{id:!0,class:!0,href:!0});var zR=r(as);vh=a(zR,"SPAN",{});var CR=r(vh);w(Kr.$$.fragment,CR),CR.forEach(t),zR.forEach(t),ev=h(l_),wh=a(l_,"SPAN",{});var qR=r(wh);tv=n(qR,"XLMRobertaTokenizer"),qR.forEach(t),l_.forEach(t),hg=h(i),et=a(i,"DIV",{class:!0});var Et=r(et);w(Vr.$$.fragment,Et),ov=h(Et),fo=a(Et,"P",{});var Pa=r(fo);nv=n(Pa,"Adapted from "),Gc=a(Pa,"A",{href:!0});var jR=r(Gc);sv=n(jR,"RobertaTokenizer"),jR.forEach(t),av=n(Pa," and "),Yc=a(Pa,"A",{href:!0});var AR=r(Yc);rv=n(AR,"XLNetTokenizer"),AR.forEach(t),iv=n(Pa,`. Based on
`),Jr=a(Pa,"A",{href:!0,rel:!0});var PR=r(Jr);lv=n(PR,"SentencePiece"),PR.forEach(t),dv=n(Pa,"."),Pa.forEach(t),cv=h(Et),Gr=a(Et,"P",{});var d_=r(Gr);pv=n(d_,"This tokenizer inherits from "),Zc=a(d_,"A",{href:!0});var NR=r(Zc);hv=n(NR,"PreTrainedTokenizer"),NR.forEach(t),mv=n(d_,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),d_.forEach(t),uv=h(Et),Ao=a(Et,"DIV",{class:!0});var Hp=r(Ao);w(Yr.$$.fragment,Hp),fv=h(Hp),Th=a(Hp,"P",{});var OR=r(Th);gv=n(OR,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An XLM-RoBERTa sequence has the following format:`),OR.forEach(t),_v=h(Hp),Zr=a(Hp,"UL",{});var c_=r(Zr);ep=a(c_,"LI",{});var NE=r(ep);bv=n(NE,"single sequence: "),Mh=a(NE,"CODE",{});var IR=r(Mh);kv=n(IR,"<s> X </s>"),IR.forEach(t),NE.forEach(t),yv=h(c_),tp=a(c_,"LI",{});var OE=r(tp);vv=n(OE,"pair of sequences: "),$h=a(OE,"CODE",{});var DR=r($h);wv=n(DR,"<s> A </s></s> B </s>"),DR.forEach(t),OE.forEach(t),c_.forEach(t),Hp.forEach(t),Tv=h(Et),rs=a(Et,"DIV",{class:!0});var p_=r(rs);w(ei.$$.fragment,p_),Mv=h(p_),ti=a(p_,"P",{});var h_=r(ti);$v=n(h_,`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Lh=a(h_,"CODE",{});var SR=r(Lh);Lv=n(SR,"prepare_for_model"),SR.forEach(t),xv=n(h_," method."),h_.forEach(t),p_.forEach(t),Fv=h(Et),is=a(Et,"DIV",{class:!0});var m_=r(is);w(oi.$$.fragment,m_),Ev=h(m_),xh=a(m_,"P",{});var WR=r(xh);Rv=n(WR,`Create a mask from the two sequences passed to be used in a sequence-pair classification task. XLM-RoBERTa does
not make use of token type ids, therefore a list of zeros is returned.`),WR.forEach(t),m_.forEach(t),Xv=h(Et),op=a(Et,"DIV",{class:!0});var BR=r(op);w(ni.$$.fragment,BR),BR.forEach(t),Et.forEach(t),mg=h(i),an=a(i,"H2",{class:!0});var u_=r(an);ls=a(u_,"A",{id:!0,class:!0,href:!0});var UR=r(ls);Fh=a(UR,"SPAN",{});var HR=r(Fh);w(si.$$.fragment,HR),HR.forEach(t),UR.forEach(t),zv=h(u_),Eh=a(u_,"SPAN",{});var QR=r(Eh);Cv=n(QR,"XLMRobertaTokenizerFast"),QR.forEach(t),u_.forEach(t),ug=h(i),_t=a(i,"DIV",{class:!0});var Wo=r(_t);w(ai.$$.fragment,Wo),qv=h(Wo),Ot=a(Wo,"P",{});var Bo=r(Ot);jv=n(Bo,"Construct a \u201Cfast\u201D XLM-RoBERTa tokenizer (backed by HuggingFace\u2019s "),Rh=a(Bo,"EM",{});var KR=r(Rh);Av=n(KR,"tokenizers"),KR.forEach(t),Pv=n(Bo,` library). Adapted from
`),np=a(Bo,"A",{href:!0});var VR=r(np);Nv=n(VR,"RobertaTokenizer"),VR.forEach(t),Ov=n(Bo," and "),sp=a(Bo,"A",{href:!0});var JR=r(sp);Iv=n(JR,"XLNetTokenizer"),JR.forEach(t),Dv=n(Bo,`. Based on
`),ri=a(Bo,"A",{href:!0,rel:!0});var GR=r(ri);Sv=n(GR,"BPE"),GR.forEach(t),Wv=n(Bo,"."),Bo.forEach(t),Bv=h(Wo),ii=a(Wo,"P",{});var f_=r(ii);Uv=n(f_,"This tokenizer inherits from "),ap=a(f_,"A",{href:!0});var YR=r(ap);Hv=n(YR,"PreTrainedTokenizerFast"),YR.forEach(t),Qv=n(f_,` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),f_.forEach(t),Kv=h(Wo),Po=a(Wo,"DIV",{class:!0});var Qp=r(Po);w(li.$$.fragment,Qp),Vv=h(Qp),Xh=a(Qp,"P",{});var ZR=r(Xh);Jv=n(ZR,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An XLM-RoBERTa sequence has the following format:`),ZR.forEach(t),Gv=h(Qp),di=a(Qp,"UL",{});var g_=r(di);rp=a(g_,"LI",{});var IE=r(rp);Yv=n(IE,"single sequence: "),zh=a(IE,"CODE",{});var e4=r(zh);Zv=n(e4,"<s> X </s>"),e4.forEach(t),IE.forEach(t),ew=h(g_),ip=a(g_,"LI",{});var DE=r(ip);tw=n(DE,"pair of sequences: "),Ch=a(DE,"CODE",{});var t4=r(Ch);ow=n(t4,"<s> A </s></s> B </s>"),t4.forEach(t),DE.forEach(t),g_.forEach(t),Qp.forEach(t),nw=h(Wo),ds=a(Wo,"DIV",{class:!0});var __=r(ds);w(ci.$$.fragment,__),sw=h(__),qh=a(__,"P",{});var o4=r(qh);aw=n(o4,`Create a mask from the two sequences passed to be used in a sequence-pair classification task. XLM-RoBERTa does
not make use of token type ids, therefore a list of zeros is returned.`),o4.forEach(t),__.forEach(t),Wo.forEach(t),fg=h(i),rn=a(i,"H2",{class:!0});var b_=r(rn);cs=a(b_,"A",{id:!0,class:!0,href:!0});var n4=r(cs);jh=a(n4,"SPAN",{});var s4=r(jh);w(pi.$$.fragment,s4),s4.forEach(t),n4.forEach(t),rw=h(b_),Ah=a(b_,"SPAN",{});var a4=r(Ah);iw=n(a4,"XLMRobertaModel"),a4.forEach(t),b_.forEach(t),gg=h(i),Ze=a(i,"DIV",{class:!0});var gt=r(Ze);w(hi.$$.fragment,gt),lw=h(gt),Ph=a(gt,"P",{});var r4=r(Ph);dw=n(r4,"The bare XLM-RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),r4.forEach(t),cw=h(gt),mi=a(gt,"P",{});var k_=r(mi);pw=n(k_,"This model inherits from "),lp=a(k_,"A",{href:!0});var i4=r(lp);hw=n(i4,"PreTrainedModel"),i4.forEach(t),mw=n(k_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),k_.forEach(t),uw=h(gt),ui=a(gt,"P",{});var y_=r(ui);fw=n(y_,"This model is also a PyTorch "),fi=a(y_,"A",{href:!0,rel:!0});var l4=r(fi);gw=n(l4,"torch.nn.Module"),l4.forEach(t),_w=n(y_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),y_.forEach(t),bw=h(gt),gi=a(gt,"P",{});var v_=r(gi);kw=n(v_,`The model can behave as an encoder (with only self-attention) as well as a decoder, in which case a layer of
cross-attention is added between the self-attention layers, following the architecture described in `),Nh=a(v_,"EM",{});var d4=r(Nh);yw=n(d4,`Attention is
all you need`),d4.forEach(t),vw=n(v_,`_ by Ashish Vaswani, Noam Shazeer, Niki Parmar, Jakob Uszkoreit, Llion Jones, Aidan N. Gomez, Lukasz
Kaiser and Illia Polosukhin.`),v_.forEach(t),ww=h(gt),lt=a(gt,"P",{});var Rt=r(lt);Tw=n(Rt,"To behave as an decoder the model needs to be initialized with the "),Oh=a(Rt,"CODE",{});var c4=r(Oh);Mw=n(c4,"is_decoder"),c4.forEach(t),$w=n(Rt,` argument of the configuration set
to `),Ih=a(Rt,"CODE",{});var p4=r(Ih);Lw=n(p4,"True"),p4.forEach(t),xw=n(Rt,". To be used in a Seq2Seq model, the model needs to initialized with both "),Dh=a(Rt,"CODE",{});var h4=r(Dh);Fw=n(h4,"is_decoder"),h4.forEach(t),Ew=n(Rt,` argument and
`),Sh=a(Rt,"CODE",{});var m4=r(Sh);Rw=n(m4,"add_cross_attention"),m4.forEach(t),Xw=n(Rt," set to "),Wh=a(Rt,"CODE",{});var u4=r(Wh);zw=n(u4,"True"),u4.forEach(t),Cw=n(Rt,"; an "),Bh=a(Rt,"CODE",{});var f4=r(Bh);qw=n(f4,"encoder_hidden_states"),f4.forEach(t),jw=n(Rt," is then expected as an input to the forward pass."),Rt.forEach(t),Aw=h(gt),ps=a(gt,"P",{});var Vf=r(ps);Pw=n(Vf,".. _"),Uh=a(Vf,"EM",{});var g4=r(Uh);Nw=n(g4,"Attention is all you need"),g4.forEach(t),Ow=n(Vf,": "),_i=a(Vf,"A",{href:!0,rel:!0});var _4=r(_i);Iw=n(_4,"https://arxiv.org/abs/1706.03762"),_4.forEach(t),Vf.forEach(t),Dw=h(gt),Bt=a(gt,"DIV",{class:!0});var Na=r(Bt);w(bi.$$.fragment,Na),Sw=h(Na),ln=a(Na,"P",{});var Kp=r(ln);Ww=n(Kp,"The "),dp=a(Kp,"A",{href:!0});var b4=r(dp);Bw=n(b4,"XLMRobertaModel"),b4.forEach(t),Uw=n(Kp," forward method, overrides the "),Hh=a(Kp,"CODE",{});var k4=r(Hh);Hw=n(k4,"__call__"),k4.forEach(t),Qw=n(Kp," special method."),Kp.forEach(t),Kw=h(Na),w(hs.$$.fragment,Na),Vw=h(Na),w(ms.$$.fragment,Na),Na.forEach(t),gt.forEach(t),_g=h(i),dn=a(i,"H2",{class:!0});var w_=r(dn);us=a(w_,"A",{id:!0,class:!0,href:!0});var y4=r(us);Qh=a(y4,"SPAN",{});var v4=r(Qh);w(ki.$$.fragment,v4),v4.forEach(t),y4.forEach(t),Jw=h(w_),Kh=a(w_,"SPAN",{});var w4=r(Kh);Gw=n(w4,"XLMRobertaForCausalLM"),w4.forEach(t),w_.forEach(t),bg=h(i),bt=a(i,"DIV",{class:!0});var Uo=r(bt);w(yi.$$.fragment,Uo),Yw=h(Uo),vi=a(Uo,"P",{});var T_=r(vi);Zw=n(T_,"XLM-RoBERTa Model with a "),Vh=a(T_,"CODE",{});var T4=r(Vh);eT=n(T4,"language modeling"),T4.forEach(t),tT=n(T_," head on top for CLM fine-tuning."),T_.forEach(t),oT=h(Uo),wi=a(Uo,"P",{});var M_=r(wi);nT=n(M_,"This model inherits from "),cp=a(M_,"A",{href:!0});var M4=r(cp);sT=n(M4,"PreTrainedModel"),M4.forEach(t),aT=n(M_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),M_.forEach(t),rT=h(Uo),Ti=a(Uo,"P",{});var $_=r(Ti);iT=n($_,"This model is also a PyTorch "),Mi=a($_,"A",{href:!0,rel:!0});var $4=r(Mi);lT=n($4,"torch.nn.Module"),$4.forEach(t),dT=n($_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),$_.forEach(t),cT=h(Uo),Ut=a(Uo,"DIV",{class:!0});var Oa=r(Ut);w($i.$$.fragment,Oa),pT=h(Oa),cn=a(Oa,"P",{});var Vp=r(cn);hT=n(Vp,"The "),pp=a(Vp,"A",{href:!0});var L4=r(pp);mT=n(L4,"XLMRobertaForCausalLM"),L4.forEach(t),uT=n(Vp," forward method, overrides the "),Jh=a(Vp,"CODE",{});var x4=r(Jh);fT=n(x4,"__call__"),x4.forEach(t),gT=n(Vp," special method."),Vp.forEach(t),_T=h(Oa),w(fs.$$.fragment,Oa),bT=h(Oa),w(gs.$$.fragment,Oa),Oa.forEach(t),Uo.forEach(t),kg=h(i),pn=a(i,"H2",{class:!0});var L_=r(pn);_s=a(L_,"A",{id:!0,class:!0,href:!0});var F4=r(_s);Gh=a(F4,"SPAN",{});var E4=r(Gh);w(Li.$$.fragment,E4),E4.forEach(t),F4.forEach(t),kT=h(L_),Yh=a(L_,"SPAN",{});var R4=r(Yh);yT=n(R4,"XLMRobertaForMaskedLM"),R4.forEach(t),L_.forEach(t),yg=h(i),kt=a(i,"DIV",{class:!0});var Ho=r(kt);w(xi.$$.fragment,Ho),vT=h(Ho),Fi=a(Ho,"P",{});var x_=r(Fi);wT=n(x_,"XLM-RoBERTa Model with a "),Zh=a(x_,"CODE",{});var X4=r(Zh);TT=n(X4,"language modeling"),X4.forEach(t),MT=n(x_," head on top."),x_.forEach(t),$T=h(Ho),Ei=a(Ho,"P",{});var F_=r(Ei);LT=n(F_,"This model inherits from "),hp=a(F_,"A",{href:!0});var z4=r(hp);xT=n(z4,"PreTrainedModel"),z4.forEach(t),FT=n(F_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),F_.forEach(t),ET=h(Ho),Ri=a(Ho,"P",{});var E_=r(Ri);RT=n(E_,"This model is also a PyTorch "),Xi=a(E_,"A",{href:!0,rel:!0});var C4=r(Xi);XT=n(C4,"torch.nn.Module"),C4.forEach(t),zT=n(E_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),E_.forEach(t),CT=h(Ho),Ht=a(Ho,"DIV",{class:!0});var Ia=r(Ht);w(zi.$$.fragment,Ia),qT=h(Ia),hn=a(Ia,"P",{});var Jp=r(hn);jT=n(Jp,"The "),mp=a(Jp,"A",{href:!0});var q4=r(mp);AT=n(q4,"XLMRobertaForMaskedLM"),q4.forEach(t),PT=n(Jp," forward method, overrides the "),em=a(Jp,"CODE",{});var j4=r(em);NT=n(j4,"__call__"),j4.forEach(t),OT=n(Jp," special method."),Jp.forEach(t),IT=h(Ia),w(bs.$$.fragment,Ia),DT=h(Ia),w(ks.$$.fragment,Ia),Ia.forEach(t),Ho.forEach(t),vg=h(i),mn=a(i,"H2",{class:!0});var R_=r(mn);ys=a(R_,"A",{id:!0,class:!0,href:!0});var A4=r(ys);tm=a(A4,"SPAN",{});var P4=r(tm);w(Ci.$$.fragment,P4),P4.forEach(t),A4.forEach(t),ST=h(R_),om=a(R_,"SPAN",{});var N4=r(om);WT=n(N4,"XLMRobertaForSequenceClassification"),N4.forEach(t),R_.forEach(t),wg=h(i),yt=a(i,"DIV",{class:!0});var Qo=r(yt);w(qi.$$.fragment,Qo),BT=h(Qo),nm=a(Qo,"P",{});var O4=r(nm);UT=n(O4,`XLM-RoBERTa Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),O4.forEach(t),HT=h(Qo),ji=a(Qo,"P",{});var X_=r(ji);QT=n(X_,"This model inherits from "),up=a(X_,"A",{href:!0});var I4=r(up);KT=n(I4,"PreTrainedModel"),I4.forEach(t),VT=n(X_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),X_.forEach(t),JT=h(Qo),Ai=a(Qo,"P",{});var z_=r(Ai);GT=n(z_,"This model is also a PyTorch "),Pi=a(z_,"A",{href:!0,rel:!0});var D4=r(Pi);YT=n(D4,"torch.nn.Module"),D4.forEach(t),ZT=n(z_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),z_.forEach(t),eM=h(Qo),Mt=a(Qo,"DIV",{class:!0});var Ko=r(Mt);w(Ni.$$.fragment,Ko),tM=h(Ko),un=a(Ko,"P",{});var Gp=r(un);oM=n(Gp,"The "),fp=a(Gp,"A",{href:!0});var S4=r(fp);nM=n(S4,"XLMRobertaForSequenceClassification"),S4.forEach(t),sM=n(Gp," forward method, overrides the "),sm=a(Gp,"CODE",{});var W4=r(sm);aM=n(W4,"__call__"),W4.forEach(t),rM=n(Gp," special method."),Gp.forEach(t),iM=h(Ko),w(vs.$$.fragment,Ko),lM=h(Ko),w(ws.$$.fragment,Ko),dM=h(Ko),w(Ts.$$.fragment,Ko),Ko.forEach(t),Qo.forEach(t),Tg=h(i),fn=a(i,"H2",{class:!0});var C_=r(fn);Ms=a(C_,"A",{id:!0,class:!0,href:!0});var B4=r(Ms);am=a(B4,"SPAN",{});var U4=r(am);w(Oi.$$.fragment,U4),U4.forEach(t),B4.forEach(t),cM=h(C_),rm=a(C_,"SPAN",{});var H4=r(rm);pM=n(H4,"XLMRobertaForMultipleChoice"),H4.forEach(t),C_.forEach(t),Mg=h(i),vt=a(i,"DIV",{class:!0});var Vo=r(vt);w(Ii.$$.fragment,Vo),hM=h(Vo),im=a(Vo,"P",{});var Q4=r(im);mM=n(Q4,`XLM-RoBERTa Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),Q4.forEach(t),uM=h(Vo),Di=a(Vo,"P",{});var q_=r(Di);fM=n(q_,"This model inherits from "),gp=a(q_,"A",{href:!0});var K4=r(gp);gM=n(K4,"PreTrainedModel"),K4.forEach(t),_M=n(q_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),q_.forEach(t),bM=h(Vo),Si=a(Vo,"P",{});var j_=r(Si);kM=n(j_,"This model is also a PyTorch "),Wi=a(j_,"A",{href:!0,rel:!0});var V4=r(Wi);yM=n(V4,"torch.nn.Module"),V4.forEach(t),vM=n(j_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),j_.forEach(t),wM=h(Vo),Qt=a(Vo,"DIV",{class:!0});var Da=r(Qt);w(Bi.$$.fragment,Da),TM=h(Da),gn=a(Da,"P",{});var Yp=r(gn);MM=n(Yp,"The "),_p=a(Yp,"A",{href:!0});var J4=r(_p);$M=n(J4,"XLMRobertaForMultipleChoice"),J4.forEach(t),LM=n(Yp," forward method, overrides the "),lm=a(Yp,"CODE",{});var G4=r(lm);xM=n(G4,"__call__"),G4.forEach(t),FM=n(Yp," special method."),Yp.forEach(t),EM=h(Da),w($s.$$.fragment,Da),RM=h(Da),w(Ls.$$.fragment,Da),Da.forEach(t),Vo.forEach(t),$g=h(i),_n=a(i,"H2",{class:!0});var A_=r(_n);xs=a(A_,"A",{id:!0,class:!0,href:!0});var Y4=r(xs);dm=a(Y4,"SPAN",{});var Z4=r(dm);w(Ui.$$.fragment,Z4),Z4.forEach(t),Y4.forEach(t),XM=h(A_),cm=a(A_,"SPAN",{});var eX=r(cm);zM=n(eX,"XLMRobertaForTokenClassification"),eX.forEach(t),A_.forEach(t),Lg=h(i),wt=a(i,"DIV",{class:!0});var Jo=r(wt);w(Hi.$$.fragment,Jo),CM=h(Jo),pm=a(Jo,"P",{});var tX=r(pm);qM=n(tX,`XLM-RoBERTa Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),tX.forEach(t),jM=h(Jo),Qi=a(Jo,"P",{});var P_=r(Qi);AM=n(P_,"This model inherits from "),bp=a(P_,"A",{href:!0});var oX=r(bp);PM=n(oX,"PreTrainedModel"),oX.forEach(t),NM=n(P_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),P_.forEach(t),OM=h(Jo),Ki=a(Jo,"P",{});var N_=r(Ki);IM=n(N_,"This model is also a PyTorch "),Vi=a(N_,"A",{href:!0,rel:!0});var nX=r(Vi);DM=n(nX,"torch.nn.Module"),nX.forEach(t),SM=n(N_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),N_.forEach(t),WM=h(Jo),Kt=a(Jo,"DIV",{class:!0});var Sa=r(Kt);w(Ji.$$.fragment,Sa),BM=h(Sa),bn=a(Sa,"P",{});var Zp=r(bn);UM=n(Zp,"The "),kp=a(Zp,"A",{href:!0});var sX=r(kp);HM=n(sX,"XLMRobertaForTokenClassification"),sX.forEach(t),QM=n(Zp," forward method, overrides the "),hm=a(Zp,"CODE",{});var aX=r(hm);KM=n(aX,"__call__"),aX.forEach(t),VM=n(Zp," special method."),Zp.forEach(t),JM=h(Sa),w(Fs.$$.fragment,Sa),GM=h(Sa),w(Es.$$.fragment,Sa),Sa.forEach(t),Jo.forEach(t),xg=h(i),kn=a(i,"H2",{class:!0});var O_=r(kn);Rs=a(O_,"A",{id:!0,class:!0,href:!0});var rX=r(Rs);mm=a(rX,"SPAN",{});var iX=r(mm);w(Gi.$$.fragment,iX),iX.forEach(t),rX.forEach(t),YM=h(O_),um=a(O_,"SPAN",{});var lX=r(um);ZM=n(lX,"XLMRobertaForQuestionAnswering"),lX.forEach(t),O_.forEach(t),Fg=h(i),Tt=a(i,"DIV",{class:!0});var Go=r(Tt);w(Yi.$$.fragment,Go),e1=h(Go),yn=a(Go,"P",{});var eh=r(yn);t1=n(eh,`XLM-RoBERTa Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),fm=a(eh,"CODE",{});var dX=r(fm);o1=n(dX,"span start logits"),dX.forEach(t),n1=n(eh," and "),gm=a(eh,"CODE",{});var cX=r(gm);s1=n(cX,"span end logits"),cX.forEach(t),a1=n(eh,")."),eh.forEach(t),r1=h(Go),Zi=a(Go,"P",{});var I_=r(Zi);i1=n(I_,"This model inherits from "),yp=a(I_,"A",{href:!0});var pX=r(yp);l1=n(pX,"PreTrainedModel"),pX.forEach(t),d1=n(I_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),I_.forEach(t),c1=h(Go),el=a(Go,"P",{});var D_=r(el);p1=n(D_,"This model is also a PyTorch "),tl=a(D_,"A",{href:!0,rel:!0});var hX=r(tl);h1=n(hX,"torch.nn.Module"),hX.forEach(t),m1=n(D_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),D_.forEach(t),u1=h(Go),Vt=a(Go,"DIV",{class:!0});var Wa=r(Vt);w(ol.$$.fragment,Wa),f1=h(Wa),vn=a(Wa,"P",{});var th=r(vn);g1=n(th,"The "),vp=a(th,"A",{href:!0});var mX=r(vp);_1=n(mX,"XLMRobertaForQuestionAnswering"),mX.forEach(t),b1=n(th," forward method, overrides the "),_m=a(th,"CODE",{});var uX=r(_m);k1=n(uX,"__call__"),uX.forEach(t),y1=n(th," special method."),th.forEach(t),v1=h(Wa),w(Xs.$$.fragment,Wa),w1=h(Wa),w(zs.$$.fragment,Wa),Wa.forEach(t),Go.forEach(t),Eg=h(i),wn=a(i,"H2",{class:!0});var S_=r(wn);Cs=a(S_,"A",{id:!0,class:!0,href:!0});var fX=r(Cs);bm=a(fX,"SPAN",{});var gX=r(bm);w(nl.$$.fragment,gX),gX.forEach(t),fX.forEach(t),T1=h(S_),km=a(S_,"SPAN",{});var _X=r(km);M1=n(_X,"TFXLMRobertaModel"),_X.forEach(t),S_.forEach(t),Rg=h(i),dt=a(i,"DIV",{class:!0});var ro=r(dt);w(sl.$$.fragment,ro),$1=h(ro),ym=a(ro,"P",{});var bX=r(ym);L1=n(bX,"The bare XLM RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),bX.forEach(t),x1=h(ro),al=a(ro,"P",{});var W_=r(al);F1=n(W_,"This model inherits from "),wp=a(W_,"A",{href:!0});var kX=r(wp);E1=n(kX,"TFPreTrainedModel"),kX.forEach(t),R1=n(W_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),W_.forEach(t),X1=h(ro),rl=a(ro,"P",{});var B_=r(rl);z1=n(B_,"This model is also a "),il=a(B_,"A",{href:!0,rel:!0});var yX=r(il);C1=n(yX,"tf.keras.Model"),yX.forEach(t),q1=n(B_,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),B_.forEach(t),j1=h(ro),w(qs.$$.fragment,ro),A1=h(ro),Jt=a(ro,"DIV",{class:!0});var Ba=r(Jt);w(ll.$$.fragment,Ba),P1=h(Ba),Tn=a(Ba,"P",{});var oh=r(Tn);N1=n(oh,"The "),Tp=a(oh,"A",{href:!0});var vX=r(Tp);O1=n(vX,"TFXLMRobertaModel"),vX.forEach(t),I1=n(oh," forward method, overrides the "),vm=a(oh,"CODE",{});var wX=r(vm);D1=n(wX,"__call__"),wX.forEach(t),S1=n(oh," special method."),oh.forEach(t),W1=h(Ba),w(js.$$.fragment,Ba),B1=h(Ba),w(As.$$.fragment,Ba),Ba.forEach(t),ro.forEach(t),Xg=h(i),Mn=a(i,"H2",{class:!0});var U_=r(Mn);Ps=a(U_,"A",{id:!0,class:!0,href:!0});var TX=r(Ps);wm=a(TX,"SPAN",{});var MX=r(wm);w(dl.$$.fragment,MX),MX.forEach(t),TX.forEach(t),U1=h(U_),Tm=a(U_,"SPAN",{});var $X=r(Tm);H1=n($X,"TFXLMRobertaForCausalLM"),$X.forEach(t),U_.forEach(t),zg=h(i),ct=a(i,"DIV",{class:!0});var io=r(ct);w(cl.$$.fragment,io),Q1=h(io),pl=a(io,"P",{});var H_=r(pl);K1=n(H_,"XLM-RoBERTa Model with a "),Mm=a(H_,"CODE",{});var LX=r(Mm);V1=n(LX,"language modeling"),LX.forEach(t),J1=n(H_," head on top for CLM fine-tuning."),H_.forEach(t),G1=h(io),hl=a(io,"P",{});var Q_=r(hl);Y1=n(Q_,"This model inherits from "),Mp=a(Q_,"A",{href:!0});var xX=r(Mp);Z1=n(xX,"TFPreTrainedModel"),xX.forEach(t),e$=n(Q_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Q_.forEach(t),t$=h(io),ml=a(io,"P",{});var K_=r(ml);o$=n(K_,"This model is also a "),ul=a(K_,"A",{href:!0,rel:!0});var FX=r(ul);n$=n(FX,"tf.keras.Model"),FX.forEach(t),s$=n(K_,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),K_.forEach(t),a$=h(io),w(Ns.$$.fragment,io),r$=h(io),Gt=a(io,"DIV",{class:!0});var Ua=r(Gt);w(fl.$$.fragment,Ua),i$=h(Ua),$n=a(Ua,"P",{});var nh=r($n);l$=n(nh,"The "),$p=a(nh,"A",{href:!0});var EX=r($p);d$=n(EX,"TFXLMRobertaForCausalLM"),EX.forEach(t),c$=n(nh," forward method, overrides the "),$m=a(nh,"CODE",{});var RX=r($m);p$=n(RX,"__call__"),RX.forEach(t),h$=n(nh," special method."),nh.forEach(t),m$=h(Ua),w(Os.$$.fragment,Ua),u$=h(Ua),w(Is.$$.fragment,Ua),Ua.forEach(t),io.forEach(t),Cg=h(i),Ln=a(i,"H2",{class:!0});var V_=r(Ln);Ds=a(V_,"A",{id:!0,class:!0,href:!0});var XX=r(Ds);Lm=a(XX,"SPAN",{});var zX=r(Lm);w(gl.$$.fragment,zX),zX.forEach(t),XX.forEach(t),f$=h(V_),xm=a(V_,"SPAN",{});var CX=r(xm);g$=n(CX,"TFXLMRobertaForMaskedLM"),CX.forEach(t),V_.forEach(t),qg=h(i),pt=a(i,"DIV",{class:!0});var lo=r(pt);w(_l.$$.fragment,lo),_$=h(lo),bl=a(lo,"P",{});var J_=r(bl);b$=n(J_,"XLM RoBERTa Model with a "),Fm=a(J_,"CODE",{});var qX=r(Fm);k$=n(qX,"language modeling"),qX.forEach(t),y$=n(J_," head on top."),J_.forEach(t),v$=h(lo),kl=a(lo,"P",{});var G_=r(kl);w$=n(G_,"This model inherits from "),Lp=a(G_,"A",{href:!0});var jX=r(Lp);T$=n(jX,"TFPreTrainedModel"),jX.forEach(t),M$=n(G_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),G_.forEach(t),$$=h(lo),yl=a(lo,"P",{});var Y_=r(yl);L$=n(Y_,"This model is also a "),vl=a(Y_,"A",{href:!0,rel:!0});var AX=r(vl);x$=n(AX,"tf.keras.Model"),AX.forEach(t),F$=n(Y_,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Y_.forEach(t),E$=h(lo),w(Ss.$$.fragment,lo),R$=h(lo),$t=a(lo,"DIV",{class:!0});var Yo=r($t);w(wl.$$.fragment,Yo),X$=h(Yo),xn=a(Yo,"P",{});var sh=r(xn);z$=n(sh,"The "),xp=a(sh,"A",{href:!0});var PX=r(xp);C$=n(PX,"TFXLMRobertaForMaskedLM"),PX.forEach(t),q$=n(sh," forward method, overrides the "),Em=a(sh,"CODE",{});var NX=r(Em);j$=n(NX,"__call__"),NX.forEach(t),A$=n(sh," special method."),sh.forEach(t),P$=h(Yo),w(Ws.$$.fragment,Yo),N$=h(Yo),w(Bs.$$.fragment,Yo),O$=h(Yo),w(Us.$$.fragment,Yo),Yo.forEach(t),lo.forEach(t),jg=h(i),Fn=a(i,"H2",{class:!0});var Z_=r(Fn);Hs=a(Z_,"A",{id:!0,class:!0,href:!0});var OX=r(Hs);Rm=a(OX,"SPAN",{});var IX=r(Rm);w(Tl.$$.fragment,IX),IX.forEach(t),OX.forEach(t),I$=h(Z_),Xm=a(Z_,"SPAN",{});var DX=r(Xm);D$=n(DX,"TFXLMRobertaForSequenceClassification"),DX.forEach(t),Z_.forEach(t),Ag=h(i),ht=a(i,"DIV",{class:!0});var co=r(ht);w(Ml.$$.fragment,co),S$=h(co),zm=a(co,"P",{});var SX=r(zm);W$=n(SX,`XLM RoBERTa Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),SX.forEach(t),B$=h(co),$l=a(co,"P",{});var eb=r($l);U$=n(eb,"This model inherits from "),Fp=a(eb,"A",{href:!0});var WX=r(Fp);H$=n(WX,"TFPreTrainedModel"),WX.forEach(t),Q$=n(eb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),eb.forEach(t),K$=h(co),Ll=a(co,"P",{});var tb=r(Ll);V$=n(tb,"This model is also a "),xl=a(tb,"A",{href:!0,rel:!0});var BX=r(xl);J$=n(BX,"tf.keras.Model"),BX.forEach(t),G$=n(tb,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),tb.forEach(t),Y$=h(co),w(Qs.$$.fragment,co),Z$=h(co),Lt=a(co,"DIV",{class:!0});var Zo=r(Lt);w(Fl.$$.fragment,Zo),e2=h(Zo),En=a(Zo,"P",{});var ah=r(En);t2=n(ah,"The "),Ep=a(ah,"A",{href:!0});var UX=r(Ep);o2=n(UX,"TFXLMRobertaForSequenceClassification"),UX.forEach(t),n2=n(ah," forward method, overrides the "),Cm=a(ah,"CODE",{});var HX=r(Cm);s2=n(HX,"__call__"),HX.forEach(t),a2=n(ah," special method."),ah.forEach(t),r2=h(Zo),w(Ks.$$.fragment,Zo),i2=h(Zo),w(Vs.$$.fragment,Zo),l2=h(Zo),w(Js.$$.fragment,Zo),Zo.forEach(t),co.forEach(t),Pg=h(i),Rn=a(i,"H2",{class:!0});var ob=r(Rn);Gs=a(ob,"A",{id:!0,class:!0,href:!0});var QX=r(Gs);qm=a(QX,"SPAN",{});var KX=r(qm);w(El.$$.fragment,KX),KX.forEach(t),QX.forEach(t),d2=h(ob),jm=a(ob,"SPAN",{});var VX=r(jm);c2=n(VX,"TFXLMRobertaForMultipleChoice"),VX.forEach(t),ob.forEach(t),Ng=h(i),mt=a(i,"DIV",{class:!0});var po=r(mt);w(Rl.$$.fragment,po),p2=h(po),Am=a(po,"P",{});var JX=r(Am);h2=n(JX,`XLM Roberta Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),JX.forEach(t),m2=h(po),Xl=a(po,"P",{});var nb=r(Xl);u2=n(nb,"This model inherits from "),Rp=a(nb,"A",{href:!0});var GX=r(Rp);f2=n(GX,"TFPreTrainedModel"),GX.forEach(t),g2=n(nb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),nb.forEach(t),_2=h(po),zl=a(po,"P",{});var sb=r(zl);b2=n(sb,"This model is also a "),Cl=a(sb,"A",{href:!0,rel:!0});var YX=r(Cl);k2=n(YX,"tf.keras.Model"),YX.forEach(t),y2=n(sb,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),sb.forEach(t),v2=h(po),w(Ys.$$.fragment,po),w2=h(po),Yt=a(po,"DIV",{class:!0});var Ha=r(Yt);w(ql.$$.fragment,Ha),T2=h(Ha),Xn=a(Ha,"P",{});var rh=r(Xn);M2=n(rh,"The "),Xp=a(rh,"A",{href:!0});var ZX=r(Xp);$2=n(ZX,"TFXLMRobertaForMultipleChoice"),ZX.forEach(t),L2=n(rh," forward method, overrides the "),Pm=a(rh,"CODE",{});var ez=r(Pm);x2=n(ez,"__call__"),ez.forEach(t),F2=n(rh," special method."),rh.forEach(t),E2=h(Ha),w(Zs.$$.fragment,Ha),R2=h(Ha),w(ea.$$.fragment,Ha),Ha.forEach(t),po.forEach(t),Og=h(i),zn=a(i,"H2",{class:!0});var ab=r(zn);ta=a(ab,"A",{id:!0,class:!0,href:!0});var tz=r(ta);Nm=a(tz,"SPAN",{});var oz=r(Nm);w(jl.$$.fragment,oz),oz.forEach(t),tz.forEach(t),X2=h(ab),Om=a(ab,"SPAN",{});var nz=r(Om);z2=n(nz,"TFXLMRobertaForTokenClassification"),nz.forEach(t),ab.forEach(t),Ig=h(i),ut=a(i,"DIV",{class:!0});var ho=r(ut);w(Al.$$.fragment,ho),C2=h(ho),Im=a(ho,"P",{});var sz=r(Im);q2=n(sz,`XLM RoBERTa Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),sz.forEach(t),j2=h(ho),Pl=a(ho,"P",{});var rb=r(Pl);A2=n(rb,"This model inherits from "),zp=a(rb,"A",{href:!0});var az=r(zp);P2=n(az,"TFPreTrainedModel"),az.forEach(t),N2=n(rb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),rb.forEach(t),O2=h(ho),Nl=a(ho,"P",{});var ib=r(Nl);I2=n(ib,"This model is also a "),Ol=a(ib,"A",{href:!0,rel:!0});var rz=r(Ol);D2=n(rz,"tf.keras.Model"),rz.forEach(t),S2=n(ib,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),ib.forEach(t),W2=h(ho),w(oa.$$.fragment,ho),B2=h(ho),xt=a(ho,"DIV",{class:!0});var en=r(xt);w(Il.$$.fragment,en),U2=h(en),Cn=a(en,"P",{});var ih=r(Cn);H2=n(ih,"The "),Cp=a(ih,"A",{href:!0});var iz=r(Cp);Q2=n(iz,"TFXLMRobertaForTokenClassification"),iz.forEach(t),K2=n(ih," forward method, overrides the "),Dm=a(ih,"CODE",{});var lz=r(Dm);V2=n(lz,"__call__"),lz.forEach(t),J2=n(ih," special method."),ih.forEach(t),G2=h(en),w(na.$$.fragment,en),Y2=h(en),w(sa.$$.fragment,en),Z2=h(en),w(aa.$$.fragment,en),en.forEach(t),ho.forEach(t),Dg=h(i),qn=a(i,"H2",{class:!0});var lb=r(qn);ra=a(lb,"A",{id:!0,class:!0,href:!0});var dz=r(ra);Sm=a(dz,"SPAN",{});var cz=r(Sm);w(Dl.$$.fragment,cz),cz.forEach(t),dz.forEach(t),eL=h(lb),Wm=a(lb,"SPAN",{});var pz=r(Wm);tL=n(pz,"TFXLMRobertaForQuestionAnswering"),pz.forEach(t),lb.forEach(t),Sg=h(i),ft=a(i,"DIV",{class:!0});var mo=r(ft);w(Sl.$$.fragment,mo),oL=h(mo),jn=a(mo,"P",{});var lh=r(jn);nL=n(lh,`XLM RoBERTa Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),Bm=a(lh,"CODE",{});var hz=r(Bm);sL=n(hz,"span start logits"),hz.forEach(t),aL=n(lh," and "),Um=a(lh,"CODE",{});var mz=r(Um);rL=n(mz,"span end logits"),mz.forEach(t),iL=n(lh,")."),lh.forEach(t),lL=h(mo),Wl=a(mo,"P",{});var db=r(Wl);dL=n(db,"This model inherits from "),qp=a(db,"A",{href:!0});var uz=r(qp);cL=n(uz,"TFPreTrainedModel"),uz.forEach(t),pL=n(db,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),db.forEach(t),hL=h(mo),Bl=a(mo,"P",{});var cb=r(Bl);mL=n(cb,"This model is also a "),Ul=a(cb,"A",{href:!0,rel:!0});var fz=r(Ul);uL=n(fz,"tf.keras.Model"),fz.forEach(t),fL=n(cb,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),cb.forEach(t),gL=h(mo),w(ia.$$.fragment,mo),_L=h(mo),Ft=a(mo,"DIV",{class:!0});var tn=r(Ft);w(Hl.$$.fragment,tn),bL=h(tn),An=a(tn,"P",{});var dh=r(An);kL=n(dh,"The "),jp=a(dh,"A",{href:!0});var gz=r(jp);yL=n(gz,"TFXLMRobertaForQuestionAnswering"),gz.forEach(t),vL=n(dh," forward method, overrides the "),Hm=a(dh,"CODE",{});var _z=r(Hm);wL=n(_z,"__call__"),_z.forEach(t),TL=n(dh," special method."),dh.forEach(t),ML=h(tn),w(la.$$.fragment,tn),$L=h(tn),w(da.$$.fragment,tn),LL=h(tn),w(ca.$$.fragment,tn),tn.forEach(t),mo.forEach(t),Wg=h(i),Pn=a(i,"H2",{class:!0});var pb=r(Pn);pa=a(pb,"A",{id:!0,class:!0,href:!0});var bz=r(pa);Qm=a(bz,"SPAN",{});var kz=r(Qm);w(Ql.$$.fragment,kz),kz.forEach(t),bz.forEach(t),xL=h(pb),Km=a(pb,"SPAN",{});var yz=r(Km);FL=n(yz,"FlaxXLMRobertaModel"),yz.forEach(t),pb.forEach(t),Bg=h(i),tt=a(i,"DIV",{class:!0});var Xt=r(tt);w(Kl.$$.fragment,Xt),EL=h(Xt),Vm=a(Xt,"P",{});var vz=r(Vm);RL=n(vz,"The bare XLM RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),vz.forEach(t),XL=h(Xt),Vl=a(Xt,"P",{});var hb=r(Vl);zL=n(hb,"This model inherits from "),Ap=a(hb,"A",{href:!0});var wz=r(Ap);CL=n(wz,"FlaxPreTrainedModel"),wz.forEach(t),qL=n(hb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),hb.forEach(t),jL=h(Xt),Jl=a(Xt,"P",{});var mb=r(Jl);AL=n(mb,"This model is also a Flax Linen "),Gl=a(mb,"A",{href:!0,rel:!0});var Tz=r(Gl);PL=n(Tz,"flax.linen.Module"),Tz.forEach(t),NL=n(mb,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),mb.forEach(t),OL=h(Xt),Jm=a(Xt,"P",{});var Mz=r(Jm);IL=n(Mz,"Finally, this model supports inherent JAX features such as:"),Mz.forEach(t),DL=h(Xt),go=a(Xt,"UL",{});var Qa=r(go);Gm=a(Qa,"LI",{});var $z=r(Gm);Yl=a($z,"A",{href:!0,rel:!0});var Lz=r(Yl);SL=n(Lz,"Just-In-Time (JIT) compilation"),Lz.forEach(t),$z.forEach(t),WL=h(Qa),Ym=a(Qa,"LI",{});var xz=r(Ym);Zl=a(xz,"A",{href:!0,rel:!0});var Fz=r(Zl);BL=n(Fz,"Automatic Differentiation"),Fz.forEach(t),xz.forEach(t),UL=h(Qa),Zm=a(Qa,"LI",{});var Ez=r(Zm);ed=a(Ez,"A",{href:!0,rel:!0});var Rz=r(ed);HL=n(Rz,"Vectorization"),Rz.forEach(t),Ez.forEach(t),QL=h(Qa),eu=a(Qa,"LI",{});var Xz=r(eu);td=a(Xz,"A",{href:!0,rel:!0});var zz=r(td);KL=n(zz,"Parallelization"),zz.forEach(t),Xz.forEach(t),Qa.forEach(t),VL=h(Xt),Zt=a(Xt,"DIV",{class:!0});var Ka=r(Zt);w(od.$$.fragment,Ka),JL=h(Ka),Nn=a(Ka,"P",{});var ch=r(Nn);GL=n(ch,"The "),tu=a(ch,"CODE",{});var Cz=r(tu);YL=n(Cz,"FlaxXLMRobertaPreTrainedModel"),Cz.forEach(t),ZL=n(ch," forward method, overrides the "),ou=a(ch,"CODE",{});var qz=r(ou);ex=n(qz,"__call__"),qz.forEach(t),tx=n(ch," special method."),ch.forEach(t),ox=h(Ka),w(ha.$$.fragment,Ka),nx=h(Ka),w(ma.$$.fragment,Ka),Ka.forEach(t),Xt.forEach(t),Ug=h(i),On=a(i,"H2",{class:!0});var ub=r(On);ua=a(ub,"A",{id:!0,class:!0,href:!0});var jz=r(ua);nu=a(jz,"SPAN",{});var Az=r(nu);w(nd.$$.fragment,Az),Az.forEach(t),jz.forEach(t),sx=h(ub),su=a(ub,"SPAN",{});var Pz=r(su);ax=n(Pz,"FlaxXLMRobertaForCausalLM"),Pz.forEach(t),ub.forEach(t),Hg=h(i),ot=a(i,"DIV",{class:!0});var zt=r(ot);w(sd.$$.fragment,zt),rx=h(zt),au=a(zt,"P",{});var Nz=r(au);ix=n(Nz,`XLM Roberta Model with a language modeling head on top (a linear layer on top of the hidden-states output) e.g for
autoregressive tasks.`),Nz.forEach(t),lx=h(zt),ad=a(zt,"P",{});var fb=r(ad);dx=n(fb,"This model inherits from "),Pp=a(fb,"A",{href:!0});var Oz=r(Pp);cx=n(Oz,"FlaxPreTrainedModel"),Oz.forEach(t),px=n(fb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),fb.forEach(t),hx=h(zt),rd=a(zt,"P",{});var gb=r(rd);mx=n(gb,"This model is also a Flax Linen "),id=a(gb,"A",{href:!0,rel:!0});var Iz=r(id);ux=n(Iz,"flax.linen.Module"),Iz.forEach(t),fx=n(gb,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),gb.forEach(t),gx=h(zt),ru=a(zt,"P",{});var Dz=r(ru);_x=n(Dz,"Finally, this model supports inherent JAX features such as:"),Dz.forEach(t),bx=h(zt),_o=a(zt,"UL",{});var Va=r(_o);iu=a(Va,"LI",{});var Sz=r(iu);ld=a(Sz,"A",{href:!0,rel:!0});var Wz=r(ld);kx=n(Wz,"Just-In-Time (JIT) compilation"),Wz.forEach(t),Sz.forEach(t),yx=h(Va),lu=a(Va,"LI",{});var Bz=r(lu);dd=a(Bz,"A",{href:!0,rel:!0});var Uz=r(dd);vx=n(Uz,"Automatic Differentiation"),Uz.forEach(t),Bz.forEach(t),wx=h(Va),du=a(Va,"LI",{});var Hz=r(du);cd=a(Hz,"A",{href:!0,rel:!0});var Qz=r(cd);Tx=n(Qz,"Vectorization"),Qz.forEach(t),Hz.forEach(t),Mx=h(Va),cu=a(Va,"LI",{});var Kz=r(cu);pd=a(Kz,"A",{href:!0,rel:!0});var Vz=r(pd);$x=n(Vz,"Parallelization"),Vz.forEach(t),Kz.forEach(t),Va.forEach(t),Lx=h(zt),eo=a(zt,"DIV",{class:!0});var Ja=r(eo);w(hd.$$.fragment,Ja),xx=h(Ja),In=a(Ja,"P",{});var ph=r(In);Fx=n(ph,"The "),pu=a(ph,"CODE",{});var Jz=r(pu);Ex=n(Jz,"FlaxXLMRobertaPreTrainedModel"),Jz.forEach(t),Rx=n(ph," forward method, overrides the "),hu=a(ph,"CODE",{});var Gz=r(hu);Xx=n(Gz,"__call__"),Gz.forEach(t),zx=n(ph," special method."),ph.forEach(t),Cx=h(Ja),w(fa.$$.fragment,Ja),qx=h(Ja),w(ga.$$.fragment,Ja),Ja.forEach(t),zt.forEach(t),Qg=h(i),Dn=a(i,"H2",{class:!0});var _b=r(Dn);_a=a(_b,"A",{id:!0,class:!0,href:!0});var Yz=r(_a);mu=a(Yz,"SPAN",{});var Zz=r(mu);w(md.$$.fragment,Zz),Zz.forEach(t),Yz.forEach(t),jx=h(_b),uu=a(_b,"SPAN",{});var eC=r(uu);Ax=n(eC,"FlaxXLMRobertaForMaskedLM"),eC.forEach(t),_b.forEach(t),Kg=h(i),nt=a(i,"DIV",{class:!0});var Ct=r(nt);w(ud.$$.fragment,Ct),Px=h(Ct),fd=a(Ct,"P",{});var bb=r(fd);Nx=n(bb,"XLM RoBERTa Model with a "),fu=a(bb,"CODE",{});var tC=r(fu);Ox=n(tC,"language modeling"),tC.forEach(t),Ix=n(bb," head on top."),bb.forEach(t),Dx=h(Ct),gd=a(Ct,"P",{});var kb=r(gd);Sx=n(kb,"This model inherits from "),Np=a(kb,"A",{href:!0});var oC=r(Np);Wx=n(oC,"FlaxPreTrainedModel"),oC.forEach(t),Bx=n(kb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),kb.forEach(t),Ux=h(Ct),_d=a(Ct,"P",{});var yb=r(_d);Hx=n(yb,"This model is also a Flax Linen "),bd=a(yb,"A",{href:!0,rel:!0});var nC=r(bd);Qx=n(nC,"flax.linen.Module"),nC.forEach(t),Kx=n(yb,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),yb.forEach(t),Vx=h(Ct),gu=a(Ct,"P",{});var sC=r(gu);Jx=n(sC,"Finally, this model supports inherent JAX features such as:"),sC.forEach(t),Gx=h(Ct),bo=a(Ct,"UL",{});var Ga=r(bo);_u=a(Ga,"LI",{});var aC=r(_u);kd=a(aC,"A",{href:!0,rel:!0});var rC=r(kd);Yx=n(rC,"Just-In-Time (JIT) compilation"),rC.forEach(t),aC.forEach(t),Zx=h(Ga),bu=a(Ga,"LI",{});var iC=r(bu);yd=a(iC,"A",{href:!0,rel:!0});var lC=r(yd);eF=n(lC,"Automatic Differentiation"),lC.forEach(t),iC.forEach(t),tF=h(Ga),ku=a(Ga,"LI",{});var dC=r(ku);vd=a(dC,"A",{href:!0,rel:!0});var cC=r(vd);oF=n(cC,"Vectorization"),cC.forEach(t),dC.forEach(t),nF=h(Ga),yu=a(Ga,"LI",{});var pC=r(yu);wd=a(pC,"A",{href:!0,rel:!0});var hC=r(wd);sF=n(hC,"Parallelization"),hC.forEach(t),pC.forEach(t),Ga.forEach(t),aF=h(Ct),to=a(Ct,"DIV",{class:!0});var Ya=r(to);w(Td.$$.fragment,Ya),rF=h(Ya),Sn=a(Ya,"P",{});var hh=r(Sn);iF=n(hh,"The "),vu=a(hh,"CODE",{});var mC=r(vu);lF=n(mC,"FlaxXLMRobertaPreTrainedModel"),mC.forEach(t),dF=n(hh," forward method, overrides the "),wu=a(hh,"CODE",{});var uC=r(wu);cF=n(uC,"__call__"),uC.forEach(t),pF=n(hh," special method."),hh.forEach(t),hF=h(Ya),w(ba.$$.fragment,Ya),mF=h(Ya),w(ka.$$.fragment,Ya),Ya.forEach(t),Ct.forEach(t),Vg=h(i),Wn=a(i,"H2",{class:!0});var vb=r(Wn);ya=a(vb,"A",{id:!0,class:!0,href:!0});var fC=r(ya);Tu=a(fC,"SPAN",{});var gC=r(Tu);w(Md.$$.fragment,gC),gC.forEach(t),fC.forEach(t),uF=h(vb),Mu=a(vb,"SPAN",{});var _C=r(Mu);fF=n(_C,"FlaxXLMRobertaForSequenceClassification"),_C.forEach(t),vb.forEach(t),Jg=h(i),st=a(i,"DIV",{class:!0});var qt=r(st);w($d.$$.fragment,qt),gF=h(qt),$u=a(qt,"P",{});var bC=r($u);_F=n(bC,`XLM Roberta Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),bC.forEach(t),bF=h(qt),Ld=a(qt,"P",{});var wb=r(Ld);kF=n(wb,"This model inherits from "),Op=a(wb,"A",{href:!0});var kC=r(Op);yF=n(kC,"FlaxPreTrainedModel"),kC.forEach(t),vF=n(wb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),wb.forEach(t),wF=h(qt),xd=a(qt,"P",{});var Tb=r(xd);TF=n(Tb,"This model is also a Flax Linen "),Fd=a(Tb,"A",{href:!0,rel:!0});var yC=r(Fd);MF=n(yC,"flax.linen.Module"),yC.forEach(t),$F=n(Tb,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Tb.forEach(t),LF=h(qt),Lu=a(qt,"P",{});var vC=r(Lu);xF=n(vC,"Finally, this model supports inherent JAX features such as:"),vC.forEach(t),FF=h(qt),ko=a(qt,"UL",{});var Za=r(ko);xu=a(Za,"LI",{});var wC=r(xu);Ed=a(wC,"A",{href:!0,rel:!0});var TC=r(Ed);EF=n(TC,"Just-In-Time (JIT) compilation"),TC.forEach(t),wC.forEach(t),RF=h(Za),Fu=a(Za,"LI",{});var MC=r(Fu);Rd=a(MC,"A",{href:!0,rel:!0});var $C=r(Rd);XF=n($C,"Automatic Differentiation"),$C.forEach(t),MC.forEach(t),zF=h(Za),Eu=a(Za,"LI",{});var LC=r(Eu);Xd=a(LC,"A",{href:!0,rel:!0});var xC=r(Xd);CF=n(xC,"Vectorization"),xC.forEach(t),LC.forEach(t),qF=h(Za),Ru=a(Za,"LI",{});var FC=r(Ru);zd=a(FC,"A",{href:!0,rel:!0});var EC=r(zd);jF=n(EC,"Parallelization"),EC.forEach(t),FC.forEach(t),Za.forEach(t),AF=h(qt),oo=a(qt,"DIV",{class:!0});var er=r(oo);w(Cd.$$.fragment,er),PF=h(er),Bn=a(er,"P",{});var mh=r(Bn);NF=n(mh,"The "),Xu=a(mh,"CODE",{});var RC=r(Xu);OF=n(RC,"FlaxXLMRobertaPreTrainedModel"),RC.forEach(t),IF=n(mh," forward method, overrides the "),zu=a(mh,"CODE",{});var XC=r(zu);DF=n(XC,"__call__"),XC.forEach(t),SF=n(mh," special method."),mh.forEach(t),WF=h(er),w(va.$$.fragment,er),BF=h(er),w(wa.$$.fragment,er),er.forEach(t),qt.forEach(t),Gg=h(i),Un=a(i,"H2",{class:!0});var Mb=r(Un);Ta=a(Mb,"A",{id:!0,class:!0,href:!0});var zC=r(Ta);Cu=a(zC,"SPAN",{});var CC=r(Cu);w(qd.$$.fragment,CC),CC.forEach(t),zC.forEach(t),UF=h(Mb),qu=a(Mb,"SPAN",{});var qC=r(qu);HF=n(qC,"FlaxXLMRobertaForMultipleChoice"),qC.forEach(t),Mb.forEach(t),Yg=h(i),at=a(i,"DIV",{class:!0});var jt=r(at);w(jd.$$.fragment,jt),QF=h(jt),ju=a(jt,"P",{});var jC=r(ju);KF=n(jC,`XLM Roberta Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),jC.forEach(t),VF=h(jt),Ad=a(jt,"P",{});var $b=r(Ad);JF=n($b,"This model inherits from "),Ip=a($b,"A",{href:!0});var AC=r(Ip);GF=n(AC,"FlaxPreTrainedModel"),AC.forEach(t),YF=n($b,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),$b.forEach(t),ZF=h(jt),Pd=a(jt,"P",{});var Lb=r(Pd);e0=n(Lb,"This model is also a Flax Linen "),Nd=a(Lb,"A",{href:!0,rel:!0});var PC=r(Nd);t0=n(PC,"flax.linen.Module"),PC.forEach(t),o0=n(Lb,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Lb.forEach(t),n0=h(jt),Au=a(jt,"P",{});var NC=r(Au);s0=n(NC,"Finally, this model supports inherent JAX features such as:"),NC.forEach(t),a0=h(jt),yo=a(jt,"UL",{});var tr=r(yo);Pu=a(tr,"LI",{});var OC=r(Pu);Od=a(OC,"A",{href:!0,rel:!0});var IC=r(Od);r0=n(IC,"Just-In-Time (JIT) compilation"),IC.forEach(t),OC.forEach(t),i0=h(tr),Nu=a(tr,"LI",{});var DC=r(Nu);Id=a(DC,"A",{href:!0,rel:!0});var SC=r(Id);l0=n(SC,"Automatic Differentiation"),SC.forEach(t),DC.forEach(t),d0=h(tr),Ou=a(tr,"LI",{});var WC=r(Ou);Dd=a(WC,"A",{href:!0,rel:!0});var BC=r(Dd);c0=n(BC,"Vectorization"),BC.forEach(t),WC.forEach(t),p0=h(tr),Iu=a(tr,"LI",{});var UC=r(Iu);Sd=a(UC,"A",{href:!0,rel:!0});var HC=r(Sd);h0=n(HC,"Parallelization"),HC.forEach(t),UC.forEach(t),tr.forEach(t),m0=h(jt),no=a(jt,"DIV",{class:!0});var or=r(no);w(Wd.$$.fragment,or),u0=h(or),Hn=a(or,"P",{});var uh=r(Hn);f0=n(uh,"The "),Du=a(uh,"CODE",{});var QC=r(Du);g0=n(QC,"FlaxXLMRobertaPreTrainedModel"),QC.forEach(t),_0=n(uh," forward method, overrides the "),Su=a(uh,"CODE",{});var KC=r(Su);b0=n(KC,"__call__"),KC.forEach(t),k0=n(uh," special method."),uh.forEach(t),y0=h(or),w(Ma.$$.fragment,or),v0=h(or),w($a.$$.fragment,or),or.forEach(t),jt.forEach(t),Zg=h(i),Qn=a(i,"H2",{class:!0});var xb=r(Qn);La=a(xb,"A",{id:!0,class:!0,href:!0});var VC=r(La);Wu=a(VC,"SPAN",{});var JC=r(Wu);w(Bd.$$.fragment,JC),JC.forEach(t),VC.forEach(t),w0=h(xb),Bu=a(xb,"SPAN",{});var GC=r(Bu);T0=n(GC,"FlaxXLMRobertaForTokenClassification"),GC.forEach(t),xb.forEach(t),e_=h(i),rt=a(i,"DIV",{class:!0});var At=r(rt);w(Ud.$$.fragment,At),M0=h(At),Uu=a(At,"P",{});var YC=r(Uu);$0=n(YC,`XLM Roberta Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),YC.forEach(t),L0=h(At),Hd=a(At,"P",{});var Fb=r(Hd);x0=n(Fb,"This model inherits from "),Dp=a(Fb,"A",{href:!0});var ZC=r(Dp);F0=n(ZC,"FlaxPreTrainedModel"),ZC.forEach(t),E0=n(Fb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Fb.forEach(t),R0=h(At),Qd=a(At,"P",{});var Eb=r(Qd);X0=n(Eb,"This model is also a Flax Linen "),Kd=a(Eb,"A",{href:!0,rel:!0});var eq=r(Kd);z0=n(eq,"flax.linen.Module"),eq.forEach(t),C0=n(Eb,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Eb.forEach(t),q0=h(At),Hu=a(At,"P",{});var tq=r(Hu);j0=n(tq,"Finally, this model supports inherent JAX features such as:"),tq.forEach(t),A0=h(At),vo=a(At,"UL",{});var nr=r(vo);Qu=a(nr,"LI",{});var oq=r(Qu);Vd=a(oq,"A",{href:!0,rel:!0});var nq=r(Vd);P0=n(nq,"Just-In-Time (JIT) compilation"),nq.forEach(t),oq.forEach(t),N0=h(nr),Ku=a(nr,"LI",{});var sq=r(Ku);Jd=a(sq,"A",{href:!0,rel:!0});var aq=r(Jd);O0=n(aq,"Automatic Differentiation"),aq.forEach(t),sq.forEach(t),I0=h(nr),Vu=a(nr,"LI",{});var rq=r(Vu);Gd=a(rq,"A",{href:!0,rel:!0});var iq=r(Gd);D0=n(iq,"Vectorization"),iq.forEach(t),rq.forEach(t),S0=h(nr),Ju=a(nr,"LI",{});var lq=r(Ju);Yd=a(lq,"A",{href:!0,rel:!0});var dq=r(Yd);W0=n(dq,"Parallelization"),dq.forEach(t),lq.forEach(t),nr.forEach(t),B0=h(At),so=a(At,"DIV",{class:!0});var sr=r(so);w(Zd.$$.fragment,sr),U0=h(sr),Kn=a(sr,"P",{});var fh=r(Kn);H0=n(fh,"The "),Gu=a(fh,"CODE",{});var cq=r(Gu);Q0=n(cq,"FlaxXLMRobertaPreTrainedModel"),cq.forEach(t),K0=n(fh," forward method, overrides the "),Yu=a(fh,"CODE",{});var pq=r(Yu);V0=n(pq,"__call__"),pq.forEach(t),J0=n(fh," special method."),fh.forEach(t),G0=h(sr),w(xa.$$.fragment,sr),Y0=h(sr),w(Fa.$$.fragment,sr),sr.forEach(t),At.forEach(t),t_=h(i),Vn=a(i,"H2",{class:!0});var Rb=r(Vn);Ea=a(Rb,"A",{id:!0,class:!0,href:!0});var hq=r(Ea);Zu=a(hq,"SPAN",{});var mq=r(Zu);w(ec.$$.fragment,mq),mq.forEach(t),hq.forEach(t),Z0=h(Rb),ef=a(Rb,"SPAN",{});var uq=r(ef);eE=n(uq,"FlaxXLMRobertaForQuestionAnswering"),uq.forEach(t),Rb.forEach(t),o_=h(i),it=a(i,"DIV",{class:!0});var Pt=r(it);w(tc.$$.fragment,Pt),tE=h(Pt),Jn=a(Pt,"P",{});var gh=r(Jn);oE=n(gh,`XLM Roberta Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),tf=a(gh,"CODE",{});var fq=r(tf);nE=n(fq,"span start logits"),fq.forEach(t),sE=n(gh," and "),of=a(gh,"CODE",{});var gq=r(of);aE=n(gq,"span end logits"),gq.forEach(t),rE=n(gh,")."),gh.forEach(t),iE=h(Pt),oc=a(Pt,"P",{});var Xb=r(oc);lE=n(Xb,"This model inherits from "),Sp=a(Xb,"A",{href:!0});var _q=r(Sp);dE=n(_q,"FlaxPreTrainedModel"),_q.forEach(t),cE=n(Xb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Xb.forEach(t),pE=h(Pt),nc=a(Pt,"P",{});var zb=r(nc);hE=n(zb,"This model is also a Flax Linen "),sc=a(zb,"A",{href:!0,rel:!0});var bq=r(sc);mE=n(bq,"flax.linen.Module"),bq.forEach(t),uE=n(zb,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),zb.forEach(t),fE=h(Pt),nf=a(Pt,"P",{});var kq=r(nf);gE=n(kq,"Finally, this model supports inherent JAX features such as:"),kq.forEach(t),_E=h(Pt),wo=a(Pt,"UL",{});var ar=r(wo);sf=a(ar,"LI",{});var yq=r(sf);ac=a(yq,"A",{href:!0,rel:!0});var vq=r(ac);bE=n(vq,"Just-In-Time (JIT) compilation"),vq.forEach(t),yq.forEach(t),kE=h(ar),af=a(ar,"LI",{});var wq=r(af);rc=a(wq,"A",{href:!0,rel:!0});var Tq=r(rc);yE=n(Tq,"Automatic Differentiation"),Tq.forEach(t),wq.forEach(t),vE=h(ar),rf=a(ar,"LI",{});var Mq=r(rf);ic=a(Mq,"A",{href:!0,rel:!0});var $q=r(ic);wE=n($q,"Vectorization"),$q.forEach(t),Mq.forEach(t),TE=h(ar),lf=a(ar,"LI",{});var Lq=r(lf);lc=a(Lq,"A",{href:!0,rel:!0});var xq=r(lc);ME=n(xq,"Parallelization"),xq.forEach(t),Lq.forEach(t),ar.forEach(t),$E=h(Pt),ao=a(Pt,"DIV",{class:!0});var rr=r(ao);w(dc.$$.fragment,rr),LE=h(rr),Gn=a(rr,"P",{});var _h=r(Gn);xE=n(_h,"The "),df=a(_h,"CODE",{});var Fq=r(df);FE=n(Fq,"FlaxXLMRobertaPreTrainedModel"),Fq.forEach(t),EE=n(_h," forward method, overrides the "),cf=a(_h,"CODE",{});var Eq=r(cf);RE=n(Eq,"__call__"),Eq.forEach(t),XE=n(_h," special method."),_h.forEach(t),zE=h(rr),w(Ra.$$.fragment,rr),CE=h(rr),w(Xa.$$.fragment,rr),rr.forEach(t),Pt.forEach(t),this.h()},h(){c(d,"name","hf:doc:metadata"),c(d,"content",JSON.stringify(P3)),c(f,"id","xlmroberta"),c(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(f,"href","#xlmroberta"),c(u,"class","relative group"),c(re,"id","overview"),c(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(re,"href","#overview"),c(O,"class","relative group"),c(le,"href","https://arxiv.org/abs/1911.02116"),c(le,"rel","nofollow"),c(me,"href","roberta"),c(pe,"href","https://huggingface.co/stefan-it"),c(pe,"rel","nofollow"),c(Z,"href","https://github.com/pytorch/fairseq/tree/master/examples/xlmr"),c(Z,"rel","nofollow"),c(ie,"id","resources"),c(ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ie,"href","#resources"),c(ae,"class","relative group"),c(Pe,"href","https://www.philschmid.de/habana-distributed-training"),c(Pe,"rel","nofollow"),c(Oe,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForSequenceClassification"),c(ee,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/text-classification"),c(ee,"rel","nofollow"),c(ir,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/text_classification.ipynb"),c(ir,"rel","nofollow"),c($c,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForSequenceClassification"),c(lr,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/text-classification"),c(lr,"rel","nofollow"),c(dr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/text_classification-tf.ipynb"),c(dr,"rel","nofollow"),c(Lc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.FlaxXLMRobertaForSequenceClassification"),c(cr,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/text-classification"),c(cr,"rel","nofollow"),c(pr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/text_classification_flax.ipynb"),c(pr,"rel","nofollow"),c(hr,"href","https://huggingface.co/docs/transformers/tasks/sequence_classification"),c(hr,"rel","nofollow"),c(Fc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForTokenClassification"),c(ur,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/token-classification"),c(ur,"rel","nofollow"),c(fr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/token_classification.ipynb"),c(fr,"rel","nofollow"),c(Ec,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForTokenClassification"),c(gr,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/token-classification"),c(gr,"rel","nofollow"),c(_r,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/token_classification-tf.ipynb"),c(_r,"rel","nofollow"),c(Rc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.FlaxXLMRobertaForTokenClassification"),c(br,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/token-classification"),c(br,"rel","nofollow"),c(kr,"href","https://huggingface.co/course/chapter7/2?fw=pt"),c(kr,"rel","nofollow"),c(zc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForCausalLM"),c(vr,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/language-modeling"),c(vr,"rel","nofollow"),c(wr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/language_modeling.ipynb"),c(wr,"rel","nofollow"),c(Tr,"href","https://huggingface.co/docs/transformers/tasks/language_modeling"),c(Tr,"rel","nofollow"),c(qc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForMaskedLM"),c($r,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/language-modeling#robertabertdistilbert-and-masked-language-modeling"),c($r,"rel","nofollow"),c(Lr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/language_modeling.ipynb"),c(Lr,"rel","nofollow"),c(jc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForMaskedLM"),c(xr,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/language-modeling#run_mlmpy"),c(xr,"rel","nofollow"),c(Fr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/language_modeling-tf.ipynb"),c(Fr,"rel","nofollow"),c(Ac,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.FlaxXLMRobertaForMaskedLM"),c(Er,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/language-modeling#masked-language-modeling"),c(Er,"rel","nofollow"),c(Rr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/masked_language_modeling_flax.ipynb"),c(Rr,"rel","nofollow"),c(Xr,"href","https://huggingface.co/course/chapter7/3?fw=pt"),c(Xr,"rel","nofollow"),c(Nc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForQuestionAnswering"),c(Cr,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/question-answering"),c(Cr,"rel","nofollow"),c(qr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/question_answering.ipynb"),c(qr,"rel","nofollow"),c(Oc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForQuestionAnswering"),c(jr,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/question-answering"),c(jr,"rel","nofollow"),c(Ar,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/question_answering-tf.ipynb"),c(Ar,"rel","nofollow"),c(Ic,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.FlaxXLMRobertaForQuestionAnswering"),c(Pr,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/question-answering"),c(Pr,"rel","nofollow"),c(Nr,"href","https://huggingface.co/course/chapter7/7?fw=pt"),c(Nr,"rel","nofollow"),c(Wc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForMultipleChoice"),c(Or,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/multiple-choice"),c(Or,"rel","nofollow"),c(Ir,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/multiple_choice.ipynb"),c(Ir,"rel","nofollow"),c(Bc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForMultipleChoice"),c(Dr,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/multiple-choice"),c(Dr,"rel","nofollow"),c(Sr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/multiple_choice-tf.ipynb"),c(Sr,"rel","nofollow"),c(Br,"href","https://www.philschmid.de/multilingual-serverless-xlm-roberta-with-huggingface"),c(Br,"rel","nofollow"),c(ns,"id","transformers.XLMRobertaConfig"),c(ns,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ns,"href","#transformers.XLMRobertaConfig"),c(on,"class","relative group"),c(Qc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaModel"),c(Kc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaModel"),c(Qr,"href","https://huggingface.co/xlm-roberta-base"),c(Qr,"rel","nofollow"),c(Vc,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),c(Jc,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),c(Nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(as,"id","transformers.XLMRobertaTokenizer"),c(as,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(as,"href","#transformers.XLMRobertaTokenizer"),c(sn,"class","relative group"),c(Gc,"href","/docs/transformers/main/en/model_doc/roberta#transformers.RobertaTokenizer"),c(Yc,"href","/docs/transformers/main/en/model_doc/xlnet#transformers.XLNetTokenizer"),c(Jr,"href","https://github.com/google/sentencepiece"),c(Jr,"rel","nofollow"),c(Zc,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),c(Ao,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(rs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(is,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(op,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ls,"id","transformers.XLMRobertaTokenizerFast"),c(ls,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ls,"href","#transformers.XLMRobertaTokenizerFast"),c(an,"class","relative group"),c(np,"href","/docs/transformers/main/en/model_doc/roberta#transformers.RobertaTokenizer"),c(sp,"href","/docs/transformers/main/en/model_doc/xlnet#transformers.XLNetTokenizer"),c(ri,"href","https://huggingface.co/docs/tokenizers/python/latest/components.html?highlight=BPE#models"),c(ri,"rel","nofollow"),c(ap,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),c(Po,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ds,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(_t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(cs,"id","transformers.XLMRobertaModel"),c(cs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(cs,"href","#transformers.XLMRobertaModel"),c(rn,"class","relative group"),c(lp,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),c(fi,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(fi,"rel","nofollow"),c(_i,"href","https://arxiv.org/abs/1706.03762"),c(_i,"rel","nofollow"),c(dp,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaModel"),c(Bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(us,"id","transformers.XLMRobertaForCausalLM"),c(us,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(us,"href","#transformers.XLMRobertaForCausalLM"),c(dn,"class","relative group"),c(cp,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),c(Mi,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Mi,"rel","nofollow"),c(pp,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForCausalLM"),c(Ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(_s,"id","transformers.XLMRobertaForMaskedLM"),c(_s,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(_s,"href","#transformers.XLMRobertaForMaskedLM"),c(pn,"class","relative group"),c(hp,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),c(Xi,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Xi,"rel","nofollow"),c(mp,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForMaskedLM"),c(Ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(kt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ys,"id","transformers.XLMRobertaForSequenceClassification"),c(ys,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ys,"href","#transformers.XLMRobertaForSequenceClassification"),c(mn,"class","relative group"),c(up,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),c(Pi,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Pi,"rel","nofollow"),c(fp,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForSequenceClassification"),c(Mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ms,"id","transformers.XLMRobertaForMultipleChoice"),c(Ms,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ms,"href","#transformers.XLMRobertaForMultipleChoice"),c(fn,"class","relative group"),c(gp,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),c(Wi,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Wi,"rel","nofollow"),c(_p,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForMultipleChoice"),c(Qt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(xs,"id","transformers.XLMRobertaForTokenClassification"),c(xs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(xs,"href","#transformers.XLMRobertaForTokenClassification"),c(_n,"class","relative group"),c(bp,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),c(Vi,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Vi,"rel","nofollow"),c(kp,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForTokenClassification"),c(Kt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(wt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Rs,"id","transformers.XLMRobertaForQuestionAnswering"),c(Rs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Rs,"href","#transformers.XLMRobertaForQuestionAnswering"),c(kn,"class","relative group"),c(yp,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),c(tl,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(tl,"rel","nofollow"),c(vp,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForQuestionAnswering"),c(Vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Cs,"id","transformers.TFXLMRobertaModel"),c(Cs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Cs,"href","#transformers.TFXLMRobertaModel"),c(wn,"class","relative group"),c(wp,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),c(il,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(il,"rel","nofollow"),c(Tp,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaModel"),c(Jt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ps,"id","transformers.TFXLMRobertaForCausalLM"),c(Ps,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ps,"href","#transformers.TFXLMRobertaForCausalLM"),c(Mn,"class","relative group"),c(Mp,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),c(ul,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(ul,"rel","nofollow"),c($p,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForCausalLM"),c(Gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ds,"id","transformers.TFXLMRobertaForMaskedLM"),c(Ds,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ds,"href","#transformers.TFXLMRobertaForMaskedLM"),c(Ln,"class","relative group"),c(Lp,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),c(vl,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(vl,"rel","nofollow"),c(xp,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForMaskedLM"),c($t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Hs,"id","transformers.TFXLMRobertaForSequenceClassification"),c(Hs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Hs,"href","#transformers.TFXLMRobertaForSequenceClassification"),c(Fn,"class","relative group"),c(Fp,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),c(xl,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(xl,"rel","nofollow"),c(Ep,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForSequenceClassification"),c(Lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Gs,"id","transformers.TFXLMRobertaForMultipleChoice"),c(Gs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Gs,"href","#transformers.TFXLMRobertaForMultipleChoice"),c(Rn,"class","relative group"),c(Rp,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),c(Cl,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(Cl,"rel","nofollow"),c(Xp,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForMultipleChoice"),c(Yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ta,"id","transformers.TFXLMRobertaForTokenClassification"),c(ta,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ta,"href","#transformers.TFXLMRobertaForTokenClassification"),c(zn,"class","relative group"),c(zp,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),c(Ol,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(Ol,"rel","nofollow"),c(Cp,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForTokenClassification"),c(xt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ra,"id","transformers.TFXLMRobertaForQuestionAnswering"),c(ra,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ra,"href","#transformers.TFXLMRobertaForQuestionAnswering"),c(qn,"class","relative group"),c(qp,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),c(Ul,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(Ul,"rel","nofollow"),c(jp,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForQuestionAnswering"),c(Ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(pa,"id","transformers.FlaxXLMRobertaModel"),c(pa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(pa,"href","#transformers.FlaxXLMRobertaModel"),c(Pn,"class","relative group"),c(Ap,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(Gl,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(Gl,"rel","nofollow"),c(Yl,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(Yl,"rel","nofollow"),c(Zl,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(Zl,"rel","nofollow"),c(ed,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(ed,"rel","nofollow"),c(td,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(td,"rel","nofollow"),c(Zt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ua,"id","transformers.FlaxXLMRobertaForCausalLM"),c(ua,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ua,"href","#transformers.FlaxXLMRobertaForCausalLM"),c(On,"class","relative group"),c(Pp,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(id,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(id,"rel","nofollow"),c(ld,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(ld,"rel","nofollow"),c(dd,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(dd,"rel","nofollow"),c(cd,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(cd,"rel","nofollow"),c(pd,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(pd,"rel","nofollow"),c(eo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(_a,"id","transformers.FlaxXLMRobertaForMaskedLM"),c(_a,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(_a,"href","#transformers.FlaxXLMRobertaForMaskedLM"),c(Dn,"class","relative group"),c(Np,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(bd,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(bd,"rel","nofollow"),c(kd,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(kd,"rel","nofollow"),c(yd,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(yd,"rel","nofollow"),c(vd,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(vd,"rel","nofollow"),c(wd,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(wd,"rel","nofollow"),c(to,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ya,"id","transformers.FlaxXLMRobertaForSequenceClassification"),c(ya,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ya,"href","#transformers.FlaxXLMRobertaForSequenceClassification"),c(Wn,"class","relative group"),c(Op,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(Fd,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(Fd,"rel","nofollow"),c(Ed,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(Ed,"rel","nofollow"),c(Rd,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(Rd,"rel","nofollow"),c(Xd,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(Xd,"rel","nofollow"),c(zd,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(zd,"rel","nofollow"),c(oo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ta,"id","transformers.FlaxXLMRobertaForMultipleChoice"),c(Ta,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ta,"href","#transformers.FlaxXLMRobertaForMultipleChoice"),c(Un,"class","relative group"),c(Ip,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(Nd,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(Nd,"rel","nofollow"),c(Od,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(Od,"rel","nofollow"),c(Id,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(Id,"rel","nofollow"),c(Dd,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(Dd,"rel","nofollow"),c(Sd,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(Sd,"rel","nofollow"),c(no,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(at,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(La,"id","transformers.FlaxXLMRobertaForTokenClassification"),c(La,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(La,"href","#transformers.FlaxXLMRobertaForTokenClassification"),c(Qn,"class","relative group"),c(Dp,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(Kd,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(Kd,"rel","nofollow"),c(Vd,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(Vd,"rel","nofollow"),c(Jd,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(Jd,"rel","nofollow"),c(Gd,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(Gd,"rel","nofollow"),c(Yd,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(Yd,"rel","nofollow"),c(so,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ea,"id","transformers.FlaxXLMRobertaForQuestionAnswering"),c(Ea,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ea,"href","#transformers.FlaxXLMRobertaForQuestionAnswering"),c(Vn,"class","relative group"),c(Sp,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(sc,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(sc,"rel","nofollow"),c(ac,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(ac,"rel","nofollow"),c(rc,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(rc,"rel","nofollow"),c(ic,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(ic,"rel","nofollow"),c(lc,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(lc,"rel","nofollow"),c(ao,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(i,_){e(document.head,d),g(i,k,_),g(i,u,_),e(u,f),e(f,b),T(l,b,null),e(u,m),e(u,R),e(R,ve),g(i,fe,_),g(i,O,_),e(O,re),e(re,te),T(x,te,null),e(O,we),e(O,U),e(U,Te),g(i,ge,_),g(i,D,_),e(D,Me),e(D,le),e(le,Q),e(D,$e),g(i,_e,_),g(i,W,_),e(W,Le),g(i,be,_),g(i,B,_),e(B,ue),e(ue,xe),g(i,ne,_),g(i,z,_),e(z,C),g(i,ke,_),g(i,S,_),e(S,de),e(de,Fe),e(de,H),e(H,Ee),e(de,Re),e(S,q),e(S,ce),e(ce,K),e(ce,me),e(me,Xe),e(ce,V),g(i,ye,_),g(i,se,_),e(se,N),e(se,pe),e(pe,J),e(se,ze),e(se,Z),e(Z,j),e(se,Ce),g(i,A,_),g(i,ae,_),e(ae,ie),e(ie,y),T(E,y,null),e(ae,Qe),e(ae,oe),e(oe,Ke),g(i,Be,_),g(i,X,_),e(X,Ve),g(i,Ue,_),T(Ae,i,_),g(i,He,_),g(i,he,_),e(he,P),e(P,G),e(P,Pe),e(Pe,Je),e(he,Y),e(he,qe),e(qe,Oe),e(Oe,je),e(qe,Ge),e(qe,ee),e(ee,Ye),e(qe,Cb),e(qe,ir),e(ir,qb),e(qe,jb),e(he,Ab),e(he,Mo),e(Mo,$c),e($c,Pb),e(Mo,Nb),e(Mo,lr),e(lr,Ob),e(Mo,Ib),e(Mo,dr),e(dr,Db),e(Mo,Sb),e(he,Wb),e(he,$o),e($o,Lc),e(Lc,Bb),e($o,Ub),e($o,cr),e(cr,Hb),e($o,Qb),e($o,pr),e(pr,Kb),e($o,Vb),e(he,Jb),e(he,xc),e(xc,hr),e(hr,Gb),e(xc,Yb),g(i,Gf,_),T(mr,i,_),g(i,Yf,_),g(i,Dt,_),e(Dt,Lo),e(Lo,Fc),e(Fc,Zb),e(Lo,ek),e(Lo,ur),e(ur,tk),e(Lo,ok),e(Lo,fr),e(fr,nk),e(Lo,sk),e(Dt,ak),e(Dt,xo),e(xo,Ec),e(Ec,rk),e(xo,ik),e(xo,gr),e(gr,lk),e(xo,dk),e(xo,_r),e(_r,ck),e(xo,pk),e(Dt,hk),e(Dt,Zn),e(Zn,Rc),e(Rc,mk),e(Zn,uk),e(Zn,br),e(br,fk),e(Zn,gk),e(Dt,_k),e(Dt,Xc),e(Xc,kr),e(kr,bk),e(Xc,kk),g(i,Zf,_),T(yr,i,_),g(i,eg,_),g(i,es,_),e(es,Fo),e(Fo,zc),e(zc,yk),e(Fo,vk),e(Fo,vr),e(vr,wk),e(Fo,Tk),e(Fo,wr),e(wr,Mk),e(Fo,$k),e(es,Lk),e(es,Cc),e(Cc,Tr),e(Tr,xk),e(Cc,Fk),g(i,tg,_),T(Mr,i,_),g(i,og,_),g(i,St,_),e(St,Eo),e(Eo,qc),e(qc,Ek),e(Eo,Rk),e(Eo,$r),e($r,Xk),e(Eo,zk),e(Eo,Lr),e(Lr,Ck),e(Eo,qk),e(St,jk),e(St,Ro),e(Ro,jc),e(jc,Ak),e(Ro,Pk),e(Ro,xr),e(xr,Nk),e(Ro,Ok),e(Ro,Fr),e(Fr,Ik),e(Ro,Dk),e(St,Sk),e(St,Xo),e(Xo,Ac),e(Ac,Wk),e(Xo,Bk),e(Xo,Er),e(Er,Uk),e(Xo,Hk),e(Xo,Rr),e(Rr,Qk),e(Xo,Kk),e(St,Vk),e(St,Pc),e(Pc,Xr),e(Xr,Jk),e(Pc,Gk),g(i,ng,_),T(zr,i,_),g(i,sg,_),g(i,Wt,_),e(Wt,zo),e(zo,Nc),e(Nc,Yk),e(zo,Zk),e(zo,Cr),e(Cr,ey),e(zo,ty),e(zo,qr),e(qr,oy),e(zo,ny),e(Wt,sy),e(Wt,Co),e(Co,Oc),e(Oc,ay),e(Co,ry),e(Co,jr),e(jr,iy),e(Co,ly),e(Co,Ar),e(Ar,dy),e(Co,cy),e(Wt,py),e(Wt,ts),e(ts,Ic),e(Ic,hy),e(ts,my),e(ts,Pr),e(Pr,uy),e(ts,fy),e(Wt,gy),e(Wt,Dc),e(Dc,Nr),e(Nr,_y),e(Dc,by),g(i,ag,_),g(i,Sc,_),e(Sc,bh),e(bh,ky),g(i,rg,_),g(i,os,_),e(os,qo),e(qo,Wc),e(Wc,yy),e(qo,vy),e(qo,Or),e(Or,wy),e(qo,Ty),e(qo,Ir),e(Ir,My),e(qo,$y),e(os,Ly),e(os,jo),e(jo,Bc),e(Bc,xy),e(jo,Fy),e(jo,Dr),e(Dr,Ey),e(jo,Ry),e(jo,Sr),e(Sr,Xy),e(jo,zy),g(i,ig,_),g(i,Uc,_),e(Uc,Cy),g(i,lg,_),g(i,Hc,_),e(Hc,Wr),e(Wr,qy),e(Wr,Br),e(Br,jy),e(Wr,Ay),g(i,dg,_),g(i,on,_),e(on,ns),e(ns,kh),T(Ur,kh,null),e(on,Py),e(on,yh),e(yh,Ny),g(i,cg,_),g(i,Nt,_),T(Hr,Nt,null),e(Nt,Oy),e(Nt,uo),e(uo,Iy),e(uo,Qc),e(Qc,Dy),e(uo,Sy),e(uo,Kc),e(Kc,Wy),e(uo,By),e(uo,Qr),e(Qr,Uy),e(uo,Hy),e(Nt,Qy),e(Nt,nn),e(nn,Ky),e(nn,Vc),e(Vc,Vy),e(nn,Jy),e(nn,Jc),e(Jc,Gy),e(nn,Yy),e(Nt,Zy),T(ss,Nt,null),g(i,pg,_),g(i,sn,_),e(sn,as),e(as,vh),T(Kr,vh,null),e(sn,ev),e(sn,wh),e(wh,tv),g(i,hg,_),g(i,et,_),T(Vr,et,null),e(et,ov),e(et,fo),e(fo,nv),e(fo,Gc),e(Gc,sv),e(fo,av),e(fo,Yc),e(Yc,rv),e(fo,iv),e(fo,Jr),e(Jr,lv),e(fo,dv),e(et,cv),e(et,Gr),e(Gr,pv),e(Gr,Zc),e(Zc,hv),e(Gr,mv),e(et,uv),e(et,Ao),T(Yr,Ao,null),e(Ao,fv),e(Ao,Th),e(Th,gv),e(Ao,_v),e(Ao,Zr),e(Zr,ep),e(ep,bv),e(ep,Mh),e(Mh,kv),e(Zr,yv),e(Zr,tp),e(tp,vv),e(tp,$h),e($h,wv),e(et,Tv),e(et,rs),T(ei,rs,null),e(rs,Mv),e(rs,ti),e(ti,$v),e(ti,Lh),e(Lh,Lv),e(ti,xv),e(et,Fv),e(et,is),T(oi,is,null),e(is,Ev),e(is,xh),e(xh,Rv),e(et,Xv),e(et,op),T(ni,op,null),g(i,mg,_),g(i,an,_),e(an,ls),e(ls,Fh),T(si,Fh,null),e(an,zv),e(an,Eh),e(Eh,Cv),g(i,ug,_),g(i,_t,_),T(ai,_t,null),e(_t,qv),e(_t,Ot),e(Ot,jv),e(Ot,Rh),e(Rh,Av),e(Ot,Pv),e(Ot,np),e(np,Nv),e(Ot,Ov),e(Ot,sp),e(sp,Iv),e(Ot,Dv),e(Ot,ri),e(ri,Sv),e(Ot,Wv),e(_t,Bv),e(_t,ii),e(ii,Uv),e(ii,ap),e(ap,Hv),e(ii,Qv),e(_t,Kv),e(_t,Po),T(li,Po,null),e(Po,Vv),e(Po,Xh),e(Xh,Jv),e(Po,Gv),e(Po,di),e(di,rp),e(rp,Yv),e(rp,zh),e(zh,Zv),e(di,ew),e(di,ip),e(ip,tw),e(ip,Ch),e(Ch,ow),e(_t,nw),e(_t,ds),T(ci,ds,null),e(ds,sw),e(ds,qh),e(qh,aw),g(i,fg,_),g(i,rn,_),e(rn,cs),e(cs,jh),T(pi,jh,null),e(rn,rw),e(rn,Ah),e(Ah,iw),g(i,gg,_),g(i,Ze,_),T(hi,Ze,null),e(Ze,lw),e(Ze,Ph),e(Ph,dw),e(Ze,cw),e(Ze,mi),e(mi,pw),e(mi,lp),e(lp,hw),e(mi,mw),e(Ze,uw),e(Ze,ui),e(ui,fw),e(ui,fi),e(fi,gw),e(ui,_w),e(Ze,bw),e(Ze,gi),e(gi,kw),e(gi,Nh),e(Nh,yw),e(gi,vw),e(Ze,ww),e(Ze,lt),e(lt,Tw),e(lt,Oh),e(Oh,Mw),e(lt,$w),e(lt,Ih),e(Ih,Lw),e(lt,xw),e(lt,Dh),e(Dh,Fw),e(lt,Ew),e(lt,Sh),e(Sh,Rw),e(lt,Xw),e(lt,Wh),e(Wh,zw),e(lt,Cw),e(lt,Bh),e(Bh,qw),e(lt,jw),e(Ze,Aw),e(Ze,ps),e(ps,Pw),e(ps,Uh),e(Uh,Nw),e(ps,Ow),e(ps,_i),e(_i,Iw),e(Ze,Dw),e(Ze,Bt),T(bi,Bt,null),e(Bt,Sw),e(Bt,ln),e(ln,Ww),e(ln,dp),e(dp,Bw),e(ln,Uw),e(ln,Hh),e(Hh,Hw),e(ln,Qw),e(Bt,Kw),T(hs,Bt,null),e(Bt,Vw),T(ms,Bt,null),g(i,_g,_),g(i,dn,_),e(dn,us),e(us,Qh),T(ki,Qh,null),e(dn,Jw),e(dn,Kh),e(Kh,Gw),g(i,bg,_),g(i,bt,_),T(yi,bt,null),e(bt,Yw),e(bt,vi),e(vi,Zw),e(vi,Vh),e(Vh,eT),e(vi,tT),e(bt,oT),e(bt,wi),e(wi,nT),e(wi,cp),e(cp,sT),e(wi,aT),e(bt,rT),e(bt,Ti),e(Ti,iT),e(Ti,Mi),e(Mi,lT),e(Ti,dT),e(bt,cT),e(bt,Ut),T($i,Ut,null),e(Ut,pT),e(Ut,cn),e(cn,hT),e(cn,pp),e(pp,mT),e(cn,uT),e(cn,Jh),e(Jh,fT),e(cn,gT),e(Ut,_T),T(fs,Ut,null),e(Ut,bT),T(gs,Ut,null),g(i,kg,_),g(i,pn,_),e(pn,_s),e(_s,Gh),T(Li,Gh,null),e(pn,kT),e(pn,Yh),e(Yh,yT),g(i,yg,_),g(i,kt,_),T(xi,kt,null),e(kt,vT),e(kt,Fi),e(Fi,wT),e(Fi,Zh),e(Zh,TT),e(Fi,MT),e(kt,$T),e(kt,Ei),e(Ei,LT),e(Ei,hp),e(hp,xT),e(Ei,FT),e(kt,ET),e(kt,Ri),e(Ri,RT),e(Ri,Xi),e(Xi,XT),e(Ri,zT),e(kt,CT),e(kt,Ht),T(zi,Ht,null),e(Ht,qT),e(Ht,hn),e(hn,jT),e(hn,mp),e(mp,AT),e(hn,PT),e(hn,em),e(em,NT),e(hn,OT),e(Ht,IT),T(bs,Ht,null),e(Ht,DT),T(ks,Ht,null),g(i,vg,_),g(i,mn,_),e(mn,ys),e(ys,tm),T(Ci,tm,null),e(mn,ST),e(mn,om),e(om,WT),g(i,wg,_),g(i,yt,_),T(qi,yt,null),e(yt,BT),e(yt,nm),e(nm,UT),e(yt,HT),e(yt,ji),e(ji,QT),e(ji,up),e(up,KT),e(ji,VT),e(yt,JT),e(yt,Ai),e(Ai,GT),e(Ai,Pi),e(Pi,YT),e(Ai,ZT),e(yt,eM),e(yt,Mt),T(Ni,Mt,null),e(Mt,tM),e(Mt,un),e(un,oM),e(un,fp),e(fp,nM),e(un,sM),e(un,sm),e(sm,aM),e(un,rM),e(Mt,iM),T(vs,Mt,null),e(Mt,lM),T(ws,Mt,null),e(Mt,dM),T(Ts,Mt,null),g(i,Tg,_),g(i,fn,_),e(fn,Ms),e(Ms,am),T(Oi,am,null),e(fn,cM),e(fn,rm),e(rm,pM),g(i,Mg,_),g(i,vt,_),T(Ii,vt,null),e(vt,hM),e(vt,im),e(im,mM),e(vt,uM),e(vt,Di),e(Di,fM),e(Di,gp),e(gp,gM),e(Di,_M),e(vt,bM),e(vt,Si),e(Si,kM),e(Si,Wi),e(Wi,yM),e(Si,vM),e(vt,wM),e(vt,Qt),T(Bi,Qt,null),e(Qt,TM),e(Qt,gn),e(gn,MM),e(gn,_p),e(_p,$M),e(gn,LM),e(gn,lm),e(lm,xM),e(gn,FM),e(Qt,EM),T($s,Qt,null),e(Qt,RM),T(Ls,Qt,null),g(i,$g,_),g(i,_n,_),e(_n,xs),e(xs,dm),T(Ui,dm,null),e(_n,XM),e(_n,cm),e(cm,zM),g(i,Lg,_),g(i,wt,_),T(Hi,wt,null),e(wt,CM),e(wt,pm),e(pm,qM),e(wt,jM),e(wt,Qi),e(Qi,AM),e(Qi,bp),e(bp,PM),e(Qi,NM),e(wt,OM),e(wt,Ki),e(Ki,IM),e(Ki,Vi),e(Vi,DM),e(Ki,SM),e(wt,WM),e(wt,Kt),T(Ji,Kt,null),e(Kt,BM),e(Kt,bn),e(bn,UM),e(bn,kp),e(kp,HM),e(bn,QM),e(bn,hm),e(hm,KM),e(bn,VM),e(Kt,JM),T(Fs,Kt,null),e(Kt,GM),T(Es,Kt,null),g(i,xg,_),g(i,kn,_),e(kn,Rs),e(Rs,mm),T(Gi,mm,null),e(kn,YM),e(kn,um),e(um,ZM),g(i,Fg,_),g(i,Tt,_),T(Yi,Tt,null),e(Tt,e1),e(Tt,yn),e(yn,t1),e(yn,fm),e(fm,o1),e(yn,n1),e(yn,gm),e(gm,s1),e(yn,a1),e(Tt,r1),e(Tt,Zi),e(Zi,i1),e(Zi,yp),e(yp,l1),e(Zi,d1),e(Tt,c1),e(Tt,el),e(el,p1),e(el,tl),e(tl,h1),e(el,m1),e(Tt,u1),e(Tt,Vt),T(ol,Vt,null),e(Vt,f1),e(Vt,vn),e(vn,g1),e(vn,vp),e(vp,_1),e(vn,b1),e(vn,_m),e(_m,k1),e(vn,y1),e(Vt,v1),T(Xs,Vt,null),e(Vt,w1),T(zs,Vt,null),g(i,Eg,_),g(i,wn,_),e(wn,Cs),e(Cs,bm),T(nl,bm,null),e(wn,T1),e(wn,km),e(km,M1),g(i,Rg,_),g(i,dt,_),T(sl,dt,null),e(dt,$1),e(dt,ym),e(ym,L1),e(dt,x1),e(dt,al),e(al,F1),e(al,wp),e(wp,E1),e(al,R1),e(dt,X1),e(dt,rl),e(rl,z1),e(rl,il),e(il,C1),e(rl,q1),e(dt,j1),T(qs,dt,null),e(dt,A1),e(dt,Jt),T(ll,Jt,null),e(Jt,P1),e(Jt,Tn),e(Tn,N1),e(Tn,Tp),e(Tp,O1),e(Tn,I1),e(Tn,vm),e(vm,D1),e(Tn,S1),e(Jt,W1),T(js,Jt,null),e(Jt,B1),T(As,Jt,null),g(i,Xg,_),g(i,Mn,_),e(Mn,Ps),e(Ps,wm),T(dl,wm,null),e(Mn,U1),e(Mn,Tm),e(Tm,H1),g(i,zg,_),g(i,ct,_),T(cl,ct,null),e(ct,Q1),e(ct,pl),e(pl,K1),e(pl,Mm),e(Mm,V1),e(pl,J1),e(ct,G1),e(ct,hl),e(hl,Y1),e(hl,Mp),e(Mp,Z1),e(hl,e$),e(ct,t$),e(ct,ml),e(ml,o$),e(ml,ul),e(ul,n$),e(ml,s$),e(ct,a$),T(Ns,ct,null),e(ct,r$),e(ct,Gt),T(fl,Gt,null),e(Gt,i$),e(Gt,$n),e($n,l$),e($n,$p),e($p,d$),e($n,c$),e($n,$m),e($m,p$),e($n,h$),e(Gt,m$),T(Os,Gt,null),e(Gt,u$),T(Is,Gt,null),g(i,Cg,_),g(i,Ln,_),e(Ln,Ds),e(Ds,Lm),T(gl,Lm,null),e(Ln,f$),e(Ln,xm),e(xm,g$),g(i,qg,_),g(i,pt,_),T(_l,pt,null),e(pt,_$),e(pt,bl),e(bl,b$),e(bl,Fm),e(Fm,k$),e(bl,y$),e(pt,v$),e(pt,kl),e(kl,w$),e(kl,Lp),e(Lp,T$),e(kl,M$),e(pt,$$),e(pt,yl),e(yl,L$),e(yl,vl),e(vl,x$),e(yl,F$),e(pt,E$),T(Ss,pt,null),e(pt,R$),e(pt,$t),T(wl,$t,null),e($t,X$),e($t,xn),e(xn,z$),e(xn,xp),e(xp,C$),e(xn,q$),e(xn,Em),e(Em,j$),e(xn,A$),e($t,P$),T(Ws,$t,null),e($t,N$),T(Bs,$t,null),e($t,O$),T(Us,$t,null),g(i,jg,_),g(i,Fn,_),e(Fn,Hs),e(Hs,Rm),T(Tl,Rm,null),e(Fn,I$),e(Fn,Xm),e(Xm,D$),g(i,Ag,_),g(i,ht,_),T(Ml,ht,null),e(ht,S$),e(ht,zm),e(zm,W$),e(ht,B$),e(ht,$l),e($l,U$),e($l,Fp),e(Fp,H$),e($l,Q$),e(ht,K$),e(ht,Ll),e(Ll,V$),e(Ll,xl),e(xl,J$),e(Ll,G$),e(ht,Y$),T(Qs,ht,null),e(ht,Z$),e(ht,Lt),T(Fl,Lt,null),e(Lt,e2),e(Lt,En),e(En,t2),e(En,Ep),e(Ep,o2),e(En,n2),e(En,Cm),e(Cm,s2),e(En,a2),e(Lt,r2),T(Ks,Lt,null),e(Lt,i2),T(Vs,Lt,null),e(Lt,l2),T(Js,Lt,null),g(i,Pg,_),g(i,Rn,_),e(Rn,Gs),e(Gs,qm),T(El,qm,null),e(Rn,d2),e(Rn,jm),e(jm,c2),g(i,Ng,_),g(i,mt,_),T(Rl,mt,null),e(mt,p2),e(mt,Am),e(Am,h2),e(mt,m2),e(mt,Xl),e(Xl,u2),e(Xl,Rp),e(Rp,f2),e(Xl,g2),e(mt,_2),e(mt,zl),e(zl,b2),e(zl,Cl),e(Cl,k2),e(zl,y2),e(mt,v2),T(Ys,mt,null),e(mt,w2),e(mt,Yt),T(ql,Yt,null),e(Yt,T2),e(Yt,Xn),e(Xn,M2),e(Xn,Xp),e(Xp,$2),e(Xn,L2),e(Xn,Pm),e(Pm,x2),e(Xn,F2),e(Yt,E2),T(Zs,Yt,null),e(Yt,R2),T(ea,Yt,null),g(i,Og,_),g(i,zn,_),e(zn,ta),e(ta,Nm),T(jl,Nm,null),e(zn,X2),e(zn,Om),e(Om,z2),g(i,Ig,_),g(i,ut,_),T(Al,ut,null),e(ut,C2),e(ut,Im),e(Im,q2),e(ut,j2),e(ut,Pl),e(Pl,A2),e(Pl,zp),e(zp,P2),e(Pl,N2),e(ut,O2),e(ut,Nl),e(Nl,I2),e(Nl,Ol),e(Ol,D2),e(Nl,S2),e(ut,W2),T(oa,ut,null),e(ut,B2),e(ut,xt),T(Il,xt,null),e(xt,U2),e(xt,Cn),e(Cn,H2),e(Cn,Cp),e(Cp,Q2),e(Cn,K2),e(Cn,Dm),e(Dm,V2),e(Cn,J2),e(xt,G2),T(na,xt,null),e(xt,Y2),T(sa,xt,null),e(xt,Z2),T(aa,xt,null),g(i,Dg,_),g(i,qn,_),e(qn,ra),e(ra,Sm),T(Dl,Sm,null),e(qn,eL),e(qn,Wm),e(Wm,tL),g(i,Sg,_),g(i,ft,_),T(Sl,ft,null),e(ft,oL),e(ft,jn),e(jn,nL),e(jn,Bm),e(Bm,sL),e(jn,aL),e(jn,Um),e(Um,rL),e(jn,iL),e(ft,lL),e(ft,Wl),e(Wl,dL),e(Wl,qp),e(qp,cL),e(Wl,pL),e(ft,hL),e(ft,Bl),e(Bl,mL),e(Bl,Ul),e(Ul,uL),e(Bl,fL),e(ft,gL),T(ia,ft,null),e(ft,_L),e(ft,Ft),T(Hl,Ft,null),e(Ft,bL),e(Ft,An),e(An,kL),e(An,jp),e(jp,yL),e(An,vL),e(An,Hm),e(Hm,wL),e(An,TL),e(Ft,ML),T(la,Ft,null),e(Ft,$L),T(da,Ft,null),e(Ft,LL),T(ca,Ft,null),g(i,Wg,_),g(i,Pn,_),e(Pn,pa),e(pa,Qm),T(Ql,Qm,null),e(Pn,xL),e(Pn,Km),e(Km,FL),g(i,Bg,_),g(i,tt,_),T(Kl,tt,null),e(tt,EL),e(tt,Vm),e(Vm,RL),e(tt,XL),e(tt,Vl),e(Vl,zL),e(Vl,Ap),e(Ap,CL),e(Vl,qL),e(tt,jL),e(tt,Jl),e(Jl,AL),e(Jl,Gl),e(Gl,PL),e(Jl,NL),e(tt,OL),e(tt,Jm),e(Jm,IL),e(tt,DL),e(tt,go),e(go,Gm),e(Gm,Yl),e(Yl,SL),e(go,WL),e(go,Ym),e(Ym,Zl),e(Zl,BL),e(go,UL),e(go,Zm),e(Zm,ed),e(ed,HL),e(go,QL),e(go,eu),e(eu,td),e(td,KL),e(tt,VL),e(tt,Zt),T(od,Zt,null),e(Zt,JL),e(Zt,Nn),e(Nn,GL),e(Nn,tu),e(tu,YL),e(Nn,ZL),e(Nn,ou),e(ou,ex),e(Nn,tx),e(Zt,ox),T(ha,Zt,null),e(Zt,nx),T(ma,Zt,null),g(i,Ug,_),g(i,On,_),e(On,ua),e(ua,nu),T(nd,nu,null),e(On,sx),e(On,su),e(su,ax),g(i,Hg,_),g(i,ot,_),T(sd,ot,null),e(ot,rx),e(ot,au),e(au,ix),e(ot,lx),e(ot,ad),e(ad,dx),e(ad,Pp),e(Pp,cx),e(ad,px),e(ot,hx),e(ot,rd),e(rd,mx),e(rd,id),e(id,ux),e(rd,fx),e(ot,gx),e(ot,ru),e(ru,_x),e(ot,bx),e(ot,_o),e(_o,iu),e(iu,ld),e(ld,kx),e(_o,yx),e(_o,lu),e(lu,dd),e(dd,vx),e(_o,wx),e(_o,du),e(du,cd),e(cd,Tx),e(_o,Mx),e(_o,cu),e(cu,pd),e(pd,$x),e(ot,Lx),e(ot,eo),T(hd,eo,null),e(eo,xx),e(eo,In),e(In,Fx),e(In,pu),e(pu,Ex),e(In,Rx),e(In,hu),e(hu,Xx),e(In,zx),e(eo,Cx),T(fa,eo,null),e(eo,qx),T(ga,eo,null),g(i,Qg,_),g(i,Dn,_),e(Dn,_a),e(_a,mu),T(md,mu,null),e(Dn,jx),e(Dn,uu),e(uu,Ax),g(i,Kg,_),g(i,nt,_),T(ud,nt,null),e(nt,Px),e(nt,fd),e(fd,Nx),e(fd,fu),e(fu,Ox),e(fd,Ix),e(nt,Dx),e(nt,gd),e(gd,Sx),e(gd,Np),e(Np,Wx),e(gd,Bx),e(nt,Ux),e(nt,_d),e(_d,Hx),e(_d,bd),e(bd,Qx),e(_d,Kx),e(nt,Vx),e(nt,gu),e(gu,Jx),e(nt,Gx),e(nt,bo),e(bo,_u),e(_u,kd),e(kd,Yx),e(bo,Zx),e(bo,bu),e(bu,yd),e(yd,eF),e(bo,tF),e(bo,ku),e(ku,vd),e(vd,oF),e(bo,nF),e(bo,yu),e(yu,wd),e(wd,sF),e(nt,aF),e(nt,to),T(Td,to,null),e(to,rF),e(to,Sn),e(Sn,iF),e(Sn,vu),e(vu,lF),e(Sn,dF),e(Sn,wu),e(wu,cF),e(Sn,pF),e(to,hF),T(ba,to,null),e(to,mF),T(ka,to,null),g(i,Vg,_),g(i,Wn,_),e(Wn,ya),e(ya,Tu),T(Md,Tu,null),e(Wn,uF),e(Wn,Mu),e(Mu,fF),g(i,Jg,_),g(i,st,_),T($d,st,null),e(st,gF),e(st,$u),e($u,_F),e(st,bF),e(st,Ld),e(Ld,kF),e(Ld,Op),e(Op,yF),e(Ld,vF),e(st,wF),e(st,xd),e(xd,TF),e(xd,Fd),e(Fd,MF),e(xd,$F),e(st,LF),e(st,Lu),e(Lu,xF),e(st,FF),e(st,ko),e(ko,xu),e(xu,Ed),e(Ed,EF),e(ko,RF),e(ko,Fu),e(Fu,Rd),e(Rd,XF),e(ko,zF),e(ko,Eu),e(Eu,Xd),e(Xd,CF),e(ko,qF),e(ko,Ru),e(Ru,zd),e(zd,jF),e(st,AF),e(st,oo),T(Cd,oo,null),e(oo,PF),e(oo,Bn),e(Bn,NF),e(Bn,Xu),e(Xu,OF),e(Bn,IF),e(Bn,zu),e(zu,DF),e(Bn,SF),e(oo,WF),T(va,oo,null),e(oo,BF),T(wa,oo,null),g(i,Gg,_),g(i,Un,_),e(Un,Ta),e(Ta,Cu),T(qd,Cu,null),e(Un,UF),e(Un,qu),e(qu,HF),g(i,Yg,_),g(i,at,_),T(jd,at,null),e(at,QF),e(at,ju),e(ju,KF),e(at,VF),e(at,Ad),e(Ad,JF),e(Ad,Ip),e(Ip,GF),e(Ad,YF),e(at,ZF),e(at,Pd),e(Pd,e0),e(Pd,Nd),e(Nd,t0),e(Pd,o0),e(at,n0),e(at,Au),e(Au,s0),e(at,a0),e(at,yo),e(yo,Pu),e(Pu,Od),e(Od,r0),e(yo,i0),e(yo,Nu),e(Nu,Id),e(Id,l0),e(yo,d0),e(yo,Ou),e(Ou,Dd),e(Dd,c0),e(yo,p0),e(yo,Iu),e(Iu,Sd),e(Sd,h0),e(at,m0),e(at,no),T(Wd,no,null),e(no,u0),e(no,Hn),e(Hn,f0),e(Hn,Du),e(Du,g0),e(Hn,_0),e(Hn,Su),e(Su,b0),e(Hn,k0),e(no,y0),T(Ma,no,null),e(no,v0),T($a,no,null),g(i,Zg,_),g(i,Qn,_),e(Qn,La),e(La,Wu),T(Bd,Wu,null),e(Qn,w0),e(Qn,Bu),e(Bu,T0),g(i,e_,_),g(i,rt,_),T(Ud,rt,null),e(rt,M0),e(rt,Uu),e(Uu,$0),e(rt,L0),e(rt,Hd),e(Hd,x0),e(Hd,Dp),e(Dp,F0),e(Hd,E0),e(rt,R0),e(rt,Qd),e(Qd,X0),e(Qd,Kd),e(Kd,z0),e(Qd,C0),e(rt,q0),e(rt,Hu),e(Hu,j0),e(rt,A0),e(rt,vo),e(vo,Qu),e(Qu,Vd),e(Vd,P0),e(vo,N0),e(vo,Ku),e(Ku,Jd),e(Jd,O0),e(vo,I0),e(vo,Vu),e(Vu,Gd),e(Gd,D0),e(vo,S0),e(vo,Ju),e(Ju,Yd),e(Yd,W0),e(rt,B0),e(rt,so),T(Zd,so,null),e(so,U0),e(so,Kn),e(Kn,H0),e(Kn,Gu),e(Gu,Q0),e(Kn,K0),e(Kn,Yu),e(Yu,V0),e(Kn,J0),e(so,G0),T(xa,so,null),e(so,Y0),T(Fa,so,null),g(i,t_,_),g(i,Vn,_),e(Vn,Ea),e(Ea,Zu),T(ec,Zu,null),e(Vn,Z0),e(Vn,ef),e(ef,eE),g(i,o_,_),g(i,it,_),T(tc,it,null),e(it,tE),e(it,Jn),e(Jn,oE),e(Jn,tf),e(tf,nE),e(Jn,sE),e(Jn,of),e(of,aE),e(Jn,rE),e(it,iE),e(it,oc),e(oc,lE),e(oc,Sp),e(Sp,dE),e(oc,cE),e(it,pE),e(it,nc),e(nc,hE),e(nc,sc),e(sc,mE),e(nc,uE),e(it,fE),e(it,nf),e(nf,gE),e(it,_E),e(it,wo),e(wo,sf),e(sf,ac),e(ac,bE),e(wo,kE),e(wo,af),e(af,rc),e(rc,yE),e(wo,vE),e(wo,rf),e(rf,ic),e(ic,wE),e(wo,TE),e(wo,lf),e(lf,lc),e(lc,ME),e(it,$E),e(it,ao),T(dc,ao,null),e(ao,LE),e(ao,Gn),e(Gn,xE),e(Gn,df),e(df,FE),e(Gn,EE),e(Gn,cf),e(cf,RE),e(Gn,XE),e(ao,zE),T(Ra,ao,null),e(ao,CE),T(Xa,ao,null),n_=!0},p(i,[_]){const cc={};_&2&&(cc.$$scope={dirty:_,ctx:i}),ss.$set(cc);const pf={};_&2&&(pf.$$scope={dirty:_,ctx:i}),hs.$set(pf);const hf={};_&2&&(hf.$$scope={dirty:_,ctx:i}),ms.$set(hf);const mf={};_&2&&(mf.$$scope={dirty:_,ctx:i}),fs.$set(mf);const pc={};_&2&&(pc.$$scope={dirty:_,ctx:i}),gs.$set(pc);const uf={};_&2&&(uf.$$scope={dirty:_,ctx:i}),bs.$set(uf);const ff={};_&2&&(ff.$$scope={dirty:_,ctx:i}),ks.$set(ff);const gf={};_&2&&(gf.$$scope={dirty:_,ctx:i}),vs.$set(gf);const hc={};_&2&&(hc.$$scope={dirty:_,ctx:i}),ws.$set(hc);const _f={};_&2&&(_f.$$scope={dirty:_,ctx:i}),Ts.$set(_f);const bf={};_&2&&(bf.$$scope={dirty:_,ctx:i}),$s.$set(bf);const kf={};_&2&&(kf.$$scope={dirty:_,ctx:i}),Ls.$set(kf);const yf={};_&2&&(yf.$$scope={dirty:_,ctx:i}),Fs.$set(yf);const vf={};_&2&&(vf.$$scope={dirty:_,ctx:i}),Es.$set(vf);const mc={};_&2&&(mc.$$scope={dirty:_,ctx:i}),Xs.$set(mc);const uc={};_&2&&(uc.$$scope={dirty:_,ctx:i}),zs.$set(uc);const wf={};_&2&&(wf.$$scope={dirty:_,ctx:i}),qs.$set(wf);const fc={};_&2&&(fc.$$scope={dirty:_,ctx:i}),js.$set(fc);const Tf={};_&2&&(Tf.$$scope={dirty:_,ctx:i}),As.$set(Tf);const Yn={};_&2&&(Yn.$$scope={dirty:_,ctx:i}),Ns.$set(Yn);const Mf={};_&2&&(Mf.$$scope={dirty:_,ctx:i}),Os.$set(Mf);const $f={};_&2&&($f.$$scope={dirty:_,ctx:i}),Is.$set($f);const gc={};_&2&&(gc.$$scope={dirty:_,ctx:i}),Ss.$set(gc);const Lf={};_&2&&(Lf.$$scope={dirty:_,ctx:i}),Ws.$set(Lf);const xf={};_&2&&(xf.$$scope={dirty:_,ctx:i}),Bs.$set(xf);const Ff={};_&2&&(Ff.$$scope={dirty:_,ctx:i}),Us.$set(Ff);const Ef={};_&2&&(Ef.$$scope={dirty:_,ctx:i}),Qs.$set(Ef);const It={};_&2&&(It.$$scope={dirty:_,ctx:i}),Ks.$set(It);const Wp={};_&2&&(Wp.$$scope={dirty:_,ctx:i}),Vs.$set(Wp);const Rf={};_&2&&(Rf.$$scope={dirty:_,ctx:i}),Js.$set(Rf);const No={};_&2&&(No.$$scope={dirty:_,ctx:i}),Ys.$set(No);const Xf={};_&2&&(Xf.$$scope={dirty:_,ctx:i}),Zs.$set(Xf);const zf={};_&2&&(zf.$$scope={dirty:_,ctx:i}),ea.$set(zf);const Cf={};_&2&&(Cf.$$scope={dirty:_,ctx:i}),oa.$set(Cf);const Oo={};_&2&&(Oo.$$scope={dirty:_,ctx:i}),na.$set(Oo);const qf={};_&2&&(qf.$$scope={dirty:_,ctx:i}),sa.$set(qf);const jf={};_&2&&(jf.$$scope={dirty:_,ctx:i}),aa.$set(jf);const Af={};_&2&&(Af.$$scope={dirty:_,ctx:i}),ia.$set(Af);const Io={};_&2&&(Io.$$scope={dirty:_,ctx:i}),la.$set(Io);const Pf={};_&2&&(Pf.$$scope={dirty:_,ctx:i}),da.$set(Pf);const Nf={};_&2&&(Nf.$$scope={dirty:_,ctx:i}),ca.$set(Nf);const Of={};_&2&&(Of.$$scope={dirty:_,ctx:i}),ha.$set(Of);const Bp={};_&2&&(Bp.$$scope={dirty:_,ctx:i}),ma.$set(Bp);const If={};_&2&&(If.$$scope={dirty:_,ctx:i}),fa.$set(If);const To={};_&2&&(To.$$scope={dirty:_,ctx:i}),ga.$set(To);const Do={};_&2&&(Do.$$scope={dirty:_,ctx:i}),ba.$set(Do);const Df={};_&2&&(Df.$$scope={dirty:_,ctx:i}),ka.$set(Df);const Sf={};_&2&&(Sf.$$scope={dirty:_,ctx:i}),va.$set(Sf);const Wf={};_&2&&(Wf.$$scope={dirty:_,ctx:i}),wa.$set(Wf);const So={};_&2&&(So.$$scope={dirty:_,ctx:i}),Ma.$set(So);const Bf={};_&2&&(Bf.$$scope={dirty:_,ctx:i}),$a.$set(Bf);const Uf={};_&2&&(Uf.$$scope={dirty:_,ctx:i}),xa.$set(Uf);const Hf={};_&2&&(Hf.$$scope={dirty:_,ctx:i}),Fa.$set(Hf);const za={};_&2&&(za.$$scope={dirty:_,ctx:i}),Ra.$set(za);const Qf={};_&2&&(Qf.$$scope={dirty:_,ctx:i}),Xa.$set(Qf)},i(i){n_||(M(l.$$.fragment,i),M(x.$$.fragment,i),M(E.$$.fragment,i),M(Ae.$$.fragment,i),M(mr.$$.fragment,i),M(yr.$$.fragment,i),M(Mr.$$.fragment,i),M(zr.$$.fragment,i),M(Ur.$$.fragment,i),M(Hr.$$.fragment,i),M(ss.$$.fragment,i),M(Kr.$$.fragment,i),M(Vr.$$.fragment,i),M(Yr.$$.fragment,i),M(ei.$$.fragment,i),M(oi.$$.fragment,i),M(ni.$$.fragment,i),M(si.$$.fragment,i),M(ai.$$.fragment,i),M(li.$$.fragment,i),M(ci.$$.fragment,i),M(pi.$$.fragment,i),M(hi.$$.fragment,i),M(bi.$$.fragment,i),M(hs.$$.fragment,i),M(ms.$$.fragment,i),M(ki.$$.fragment,i),M(yi.$$.fragment,i),M($i.$$.fragment,i),M(fs.$$.fragment,i),M(gs.$$.fragment,i),M(Li.$$.fragment,i),M(xi.$$.fragment,i),M(zi.$$.fragment,i),M(bs.$$.fragment,i),M(ks.$$.fragment,i),M(Ci.$$.fragment,i),M(qi.$$.fragment,i),M(Ni.$$.fragment,i),M(vs.$$.fragment,i),M(ws.$$.fragment,i),M(Ts.$$.fragment,i),M(Oi.$$.fragment,i),M(Ii.$$.fragment,i),M(Bi.$$.fragment,i),M($s.$$.fragment,i),M(Ls.$$.fragment,i),M(Ui.$$.fragment,i),M(Hi.$$.fragment,i),M(Ji.$$.fragment,i),M(Fs.$$.fragment,i),M(Es.$$.fragment,i),M(Gi.$$.fragment,i),M(Yi.$$.fragment,i),M(ol.$$.fragment,i),M(Xs.$$.fragment,i),M(zs.$$.fragment,i),M(nl.$$.fragment,i),M(sl.$$.fragment,i),M(qs.$$.fragment,i),M(ll.$$.fragment,i),M(js.$$.fragment,i),M(As.$$.fragment,i),M(dl.$$.fragment,i),M(cl.$$.fragment,i),M(Ns.$$.fragment,i),M(fl.$$.fragment,i),M(Os.$$.fragment,i),M(Is.$$.fragment,i),M(gl.$$.fragment,i),M(_l.$$.fragment,i),M(Ss.$$.fragment,i),M(wl.$$.fragment,i),M(Ws.$$.fragment,i),M(Bs.$$.fragment,i),M(Us.$$.fragment,i),M(Tl.$$.fragment,i),M(Ml.$$.fragment,i),M(Qs.$$.fragment,i),M(Fl.$$.fragment,i),M(Ks.$$.fragment,i),M(Vs.$$.fragment,i),M(Js.$$.fragment,i),M(El.$$.fragment,i),M(Rl.$$.fragment,i),M(Ys.$$.fragment,i),M(ql.$$.fragment,i),M(Zs.$$.fragment,i),M(ea.$$.fragment,i),M(jl.$$.fragment,i),M(Al.$$.fragment,i),M(oa.$$.fragment,i),M(Il.$$.fragment,i),M(na.$$.fragment,i),M(sa.$$.fragment,i),M(aa.$$.fragment,i),M(Dl.$$.fragment,i),M(Sl.$$.fragment,i),M(ia.$$.fragment,i),M(Hl.$$.fragment,i),M(la.$$.fragment,i),M(da.$$.fragment,i),M(ca.$$.fragment,i),M(Ql.$$.fragment,i),M(Kl.$$.fragment,i),M(od.$$.fragment,i),M(ha.$$.fragment,i),M(ma.$$.fragment,i),M(nd.$$.fragment,i),M(sd.$$.fragment,i),M(hd.$$.fragment,i),M(fa.$$.fragment,i),M(ga.$$.fragment,i),M(md.$$.fragment,i),M(ud.$$.fragment,i),M(Td.$$.fragment,i),M(ba.$$.fragment,i),M(ka.$$.fragment,i),M(Md.$$.fragment,i),M($d.$$.fragment,i),M(Cd.$$.fragment,i),M(va.$$.fragment,i),M(wa.$$.fragment,i),M(qd.$$.fragment,i),M(jd.$$.fragment,i),M(Wd.$$.fragment,i),M(Ma.$$.fragment,i),M($a.$$.fragment,i),M(Bd.$$.fragment,i),M(Ud.$$.fragment,i),M(Zd.$$.fragment,i),M(xa.$$.fragment,i),M(Fa.$$.fragment,i),M(ec.$$.fragment,i),M(tc.$$.fragment,i),M(dc.$$.fragment,i),M(Ra.$$.fragment,i),M(Xa.$$.fragment,i),n_=!0)},o(i){$(l.$$.fragment,i),$(x.$$.fragment,i),$(E.$$.fragment,i),$(Ae.$$.fragment,i),$(mr.$$.fragment,i),$(yr.$$.fragment,i),$(Mr.$$.fragment,i),$(zr.$$.fragment,i),$(Ur.$$.fragment,i),$(Hr.$$.fragment,i),$(ss.$$.fragment,i),$(Kr.$$.fragment,i),$(Vr.$$.fragment,i),$(Yr.$$.fragment,i),$(ei.$$.fragment,i),$(oi.$$.fragment,i),$(ni.$$.fragment,i),$(si.$$.fragment,i),$(ai.$$.fragment,i),$(li.$$.fragment,i),$(ci.$$.fragment,i),$(pi.$$.fragment,i),$(hi.$$.fragment,i),$(bi.$$.fragment,i),$(hs.$$.fragment,i),$(ms.$$.fragment,i),$(ki.$$.fragment,i),$(yi.$$.fragment,i),$($i.$$.fragment,i),$(fs.$$.fragment,i),$(gs.$$.fragment,i),$(Li.$$.fragment,i),$(xi.$$.fragment,i),$(zi.$$.fragment,i),$(bs.$$.fragment,i),$(ks.$$.fragment,i),$(Ci.$$.fragment,i),$(qi.$$.fragment,i),$(Ni.$$.fragment,i),$(vs.$$.fragment,i),$(ws.$$.fragment,i),$(Ts.$$.fragment,i),$(Oi.$$.fragment,i),$(Ii.$$.fragment,i),$(Bi.$$.fragment,i),$($s.$$.fragment,i),$(Ls.$$.fragment,i),$(Ui.$$.fragment,i),$(Hi.$$.fragment,i),$(Ji.$$.fragment,i),$(Fs.$$.fragment,i),$(Es.$$.fragment,i),$(Gi.$$.fragment,i),$(Yi.$$.fragment,i),$(ol.$$.fragment,i),$(Xs.$$.fragment,i),$(zs.$$.fragment,i),$(nl.$$.fragment,i),$(sl.$$.fragment,i),$(qs.$$.fragment,i),$(ll.$$.fragment,i),$(js.$$.fragment,i),$(As.$$.fragment,i),$(dl.$$.fragment,i),$(cl.$$.fragment,i),$(Ns.$$.fragment,i),$(fl.$$.fragment,i),$(Os.$$.fragment,i),$(Is.$$.fragment,i),$(gl.$$.fragment,i),$(_l.$$.fragment,i),$(Ss.$$.fragment,i),$(wl.$$.fragment,i),$(Ws.$$.fragment,i),$(Bs.$$.fragment,i),$(Us.$$.fragment,i),$(Tl.$$.fragment,i),$(Ml.$$.fragment,i),$(Qs.$$.fragment,i),$(Fl.$$.fragment,i),$(Ks.$$.fragment,i),$(Vs.$$.fragment,i),$(Js.$$.fragment,i),$(El.$$.fragment,i),$(Rl.$$.fragment,i),$(Ys.$$.fragment,i),$(ql.$$.fragment,i),$(Zs.$$.fragment,i),$(ea.$$.fragment,i),$(jl.$$.fragment,i),$(Al.$$.fragment,i),$(oa.$$.fragment,i),$(Il.$$.fragment,i),$(na.$$.fragment,i),$(sa.$$.fragment,i),$(aa.$$.fragment,i),$(Dl.$$.fragment,i),$(Sl.$$.fragment,i),$(ia.$$.fragment,i),$(Hl.$$.fragment,i),$(la.$$.fragment,i),$(da.$$.fragment,i),$(ca.$$.fragment,i),$(Ql.$$.fragment,i),$(Kl.$$.fragment,i),$(od.$$.fragment,i),$(ha.$$.fragment,i),$(ma.$$.fragment,i),$(nd.$$.fragment,i),$(sd.$$.fragment,i),$(hd.$$.fragment,i),$(fa.$$.fragment,i),$(ga.$$.fragment,i),$(md.$$.fragment,i),$(ud.$$.fragment,i),$(Td.$$.fragment,i),$(ba.$$.fragment,i),$(ka.$$.fragment,i),$(Md.$$.fragment,i),$($d.$$.fragment,i),$(Cd.$$.fragment,i),$(va.$$.fragment,i),$(wa.$$.fragment,i),$(qd.$$.fragment,i),$(jd.$$.fragment,i),$(Wd.$$.fragment,i),$(Ma.$$.fragment,i),$($a.$$.fragment,i),$(Bd.$$.fragment,i),$(Ud.$$.fragment,i),$(Zd.$$.fragment,i),$(xa.$$.fragment,i),$(Fa.$$.fragment,i),$(ec.$$.fragment,i),$(tc.$$.fragment,i),$(dc.$$.fragment,i),$(Ra.$$.fragment,i),$(Xa.$$.fragment,i),n_=!1},d(i){t(d),i&&t(k),i&&t(u),L(l),i&&t(fe),i&&t(O),L(x),i&&t(ge),i&&t(D),i&&t(_e),i&&t(W),i&&t(be),i&&t(B),i&&t(ne),i&&t(z),i&&t(ke),i&&t(S),i&&t(ye),i&&t(se),i&&t(A),i&&t(ae),L(E),i&&t(Be),i&&t(X),i&&t(Ue),L(Ae,i),i&&t(He),i&&t(he),i&&t(Gf),L(mr,i),i&&t(Yf),i&&t(Dt),i&&t(Zf),L(yr,i),i&&t(eg),i&&t(es),i&&t(tg),L(Mr,i),i&&t(og),i&&t(St),i&&t(ng),L(zr,i),i&&t(sg),i&&t(Wt),i&&t(ag),i&&t(Sc),i&&t(rg),i&&t(os),i&&t(ig),i&&t(Uc),i&&t(lg),i&&t(Hc),i&&t(dg),i&&t(on),L(Ur),i&&t(cg),i&&t(Nt),L(Hr),L(ss),i&&t(pg),i&&t(sn),L(Kr),i&&t(hg),i&&t(et),L(Vr),L(Yr),L(ei),L(oi),L(ni),i&&t(mg),i&&t(an),L(si),i&&t(ug),i&&t(_t),L(ai),L(li),L(ci),i&&t(fg),i&&t(rn),L(pi),i&&t(gg),i&&t(Ze),L(hi),L(bi),L(hs),L(ms),i&&t(_g),i&&t(dn),L(ki),i&&t(bg),i&&t(bt),L(yi),L($i),L(fs),L(gs),i&&t(kg),i&&t(pn),L(Li),i&&t(yg),i&&t(kt),L(xi),L(zi),L(bs),L(ks),i&&t(vg),i&&t(mn),L(Ci),i&&t(wg),i&&t(yt),L(qi),L(Ni),L(vs),L(ws),L(Ts),i&&t(Tg),i&&t(fn),L(Oi),i&&t(Mg),i&&t(vt),L(Ii),L(Bi),L($s),L(Ls),i&&t($g),i&&t(_n),L(Ui),i&&t(Lg),i&&t(wt),L(Hi),L(Ji),L(Fs),L(Es),i&&t(xg),i&&t(kn),L(Gi),i&&t(Fg),i&&t(Tt),L(Yi),L(ol),L(Xs),L(zs),i&&t(Eg),i&&t(wn),L(nl),i&&t(Rg),i&&t(dt),L(sl),L(qs),L(ll),L(js),L(As),i&&t(Xg),i&&t(Mn),L(dl),i&&t(zg),i&&t(ct),L(cl),L(Ns),L(fl),L(Os),L(Is),i&&t(Cg),i&&t(Ln),L(gl),i&&t(qg),i&&t(pt),L(_l),L(Ss),L(wl),L(Ws),L(Bs),L(Us),i&&t(jg),i&&t(Fn),L(Tl),i&&t(Ag),i&&t(ht),L(Ml),L(Qs),L(Fl),L(Ks),L(Vs),L(Js),i&&t(Pg),i&&t(Rn),L(El),i&&t(Ng),i&&t(mt),L(Rl),L(Ys),L(ql),L(Zs),L(ea),i&&t(Og),i&&t(zn),L(jl),i&&t(Ig),i&&t(ut),L(Al),L(oa),L(Il),L(na),L(sa),L(aa),i&&t(Dg),i&&t(qn),L(Dl),i&&t(Sg),i&&t(ft),L(Sl),L(ia),L(Hl),L(la),L(da),L(ca),i&&t(Wg),i&&t(Pn),L(Ql),i&&t(Bg),i&&t(tt),L(Kl),L(od),L(ha),L(ma),i&&t(Ug),i&&t(On),L(nd),i&&t(Hg),i&&t(ot),L(sd),L(hd),L(fa),L(ga),i&&t(Qg),i&&t(Dn),L(md),i&&t(Kg),i&&t(nt),L(ud),L(Td),L(ba),L(ka),i&&t(Vg),i&&t(Wn),L(Md),i&&t(Jg),i&&t(st),L($d),L(Cd),L(va),L(wa),i&&t(Gg),i&&t(Un),L(qd),i&&t(Yg),i&&t(at),L(jd),L(Wd),L(Ma),L($a),i&&t(Zg),i&&t(Qn),L(Bd),i&&t(e_),i&&t(rt),L(Ud),L(Zd),L(xa),L(Fa),i&&t(t_),i&&t(Vn),L(ec),i&&t(o_),i&&t(it),L(tc),L(dc),L(Ra),L(Xa)}}}const P3={local:"xlmroberta",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.XLMRobertaConfig",title:"XLMRobertaConfig"},{local:"transformers.XLMRobertaTokenizer",title:"XLMRobertaTokenizer"},{local:"transformers.XLMRobertaTokenizerFast",title:"XLMRobertaTokenizerFast"},{local:"transformers.XLMRobertaModel",title:"XLMRobertaModel"},{local:"transformers.XLMRobertaForCausalLM",title:"XLMRobertaForCausalLM"},{local:"transformers.XLMRobertaForMaskedLM",title:"XLMRobertaForMaskedLM"},{local:"transformers.XLMRobertaForSequenceClassification",title:"XLMRobertaForSequenceClassification"},{local:"transformers.XLMRobertaForMultipleChoice",title:"XLMRobertaForMultipleChoice"},{local:"transformers.XLMRobertaForTokenClassification",title:"XLMRobertaForTokenClassification"},{local:"transformers.XLMRobertaForQuestionAnswering",title:"XLMRobertaForQuestionAnswering"},{local:"transformers.TFXLMRobertaModel",title:"TFXLMRobertaModel"},{local:"transformers.TFXLMRobertaForCausalLM",title:"TFXLMRobertaForCausalLM"},{local:"transformers.TFXLMRobertaForMaskedLM",title:"TFXLMRobertaForMaskedLM"},{local:"transformers.TFXLMRobertaForSequenceClassification",title:"TFXLMRobertaForSequenceClassification"},{local:"transformers.TFXLMRobertaForMultipleChoice",title:"TFXLMRobertaForMultipleChoice"},{local:"transformers.TFXLMRobertaForTokenClassification",title:"TFXLMRobertaForTokenClassification"},{local:"transformers.TFXLMRobertaForQuestionAnswering",title:"TFXLMRobertaForQuestionAnswering"},{local:"transformers.FlaxXLMRobertaModel",title:"FlaxXLMRobertaModel"},{local:"transformers.FlaxXLMRobertaForCausalLM",title:"FlaxXLMRobertaForCausalLM"},{local:"transformers.FlaxXLMRobertaForMaskedLM",title:"FlaxXLMRobertaForMaskedLM"},{local:"transformers.FlaxXLMRobertaForSequenceClassification",title:"FlaxXLMRobertaForSequenceClassification"},{local:"transformers.FlaxXLMRobertaForMultipleChoice",title:"FlaxXLMRobertaForMultipleChoice"},{local:"transformers.FlaxXLMRobertaForTokenClassification",title:"FlaxXLMRobertaForTokenClassification"},{local:"transformers.FlaxXLMRobertaForQuestionAnswering",title:"FlaxXLMRobertaForQuestionAnswering"}],title:"XLM-RoBERTa"};function N3(F){return qq(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class H3 extends Rq{constructor(d){super();Xq(this,d,N3,A3,zq,{})}}export{H3 as default,P3 as metadata};
